<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\x61\151\x6c\x79"; private const CONFIG_DIRECTORY = "\57\x72\157\x6f\x74\57\x2e\x63\157\x6e\146\x69\147\x2f\162\143\x6c\x6f\x6e\145\x2f"; private const CLP_USER_CONFIG_DIRECTORY = "\x2f\150\157\155\145\57\143\x6c\x70\x2f\56\143\x6f\156\146\151\147\x2f"; private const CLP_USER = "\x63\154\160"; public const CREDENTIALS_DIRECTORY = "\x2f\x68\x6f\155\145\57\143\x6c\160\57\x2e\x63\x6f\156\146\151\147\x2f\162\143\x6c\x6f\x6e\x65\x2f\x63\x72\145\144\x65\x6e\164\151\141\154\x73\x2f"; private const CONFIG_FILE = "\57\x72\x6f\157\164\x2f\56\x63\157\156\x66\x69\x67\x2f\162\143\x6c\x6f\x6e\x65\x2f\162\143\154\x6f\x6e\x65\x2e\x63\x6f\x6e\x66"; private const CRON_JOB_FILE = "\x2f\x65\x74\x63\x2f\x63\x72\x6f\x6e\56\x64\57\x63\x6c\160\55\162\x63\154\x6f\156\145"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto E8988; Ca2fc: return $this->configFile; goto C4706; b64e3: d46be: goto Ca2fc; dfd7b: $this->configFile = self::CONFIG_FILE; goto b64e3; E8988: if (!(true === is_null($this->configFile))) { goto d46be; } goto dfd7b; C4706: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\x66\x6c\141\147" => $flag, "\x76\141\x6c\x75\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto d7f7c; B9349: $rcloneCopyCommand->setConfigFile($configFile); goto A1ec4; d933e: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto A1131; b73be: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto d933e; A1ec4: $rcloneCopyCommand->setSource($source); goto Df4f4; d7f7c: $flags = $this->getFlags(); goto bc66d; bc66d: $configFile = $this->getConfigFile(); goto B7249; B7249: $rcloneCopyCommand = new RcloneCopyCommand(); goto B9349; Df4f4: $rcloneCopyCommand->setDestination($destination); goto b73be; A1131: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto b0bf6; e466c: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto F36ba; C67b1: $rcloneLsJsonCommand->setConfigFile($configFile); goto d283a; f6ef7: if (!(true === $directoriesOnly)) { goto bf75b; } goto e466c; a3b1b: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto C67b1; F36ba: bf75b: goto Da582; c2b21: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto d0a9c; E56a2: $configFile = $this->getConfigFile(); goto a3b1b; b0bf6: $flags = $this->getFlags(); goto E56a2; d0a9c: $files = $rcloneLsJsonCommand->getFiles(); goto e2229; e2229: return $files; goto abe8a; Da582: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto c2b21; d283a: $rcloneLsJsonCommand->setRemotePath($remotePath); goto f6ef7; abe8a: } public function purge(string $remotePath) { goto Fe330; Fe330: $flags = $this->getFlags(); goto f2fe1; f2fe1: $rclonePurgeCommand = new RclonePurgeCommand(); goto fb023; f1aa3: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto aea85; aea85: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto D6aab; fb023: $rclonePurgeCommand->setRemotePath($remotePath); goto f1aa3; D6aab: } public function writeConfig(string $config) : void { goto a6d96; Cc452: $this->commandExecutor->execute($createConfigDirectoryCommand); goto c46b7; C96c0: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto Cd381; a6d96: $configFile = $this->getConfigFile(); goto C96c0; A31e7: $writeConfigFileCommand = new WriteFileCommand(); goto Bf7e2; c46b7: $this->commandExecutor->execute($writeConfigFileCommand); goto D932c; Bf7e2: $writeConfigFileCommand->setFile($configFile); goto ccb9a; ccb9a: $writeConfigFileCommand->setContent($config); goto Cc452; Cd381: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto A31e7; D932c: } public function writeCredentialsFile(string $file, string $content) : void { goto D4063; e537e: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto f2a29; Ddd56: $this->commandExecutor->execute($credentialsDirectoryCommand); goto be378; D4063: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto Ec096; be378: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto C31b1; D520d: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto B35cf; Ab60c: file_put_contents($file, $content); goto badde; f5be8: $chownConfigDirectoryCommand = new ChownCommand(); goto D520d; C31b1: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto Ab60c; f2a29: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto Bd684; Bd684: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto D696d; Ec096: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto f5be8; B35cf: $chownConfigDirectoryCommand->setRecursive(true); goto F6b15; F6b15: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto e537e; E35f6: $chmodConfigDirectoryCommand->setFileChmod(770); goto Ddd56; D696d: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto E35f6; badde: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto d772a; f2527: $writeCronJobFileCommand = new WriteFileCommand(); goto d4f99; A25d1: $cronJobContent .= sprintf("\60\40\x2a\x2f\45\x73\40\x2a\40\x2a\x20\x2a\40\143\x6c\160\40\57\x75\x73\x72\x2f\142\151\156\x2f\142\141\163\x68\x20\x2d\x63\x20\x22\x2f\x75\x73\x72\57\142\x69\156\57\x63\x6c\160\143\164\154\40\x72\145\155\x6f\x74\x65\x2d\x62\x61\x63\153\x75\160\72\x63\x72\145\141\x74\x65\40\x2d\x2d\144\x65\x6c\x61\x79\75\164\x72\165\x65\42\x20\x26\x3e\40\x2f\144\145\x76\x2f\156\165\154\x6c", $frequency); goto Ec100; E4964: d5ca3: goto E8d02; ec6f3: if (self::FREQUENCY_DAILY == $frequency) { goto d5ca3; } goto A25d1; d4f99: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto B7514; E8d02: $cronJobContent .= sprintf("\x30\40\x25\163\x20\52\40\x2a\40\52\x20\x63\154\x70\x20\x2f\165\163\162\x2f\x62\x69\156\57\x62\x61\x73\x68\x20\x2d\143\40\x22\x2f\x75\x73\162\57\x62\x69\156\x2f\x63\x6c\160\x63\x74\x6c\40\x72\x65\x6d\x6f\x74\x65\x2d\142\141\143\153\x75\160\x3a\143\162\x65\x61\x74\x65\x20\x2d\55\144\x65\x6c\141\x79\x3d\164\162\x75\x65\x22\x20\x26\x3e\x20\57\x64\x65\166\x2f\x6e\165\154\154", $executionTime); goto D8d61; D8d61: c8551: goto f2527; Ec100: goto c8551; goto E4964; fd9ff: $this->commandExecutor->execute($writeCronJobFileCommand); goto F47b8; B7514: $writeCronJobFileCommand->setContent($cronJobContent); goto fd9ff; d772a: $cronJobContent = sprintf("\x4d\101\111\x4c\124\x4f\75\42\42\x25\x73", PHP_EOL); goto ec6f3; F47b8: } private function addFlagsToCommand(array $flags, $command) : void { goto ebaac; B583b: foreach ($flags as $flagData) { $command->addFlag($flagData["\146\x6c\141\x67"], $flagData["\x76\x61\154\165\145"]); A4241: } goto eba9a; eba9a: E6449: goto D8957; ebaac: if (!(false === empty($flags))) { goto E3504; } goto B583b; D8957: E3504: goto c83de; c83de: } public function deleteCronJob() : void { goto e9032; ab4e5: $this->commandExecutor->execute($deleteCronJobFileCommand); goto bf8fa; E02db: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto ab4e5; e9032: $deleteCronJobFileCommand = new DeleteFileCommand(); goto E02db; bf8fa: } public function deleteCredentials() : void { goto f1767; D023d: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto e69e2; E7f52: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto D023d; f1767: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto E7f52; e69e2: } }
