<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto D780a; Caa96: $this->databaseEntityManager = $databaseEntityManager; goto A4114; C5069: $this->databaseServerEntityManager = $databaseServerEntityManager; goto eecf2; eecf2: $this->validator = $validator; goto ad005; ad005: parent::__construct(); goto a6bdf; A4114: $this->databaseUserEntityManager = $databaseUserEntityManager; goto C5069; D780a: $this->siteEntityManager = $siteEntityManager; goto Caa96; a6bdf: } protected function configure() : void { goto C540e; C540e: $this->setName("\x64\x62\72\141\144\x64"); goto a3c4a; Fb785: $this->addOption("\144\141\x74\141\x62\141\x73\x65\x55\163\145\162\x50\141\163\x73\167\x6f\x72\144", null, InputOption::VALUE_REQUIRED); goto Edeba; f7f93: $this->addOption("\144\141\x74\141\x62\141\x73\145\125\x73\x65\162\116\141\155\145", null, InputOption::VALUE_REQUIRED); goto Fb785; a8109: $this->addOption("\144\x61\164\x61\142\x61\x73\x65\x4e\x61\x6d\145", null, InputOption::VALUE_REQUIRED); goto f7f93; Df8c9: $this->addOption("\144\x6f\x6d\x61\x69\156\116\x61\x6d\145", null, InputOption::VALUE_REQUIRED); goto a8109; a3c4a: $this->setDescription("\143\154\x70\x63\164\x6c\x20\x64\x62\x3a\141\x64\144\40\55\55\x64\x6f\155\141\151\x6e\x4e\141\x6d\145\75\x77\167\x77\x2e\x64\157\155\x61\151\156\x2e\x63\157\155\40\55\55\144\141\x74\x61\142\141\163\145\116\x61\x6d\x65\x3d\155\x79\55\144\x61\x74\141\x62\141\163\145\40\55\x2d\144\141\164\x61\142\x61\x73\x65\x55\x73\x65\x72\116\x61\x6d\145\x3d\x6a\x6f\x68\156\40\55\55\x64\141\164\x61\x62\141\163\145\125\x73\145\162\120\141\x73\163\x77\x6f\x72\x64\x3d\47\x21\x73\x65\x63\162\x65\x74\120\141\x73\x73\x77\x6f\162\x64\41\x27"); goto Df8c9; Edeba: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto ee666; C457d: $domainName = trim($input->getOption("\x64\x6f\x6d\x61\x69\x6e\116\141\155\145")); goto dbd5b; A75d2: $databaseEntity = $this->databaseEntityManager->createEntity(); goto D801f; Ac947: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto A11fb; } goto a6c2f; badb3: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto Ff560; b745c: $databaseManager->createUser($databaseUserEntity); goto A7472; a178d: goto Dfe86; goto c445d; dbd5b: $databaseName = trim($input->getOption("\x64\x61\x74\141\142\x61\x73\x65\x4e\x61\155\145")); goto D3db7; F08aa: ef1b3: goto Ab501; ebfb3: $siteEntity->addDatabase($databaseEntity); goto B6c72; d6479: if (!(true === is_null($siteEntity))) { goto Cbb93; } goto A85d1; A85d1: throw new \Exception(sprintf("\104\157\x6d\x61\151\x6e\116\141\x6d\x65\40\42\x25\x73\42\40\x64\157\145\163\40\x6e\157\164\x20\145\170\x69\x73\164\56", $domainName)); goto B9973; bd216: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto Ac947; Ab501: return BaseCommand::FAILURE; goto B5216; D904f: $databaseUserPassword = trim($input->getOption("\144\141\164\141\x62\141\x73\145\125\x73\145\162\x50\141\x73\163\x77\157\x72\144")); goto E584f; D801f: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto d6555; Ad3bb: return BaseCommand::SUCCESS; goto A84c5; d6555: $databaseEntity->setName($databaseName); goto Dc1cd; A8e6c: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto dda6b; ee666: $this->validateInput($input); goto C457d; Ff560: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto b2487; A9548: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto fcf5f; b6495: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto F4325; a1663: $databaseEntity->addUser($databaseUserEntity); goto ebfb3; B6c72: $databaseConstraints = $this->validator->validate($databaseEntity); goto bd216; F4325: if (!(false === is_null($activeDatabaseServerEntity))) { goto ef1b3; } goto A75d2; c445d: A11fb: goto A8e6c; a6c2f: $constraints = new ConstraintViolationList(); goto Fe4c6; dda6b: $databaseManager->createDatabase($databaseEntity); goto b745c; fcf5f: $databaseUserEntity->setUserName($databaseUserName); goto badb3; Dc1cd: $databaseEntity->setSite($siteEntity); goto A9548; ca31d: $output->writeln(sprintf("\x3c\151\156\x66\x6f\x3e\x44\x61\164\141\142\x61\163\x65\74\x2f\151\x6e\x66\x6f\x3e\x20\74\x63\x6f\155\x6d\145\156\x74\76\45\163\x3c\57\143\x6f\x6d\155\x65\156\x74\76\40\x3c\x69\156\146\x6f\x3e\150\x61\163\x20\142\145\145\156\40\x61\144\144\x65\144\x2e\x3c\x2f\x69\156\146\x6f\76", $databaseName)); goto Ad3bb; B9973: Cbb93: goto b6495; Fe4c6: $constraints->addAll($databaseConstraints); goto A362c; b2487: $databaseUserEntity->setDatabase($databaseEntity); goto a1663; E584f: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto d6479; A84c5: Dfe86: goto F08aa; A362c: $constraints->addAll($databaseUserConstraints); goto e8666; e8666: return $this->renderConstraints($constraints, $output); goto a178d; A7472: $this->siteEntityManager->updateEntity($siteEntity); goto ca31d; D3db7: $databaseUserName = trim($input->getOption("\x64\141\164\141\142\141\x73\145\125\x73\x65\162\x4e\x61\155\145")); goto D904f; B5216: } catch (\Exception $e) { goto D5799; A3dc5: $output->writeln(sprintf("\x3c\x65\x72\162\x6f\162\76\45\163\74\57\x65\x72\x72\x6f\x72\x3e", $errorMessage)); goto Bc844; D5799: $errorMessage = $e->getMessage(); goto A3dc5; Bc844: return BaseCommand::FAILURE; goto a069f; a069f: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\x61\155\x65", "\x64\141\164\x61\142\x61\163\x65\116\141\155\x65", $constraints); $this->changePropertyPath("\x75\x73\x65\162\116\141\155\145", "\144\x61\164\x61\142\x61\163\x65\x55\163\x65\162\116\x61\155\145", $constraints); } }
