<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto a2228; a2228: $this->siteEntityManager = $siteEntityManager; goto F1f97; F1f97: $this->databaseEntityManager = $databaseEntityManager; goto C0e90; Abe05: parent::__construct(); goto d6cd0; c0060: $this->commandExecutor = new CommandExecutor(); goto ef9cf; ef9cf: $this->validator = $validator; goto Abe05; C0e90: $this->databaseServerEntityManager = $databaseServerEntityManager; goto c0060; d6cd0: } protected function configure() : void { goto a1b31; deba1: $this->addOption("\162\x65\164\145\x6e\x74\151\x6f\156\x50\145\x72\x69\x6f\144", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto c54e5; C33af: $this->addOption("\151\x67\x6e\x6f\x72\145\x44\141\164\141\x62\141\163\145\x73", null, InputOption::VALUE_OPTIONAL); goto deba1; a1b31: $this->setName("\144\x62\x3a\142\141\143\153\165\160"); goto fbdfa; fbdfa: $this->setDescription("\143\x6c\160\143\x74\154\40\144\x62\72\x62\x61\143\x6b\165\x70\40\55\x2d\x69\147\156\x6f\x72\145\x44\141\x74\141\x62\141\x73\x65\x73\75\x27\144\142\x31\x2c\144\x62\62\x27\x20\x2d\x2d\162\145\x74\145\x6e\164\x69\157\156\120\x65\162\x69\157\144\x3d\x37"); goto C33af; c54e5: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto be885; be885: $this->validateInput($input); goto Ac422; a457d: foreach ($siteEntities as $siteEntity) { goto C131f; C131f: $databaseEntities = $siteEntity->getDatabases(); goto A5562; b8a1a: A2a16: goto a3daa; a3daa: a8bf1: goto df718; df718: c4c7b: goto e4f4a; A5562: if (!count($databaseEntities)) { goto a8bf1; } goto d6467; d6467: foreach ($databaseEntities as $databaseEntity) { goto b9d01; A07e9: $this->createDatabaseDump($databaseEntity); goto dec03; Dd555: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto bdeec; } goto A07e9; b9d01: $databaseName = $databaseEntity->getName(); goto Dd555; dec03: bdeec: goto Ef594; Ef594: E65da: goto f4976; f4976: } goto b8a1a; e4f4a: } goto Ed92c; E2cb4: c6784: goto D3e02; e2032: $this->retentionPeriod = (int) $input->getOption("\x72\145\x74\145\x6e\x74\151\x6f\156\120\145\x72\x69\x6f\144"); goto f7c14; f7c14: $siteEntities = $this->siteEntityManager->findAll(); goto e025f; e025f: if (!count($siteEntities)) { goto c6784; } goto a457d; Ed92c: d8caf: goto E2cb4; Ac422: $ignoredDatabases = explode("\x2c", $input->getOption("\151\147\156\x6f\162\x65\104\x61\x74\x61\142\141\x73\145\163")); goto e2032; D3e02: return BaseCommand::SUCCESS; goto E3fe3; E3fe3: } catch (\Exception $e) { goto B2840; B2840: $errorMessage = $e->getMessage(); goto bc898; Ae680: return BaseCommand::FAILURE; goto d863c; bc898: $output->writeln(sprintf("\74\x65\162\x72\x6f\x72\76\x25\x73\74\x2f\x65\x72\x72\157\x72\76", $errorMessage)); goto Ae680; d863c: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto ef6bc; bddc4: $databaseExporter->export(); goto Db473; F181c: $databaseExporter = new DatabaseExporter($databaseEntity); goto A2a2a; d6095: $outputFile = sprintf("\x25\163\57\x25\x73", rtrim($outputDirectory, "\x2f"), sprintf("\x25\163\137\45\163\56\163\x71\154\x2e\x67\x7a", $databaseName, $dateTime->getTimestamp())); goto F181c; A2a2a: $databaseExporter->setFile($outputFile); goto d93f3; D1e32: $databaseName = $databaseEntity->getName(); goto Ab642; Ab642: $backupDirectory = sprintf("\x2f\150\x6f\x6d\x65\x2f\x25\x73\57\x62\141\143\153\165\x70\x73\57\x64\141\164\x61\x62\x61\163\145\x73\57", $siteUser); goto F18c6; ef6bc: $dateTime = new \DateTime("\x6e\157\x77", new \DateTimeZone("\125\x54\103")); goto c3aa2; fc1a2: $siteUser = $siteEntity->getUser(); goto D1e32; c3aa2: $siteEntity = $databaseEntity->getSite(); goto fc1a2; d93f3: $databaseExporter->createOutputDirectory(); goto bddc4; Db473: $this->resetPermissions($databaseEntity); goto c58b1; c58b1: $this->cleanUpBackups($databaseEntity); goto c32c2; F18c6: $outputDirectory = sprintf("\45\163\57\x25\163\57\45\163\57", rtrim($backupDirectory, "\57"), $databaseName, $dateTime->format("\131\55\x6d\55\x64")); goto d6095; c32c2: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto Cd730; a0765: $backupDirectoryChownCommand->setFile($backupDirectory); goto f2af4; E09ca: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto Aab20; f2af4: $backupDirectoryChownCommand->setRecursive(true); goto ccdbb; Cd730: $siteEntity = $databaseEntity->getSite(); goto C5f9b; c32a2: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto B4c1c; cf61a: $backupDirectory = sprintf("\x2f\x68\157\x6d\145\x2f\45\163\x2f\142\141\x63\153\x75\x70\163\57\144\141\164\141\x62\141\x73\145\x73\57", $siteUser); goto A2e4c; A2e4c: $backupDirectoryChownCommand = new ChownCommand(); goto a0765; c02fd: $backupDirectoryChmodCommand->setFile($backupDirectory); goto E09ca; Aab20: $backupDirectoryChmodCommand->setFileChmod(760); goto a2ca8; C5f9b: $siteUser = $siteEntity->getUser(); goto cf61a; e00e3: $backupDirectoryChownCommand->setGroup($siteUser); goto F4cbc; ccdbb: $backupDirectoryChownCommand->setUser($siteUser); goto e00e3; F4cbc: $backupDirectoryChmodCommand = new FindChmodCommand(); goto c02fd; a2ca8: $this->commandExecutor->execute($backupDirectoryChownCommand); goto c32a2; B4c1c: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto f7a26; bcc7f: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto Dcf44; A9cbb: $siteUser = $siteEntity->getUser(); goto A37e3; B2c2b: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto f758f; A37e3: $databaseBackupDirectory = sprintf("\x2f\150\157\155\x65\x2f\45\163\57\x62\141\x63\153\x75\x70\x73\x2f\144\x61\164\x61\142\x61\163\145\163\x2f", $siteUser); goto bcc7f; f7a26: $siteEntity = $databaseEntity->getSite(); goto A9cbb; Dcf44: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto B2c2b; f758f: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto b1226; b1226: } }
