<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Symfony\Component\Console\Question\ConfirmationQuestion; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Manager as DatabaseManager; class DatabaseDeleteCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto c61d8; F2cdc: parent::__construct(); goto C4258; c61d8: $this->siteEntityManager = $siteEntityManager; goto Dee35; E7944: $this->validator = $validator; goto F2cdc; Dee35: $this->databaseEntityManager = $databaseEntityManager; goto f0204; Ca77c: $this->databaseServerEntityManager = $databaseServerEntityManager; goto E7944; f0204: $this->databaseUserEntityManager = $databaseUserEntityManager; goto Ca77c; C4258: } protected function configure() : void { goto d32d0; Be47d: $this->addOption("\x66\157\162\143\145", "\146", InputOption::VALUE_NONE); goto Ca71e; Bcede: $this->setDescription("\143\x6c\160\x63\x74\154\40\x64\x62\x3a\x64\145\x6c\145\x74\145\x20\x2d\x2d\144\x61\164\141\x62\x61\x73\145\116\141\155\145\75\x6d\x79\x2d\x64\141\x74\x61\142\141\x73\x65"); goto C1d07; C1d07: $this->addOption("\144\141\164\x61\x62\141\163\x65\x4e\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto Be47d; d32d0: $this->setName("\144\142\x3a\144\145\x6c\x65\x74\145"); goto Bcede; Ca71e: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto B5210; B5210: $this->validateInput($input); goto e06a3; f0d2e: if (!(false === $answer)) { goto Ee4d1; } goto a6aa3; de093: $helper = $this->getHelper("\161\x75\x65\x73\164\x69\x6f\x6e"); goto C21e0; Ffa43: $output->writeln(sprintf("\74\151\x6e\x66\157\76\x44\x61\x74\x61\142\x61\163\x65\74\x2f\151\156\x66\157\76\x20\74\143\x6f\x6d\155\145\x6e\x74\x3e\x25\163\x3c\x2f\143\157\x6d\x6d\x65\156\x74\x3e\40\x3c\x69\x6e\x66\157\76\x68\x61\163\40\142\145\145\156\x20\144\145\x6c\145\164\x65\144\56\74\x2f\x69\156\146\157\x3e", $databaseName)); goto Dba71; Aecce: e3ac1: goto Bd16d; A2e9f: $siteEntity = $databaseEntity->getSite(); goto C87a3; C21e0: $question = new ConfirmationQuestion(sprintf("\x3c\x69\156\x66\x6f\76\103\157\x6e\x66\x69\162\155\40\164\157\40\x64\x65\154\x65\164\145\40\164\x68\145\40\x64\x61\164\141\142\141\163\x65\72\x20\x25\x73\x3c\57\151\156\x66\x6f\76\x20\x3c\x63\157\155\155\145\156\164\76\x28\171\x65\163\x2f\156\x6f\51\72\74\57\143\x6f\155\x6d\145\x6e\164\x3e\x20", $databaseName), false, "\x2f\136\x28\171\145\x73\51\x2f\x69"); goto a5d45; bce7a: a6224: goto A2e9f; Dba71: return BaseCommand::SUCCESS; goto D7aec; a6aa3: return BaseCommand::SUCCESS; goto Cc83f; e06a3: $databaseName = trim($input->getOption("\x64\141\164\x61\x62\x61\x73\145\116\141\155\145")); goto a0167; Cf449: $databaseManager = new DatabaseManager($databaseServerEntity); goto Ca3d5; Ca3d5: $databaseManager->deleteDatabase($databaseEntity, true); goto eafd4; eafd4: $siteEntity->removeDatabase($databaseEntity); goto a22a9; a22a9: $this->siteEntityManager->updateEntity($siteEntity); goto Ffa43; a0167: $force = $input->getOption("\146\157\x72\143\x65") === true; goto C2444; a5d45: $answer = $helper->ask($input, $output, $question); goto f0d2e; F14a5: if (!(true === is_null($databaseEntity))) { goto e3ac1; } goto cf6b9; C2444: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto F14a5; Bd16d: if (!(false === $force)) { goto a6224; } goto de093; C87a3: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Cf449; Cc83f: Ee4d1: goto bce7a; cf6b9: throw new \Exception(sprintf("\104\141\x74\141\x62\x61\163\145\x20\42\x25\163\x22\x20\144\157\x65\x73\x20\156\157\164\x20\145\170\151\163\164\56", $databaseName)); goto Aecce; D7aec: } catch (\Exception $e) { goto e2e4d; e2e4d: $errorMessage = $e->getMessage(); goto a66e5; a66e5: $output->writeln(sprintf("\74\145\x72\x72\157\162\x3e\45\163\x3c\x2f\145\162\x72\x6f\162\x3e", $errorMessage)); goto f63d0; f63d0: return BaseCommand::FAILURE; goto Af507; Af507: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\141\x6d\145", "\144\141\164\141\142\141\163\145\x4e\x61\x6d\145", $constraints); $this->changePropertyPath("\165\163\145\x72\x4e\141\x6d\x65", "\144\141\164\x61\142\x61\x73\145\x55\x73\x65\162\116\141\155\x65", $constraints); } }
