<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\x72\157\x6f\x74"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto C6b74; C6b74: $this->siteEntityManager = $siteEntityManager; goto c5b38; ebb97: $this->databaseServerEntityManager = $databaseServerEntityManager; goto f3140; f3140: $this->sshUserEntityManager = $sshUserEntityManager; goto ace11; c5b38: $this->databaseEntityManager = $databaseEntityManager; goto ebb97; bbc3d: parent::__construct(); goto Ddd59; ace11: $this->commandExecutor = new CommandExecutor(); goto bbc3d; Ddd59: } protected function configure() : void { goto C29e5; C29e5: $this->setName("\144\142\72\x69\155\160\157\162\164"); goto c7ef2; C8cad: $this->addOption("\x66\x69\154\x65", null, InputOption::VALUE_REQUIRED); goto B3477; Be084: $this->addOption("\144\141\x74\x61\x62\x61\x73\x65\116\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto C8cad; c7ef2: $this->setDescription("\143\x6c\160\143\164\x6c\40\144\x62\x3a\151\x6d\x70\157\x72\x74\x20\x2d\x2d\x64\x61\164\141\142\141\x73\x65\116\141\x6d\x65\x3d\155\171\55\144\141\164\141\x62\141\x73\x65\x20\x2d\55\146\151\154\x65\75\x64\x75\x6d\160\x2e\x73\x71\154\56\x67\172"); goto Be084; B3477: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Bc70c; C32fc: $databaseName = $input->getOption("\x64\x61\x74\141\142\x61\x73\145\x4e\x61\x6d\145"); goto f6cc3; A50f2: if (false === is_null($databaseEntity)) { goto C9deb; } goto D7803; A7931: f41dc: goto da380; b09cd: C9deb: goto aa5fa; a91b7: $siteUser = null; goto Ca282; D6f2e: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto A50f2; fe2a2: $importFile = sprintf("\x25\x73\x2f\x25\163", rtrim(getcwd(), "\57"), $importFile); goto d2e09; d2e09: fc5ea: goto a1243; e88df: c0083: goto c1f97; cc802: if (!(false === is_null($sshUserEntity))) { goto c15dd; } goto ff04a; ecb16: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto bde58; F9c0a: d350a: goto cb472; cb472: return BaseCommand::FAILURE; goto c2019; F4183: $siteUser = self::SYSTEM_USER_ROOT; goto f8f9a; aa44e: $systemUserName = self::SYSTEM_USER_ROOT; goto e88df; c1f97: if (!(false === str_contains($importFile, "\57"))) { goto fc5ea; } goto fe2a2; f8f9a: Fc427: goto B0924; ce69c: c15dd: goto cfdd3; A3bd2: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto cc802; a1243: $this->checkIfFileExists($importFile); goto D6f2e; A8d86: $isSuperUser = true; goto F4183; c923a: $databaseImporter->import($importFile); goto f457b; B0924: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto D9f74; ff04a: $siteEntity = $sshUserEntity->getSite(); goto d453e; Ca282: if (false === is_null($siteEntity)) { goto f41dc; } goto A3bd2; d437a: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto Fc427; } goto A8d86; f6cc3: $importFile = $input->getOption("\146\151\x6c\145"); goto d3e51; f457b: $output->writeln(sprintf("\74\151\156\146\157\x3e\111\155\x70\x6f\x72\x74\x20\x69\156\164\x6f\40\x64\141\x74\141\142\141\163\145\74\x2f\x69\156\146\157\x3e\40\x3c\143\157\x6d\x6d\145\156\x74\76\x25\x73\74\x2f\x63\x6f\x6d\x6d\145\x6e\164\x3e\x20\74\151\x6e\146\157\76\x77\x61\x73\40\163\x75\x63\x63\x65\x73\163\x66\165\x6c\x2e\x3c\x2f\x69\x6e\x66\157\x3e", $databaseName)); goto e692e; D9f74: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto a3617; } goto a057c; cfdd3: goto Be133; goto A7931; e692e: return BaseCommand::SUCCESS; goto E13bf; E13bf: a3617: goto F9c0a; e46e9: goto d350a; goto b09cd; ca9f2: Be133: goto ecb16; aa5fa: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto a91b7; bde58: $isSuperUser = false; goto d437a; d453e: $siteUser = $siteEntity->getUser(); goto ce69c; D7803: throw new \Exception(sprintf("\104\141\164\x61\x62\141\163\x65\x20\42\x25\163\42\40\144\157\x65\x73\x20\156\157\x74\x20\145\x78\151\163\164\56", $databaseName)); goto e46e9; da380: $siteUser = $siteEntity->getUser(); goto ca9f2; d3e51: $systemUserName = $_SERVER["\x53\x55\104\x4f\x5f\x55\123\x45\x52"] ?? ''; goto B7683; Bc70c: $this->validateInput($input); goto C32fc; B7683: if (!("\x64\x65\166" == $_ENV["\101\120\120\x5f\x45\x4e\126"])) { goto c0083; } goto aa44e; a057c: $databaseImporter = new DatabaseImporter($databaseEntity); goto c923a; c2019: } catch (\Exception $e) { goto c50c8; Eaf42: $output->writeln(sprintf("\x3c\145\x72\x72\157\x72\x3e\x25\163\74\x2f\145\162\x72\x6f\162\76", $errorMessage)); goto B9c5c; B9c5c: return BaseCommand::FAILURE; goto C0752; c50c8: $errorMessage = $this->maskString($e->getMessage()); goto Eaf42; C0752: } } private function checkIfFileExists(string $importFile) { try { goto acda9; c1214: $this->commandExecutor->execute($checkIfFileExistsCommand); goto ae472; acda9: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto a9dde; a9dde: $checkIfFileExistsCommand->setFile($importFile); goto c1214; ae472: } catch (\Exception $e) { throw new \Exception(sprintf("\x46\151\154\x65\40\42\45\x73\42\40\144\157\x65\163\x20\x6e\157\x74\x20\x65\x78\151\x73\164\x2e", $importFile)); } } }
