<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto Cc011; c62e6: parent::__construct(); goto Ad430; D32c7: $this->commandExecutor = new CommandExecutor(); goto Ce99e; Cc011: $this->siteEntityManager = $siteEntityManager; goto D32c7; Ce99e: $this->logger = $logger; goto Ac428; Ac428: $this->validator = $validator; goto c62e6; Ad430: } protected function configure() : void { goto Aa888; db7d6: $this->addOption("\144\145\154\x61\x79", null, InputOption::VALUE_OPTIONAL, false); goto f3d6e; c458f: $this->setDescription("\143\x6c\x70\x63\x74\154\40\x72\145\155\157\164\x65\55\x62\x61\143\x6b\165\x70\x3a\143\162\x65\141\x74\145"); goto db7d6; Aa888: $this->setName("\162\x65\x6d\157\164\x65\x2d\142\x61\x63\153\165\160\72\x63\162\x65\x61\164\145"); goto c458f; f3d6e: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto B49b7; C4daf: $delay = (bool) $input->getOption("\144\145\x6c\141\x79"); goto ea515; B49b7: $this->validateInput($input); goto Baadd; d46a0: $this->backupDatabases(clone $input, clone $output); goto ad884; ad884: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto f2d09; } goto C4daf; Ffad8: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto ae876; } goto F1864; E37cd: return BaseCommand::SUCCESS; goto B5a0a; Edc37: $this->cleanBackups(); goto e62fd; e62fd: ae876: goto E37cd; Be874: Ef643: goto Edc37; eb921: f2d09: goto B65ad; ea515: $this->refreshDropboxAccessToken($delay); goto eb921; fbf3b: if (!count($siteEntities)) { goto Ef643; } goto d46a0; Baadd: $isEnabled = (bool) $this->getConfigValue("\x72\x65\x6d\x6f\164\x65\137\x62\x61\143\153\x75\x70\x5f\x65\x6e\x61\x62\154\145\x64"); goto Dd401; B65ad: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); F8d5e: } goto D4abc; Dd401: $this->storageProvider = $this->getConfigValue("\162\x65\155\157\x74\x65\137\142\141\143\x6b\x75\x70\x5f\163\x74\x6f\162\141\x67\x65\137\x70\162\157\166\151\x64\145\x72"); goto Ffad8; D4abc: F7269: goto Be874; F1864: $siteEntities = $this->siteEntityManager->findAll(); goto fbf3b; B5a0a: } catch (\Exception $e) { goto db168; db168: $errorMessage = $e->getMessage(); goto D23a5; D23a5: $output->writeln(sprintf("\74\145\x72\x72\x6f\162\76\x25\163\74\x2f\145\162\x72\x6f\x72\76", $errorMessage)); goto D6770; D6770: return BaseCommand::FAILURE; goto c8144; c8144: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto bef2e; bef2e: $application = $this->getApplication(); goto e08d8; ff336: $exitCode = $command->run($input, $output); goto Df2e2; e08d8: $command = $application->find("\x64\142\72\142\x61\x63\x6b\x75\160"); goto ff336; Df2e2: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto f0b46; F41bb: ecb05: goto Ddb21; c0006: try { try { goto F9f62; B15c1: $tarCreator = new TarCreator(); goto Dad94; b1073: $destination = $this->getDestination($siteEntity); goto Fffd8; D1322: $homeDirectory = sprintf("\x2f\150\x6f\x6d\x65\57\45\x73\57", $siteUser); goto e31b2; B33b5: $domainName = $siteEntity->getDomainName(); goto D1322; Cb5d0: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto D656d; cb5ab: $sources = [$homeDirectory, $vhostFile]; goto B15c1; e31b2: $vhostFile = sprintf("\57\145\x74\x63\x2f\156\x67\x69\x6e\x78\x2f\163\x69\x74\x65\163\x2d\145\156\x61\x62\154\145\144\57\x25\163\56\143\x6f\x6e\x66", $domainName); goto ecd25; ce6f5: f6970: goto F77bf; F77bf: $rclone->copy($destinationFile, $destination); goto C012a; ecd25: $destinationFile = sprintf("\x2f\150\157\x6d\x65\57\x25\163\57\164\x6d\160\x2f\142\x61\143\153\165\160\56\x74\141\x72", $siteUser); goto A0007; A0007: $siteSettingsFile = sprintf("\57\150\157\x6d\145\57\45\163\57\163\x69\164\145\x2d\x73\x65\x74\164\151\156\x67\x73\56\152\x73\x6f\x6e", $siteUser); goto db997; db997: $siteVhostFile = sprintf("\57\150\x6f\155\145\x2f\45\x73\x2f\x73\151\x74\x65\55\x76\150\157\x73\x74", $siteUser); goto Cb5d0; E5fa8: if (!(false === empty($siteExcludes))) { goto C12d6; } goto Fb21b; e8a04: C12d6: goto beae3; D656d: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto cb5ab; F9f62: $excludes = ["\x2e\x73\x73\x68", "\164\x6d\x70", "\154\x6f\x67\x73"]; goto f1b60; Dad94: $tarCreator->create($sources, $destinationFile, $excludes); goto b1073; E7b51: b4e50: goto ce6f5; Fffd8: $rclone = new Rclone(); goto Aaf1c; beae3: $siteUser = $siteEntity->getUser(); goto B33b5; Fb21b: $excludes = array_merge($excludes, $siteExcludes); goto e8a04; Aaf1c: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto A3520; A3520: $email = $this->getConfigValue("\x72\145\x6d\157\164\145\x5f\x62\x61\x63\153\x75\x70\137\x65\x6d\141\151\x6c"); goto F1645; F1645: $rclone->addFlag("\x2d\55\144\x72\x69\166\145\55\x69\155\160\145\162\x73\157\156\141\x74\145", $email); goto D311b; D311b: goto f6970; goto cba3f; cba3f: } goto E7b51; f1b60: $siteExcludes = $this->getSiteExcludes($siteEntity); goto E5fa8; C012a: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto Aa0e7; cb0ad: $deleteFileCommand->setFile($file); goto d4a9c; a534a: A26c6: goto B88ff; Aa0e7: $deleteFileCommand = new DeleteFileCommand(); goto cb0ad; d4a9c: $this->commandExecutor->execute($deleteFileCommand, 60); goto a534a; B88ff: } dcaa4: } } catch (\Exception $e) { goto d34bb; d34bb: $errorMessage = $e->getMessage(); goto ef1cb; Df837: $this->addNotification($subject, $errorMessage); goto F578d; ef1cb: $subject = sprintf("\122\145\155\157\x74\145\x20\x42\x61\143\153\x75\x70\40\x66\x61\151\x6c\x65\x64\x3a\40\45\163", $domainName); goto Df837; F578d: } goto F41bb; f0b46: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto d5f94; d5f94: if (!(false === $isSiteExcluded)) { goto ecb05; } goto c0006; Ddb21: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto a5e84; b2a38: $writeFileCommand = new WriteFileCommand(); goto f62a9; d8bff: $writeFileCommand->setContent($fileContent); goto Fcb72; f97a7: C2f56: goto d7246; b69a5: $settings = ["\x74\x79\160\x65" => $siteType, "\144\157\x6d\141\151\156\116\x61\x6d\145" => $siteEntity->getDomainName(), "\x72\x6f\x6f\x74\x44\151\x72\x65\x63\x74\157\x72\x79" => $siteEntity->getRootDirectory(), "\x73\x69\164\145\125\163\x65\162" => $siteEntity->getUser(), "\x70\x61\x67\x65\123\x70\x65\x65\x64" => $siteEntity->getPageSpeedSettings()]; goto E358b; f62a9: $writeFileCommand->setFile($siteSettingsFile); goto d8bff; E358b: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto Fb473; a7da7: goto C905b; goto c1541; d0471: $settings["\x6e\x6f\144\x65\x6a\163\x53\145\x74\x74\151\156\x67\x73"] = $nodejsSettings; goto a7da7; bf2f6: $nodejsSettings = ["\166\x65\162\163\151\157\x6e" => $nodejsSettingsEntity->getNodejsVersion(), "\160\157\x72\164" => $nodejsSettingsEntity->getPort()]; goto d0471; Fb473: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto bf2f6; c1541: case SiteEntity::TYPE_PHP: goto Be77f; ea3aa: $settings["\x70\150\x70\123\x65\x74\164\x69\156\147\163"] = $phpSettings; goto d08a5; d08a5: goto C905b; goto Dc1b2; Be77f: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto B4b4b; B4b4b: $phpSettings = ["\166\x65\162\163\x69\157\156" => $phpSettingsEntity->getPhpVersion(), "\x6d\x65\155\x6f\162\x79\x4c\x69\155\x69\x74" => $phpSettingsEntity->getMemoryLimit(), "\x6d\x61\x78\x45\170\x65\x63\x75\164\151\157\156\124\x69\x6d\145" => $phpSettingsEntity->getMaxExecutionTime(), "\155\141\170\111\156\x70\165\x74\x54\x69\155\145" => $phpSettingsEntity->getMaxInputTime(), "\x6d\x61\x78\x49\156\160\165\164\126\x61\162\x73" => $phpSettingsEntity->getMaxInputVars(), "\x70\157\x73\x74\115\x61\x78\x53\x69\172\145" => $phpSettingsEntity->getPostMaxSize(), "\x75\160\x6c\x6f\x61\144\115\x61\170\106\x69\x6c\145\x53\151\x7a\145" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\144\144\151\164\x69\x6f\156\x61\154\103\x6f\x6e\x66\x69\x67\165\162\x61\x74\x69\x6f\156" => $phpSettingsEntity->getAdditionalConfiguration()]; goto ea3aa; Dc1b2: case SiteEntity::TYPE_PYTHON: goto E4e78; F9361: $pythonSettings = ["\x76\x65\162\x73\x69\x6f\156" => $pythonSettingsEntity->getPythonVersion(), "\x70\x6f\162\164" => $pythonSettingsEntity->getPort()]; goto e1351; E4e78: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto F9361; c156a: goto C905b; goto d3752; e1351: $settings["\x70\x79\164\150\157\156\123\145\164\164\x69\x6e\147\163"] = $pythonSettings; goto c156a; d3752: case SiteEntity::TYPE_REVERSE_PROXY: goto D15db; D15db: $reverseProxySettings = ["\x75\x72\x6c" => $siteEntity->getReverseProxyUrl()]; goto b5745; eafd5: goto C905b; goto b49ba; b5745: $settings["\162\145\166\x65\162\163\145\x50\x72\157\x78\171\x53\x65\164\164\x69\x6e\147\163"] = $reverseProxySettings; goto eafd5; b49ba: } goto f97a7; a5e84: $siteType = $siteEntity->getType(); goto b69a5; Fcb72: $this->commandExecutor->execute($writeFileCommand, 15); goto F781c; c94cb: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto b2a38; d7246: C905b: goto c94cb; F781c: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto be243; Af428: $this->commandExecutor->execute($writeFileCommand, 15); goto Dae4a; c4d32: $writeFileCommand->setFile($siteVhostFile); goto cfb21; Cfb5a: $writeFileCommand = new WriteFileCommand(); goto c4d32; cfb21: $writeFileCommand->setContent($vhost); goto Af428; be243: $vhost = $siteEntity->getVhostTemplate(); goto Cfb5a; Dae4a: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto b4b5d; C3b59: foreach ($excludes as $exclude) { goto e01e0; Ab8f6: Cf561: goto E2922; fca97: if (!($homeDirectory == $exclude)) { goto Cf561; } goto eb6b3; B435f: goto E4416; goto Ab8f6; e01e0: $exclude = rtrim($exclude, "\57"); goto fca97; E2922: aa51e: goto Ee562; eb6b3: $isSiteExcluded = true; goto B435f; Ee562: } goto a84dc; c3903: return $isSiteExcluded; goto f2081; b4b5d: $isSiteExcluded = false; goto d06bc; A4f90: if (!(false === empty($excludes))) { goto b5802; } goto E3b85; a84dc: E4416: goto Dd0ed; a0b0c: $homeDirectory = sprintf("\57\x68\x6f\x6d\145\57\x25\x73", $siteUser); goto C3b59; E3b85: $siteUser = $siteEntity->getUser(); goto a0b0c; d06bc: $excludes = $this->getExcludes(); goto A4f90; Dd0ed: b5802: goto c3903; f2081: } private function getExcludes() : array { goto Bd64e; a1775: if (!(false === empty($excludes))) { goto Ca3a7; } goto D604d; C7fbc: Ca3a7: goto F9897; F9897: f4497: goto a5b97; Bd64e: if (!(true === empty($this->excludes))) { goto f4497; } goto A5089; D604d: $this->excludes = json_decode($excludes); goto C7fbc; a5b97: return $this->excludes; goto e366d; A5089: $excludes = $this->getConfigValue("\x72\x65\x6d\x6f\164\x65\137\x62\x61\143\153\x75\x70\137\x65\x78\x63\x6c\165\x64\145\163"); goto a1775; e366d: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto Bc989; b92bd: if (!(false === empty($excludes))) { goto B23ee; } goto f16e8; F1417: B23ee: goto D3c9d; F9338: D1d3e: goto F1417; E168d: foreach ($excludes as $exclude) { goto c7007; fd828: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto E8906; d9754: $siteExcludes[] = rtrim(ltrim($exclude, "\x2f"), "\57"); goto F16df; c7007: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto E6901; } goto fd828; F16df: E0ab8: goto Ee3fb; E8906: if (!(false === empty($exclude))) { goto E0ab8; } goto d9754; bfbab: E8be9: goto E1105; Ee3fb: E6901: goto bfbab; E1105: } goto F9338; Bc989: $siteExcludes = []; goto D155e; D155e: $excludes = $this->getExcludes(); goto b92bd; D3c9d: return $siteExcludes; goto Af02b; f16e8: $siteUser = $siteEntity->getUser(); goto a83c3; a83c3: $homeDirectory = sprintf("\57\150\157\155\x65\x2f\x25\163\x2f", $siteUser); goto E168d; Af02b: } private function getServerDateTime() : \DateTime { goto ace91; b2b48: $timezone = $this->getConfigValue("\x74\x69\155\145\x7a\157\x6e\x65"); goto D2133; E95f8: B9032: goto bfbce; E9fca: efbc5: goto E95f8; ace91: if (!(true === is_null($this->serverDateTime))) { goto B9032; } goto b2b48; D79b1: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto E9fca; D2133: $this->serverDateTime = new \DateTime("\156\157\x77"); goto B0795; B0795: $this->serverDateTime->setTimezone(new \DateTimeZone("\125\x54\103")); goto d2578; d2578: if (!(false === empty($timezone))) { goto efbc5; } goto D79b1; bfbce: return $this->serverDateTime; goto c3c2f; c3c2f: } private function getDestination(SiteEntity $siteEntity) : string { goto e9c03; D8586: a7afa: goto eca75; Dac3b: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\162\145\x6d\x6f\x74\x65\137\142\141\x63\153\x75\x70\x5f\142\165\x63\x6b\x65\164"); goto a7afa; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\x72\x65\x6d\157\x74\145\x5f\142\x61\x63\153\165\x70\x5f\163\x70\141\x63\x65"); goto a7afa; } goto E8c03; e9c03: $destination = ''; goto Dac3b; Bf090: return $destination; goto d606b; b9c69: $destination = sprintf("\x25\163\57\x25\x73\x2f\x25\x73\x2f\45\x73\57\x68\x6f\155\x65\57\45\163\57", $destination, rtrim(ltrim($storageDirectory, "\57"), "\x2f"), $serverDateTime->format("\x59\55\155\x2d\144"), $serverDateTime->format("\x48\x2e\151"), $siteUser); goto dcaaa; eca75: $siteUser = $siteEntity->getUser(); goto D3a81; E8c03: D7686: goto D8586; B9981: dfa02: goto Bf090; E1e89: $destination = ltrim($destination, "\x2f"); goto B9981; af660: $serverDateTime = $this->getServerDateTime(); goto b9c69; D3a81: $storageDirectory = $this->getConfigValue("\162\x65\x6d\157\164\x65\137\142\141\143\153\165\x70\137\163\x74\x6f\162\141\147\x65\x5f\x64\151\162\145\x63\x74\157\x72\171"); goto af660; dcaaa: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto dfa02; } goto E1e89; d606b: } private function cleanBackups() : void { goto Bff05; Bff05: $retentionPeriod = (int) $this->getConfigValue("\162\x65\x6d\x6f\x74\x65\x5f\x62\x61\x63\153\165\x70\137\162\145\164\145\x6e\x74\x69\157\x6e\x5f\160\x65\162\x69\157\144"); goto d4440; d4440: $storageDirectory = $this->getConfigValue("\162\145\x6d\x6f\164\x65\137\142\x61\143\x6b\165\160\137\163\164\x6f\x72\141\147\x65\x5f\x64\151\x72\145\143\x74\157\x72\x79"); goto df719; A871b: ebbb7: goto dd0e2; df719: if (!($retentionPeriod && false === empty($storageDirectory))) { goto ebbb7; } goto Aa310; Aa310: try { goto Fec5b; fb991: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto F12b3; } goto ecde6; F9c97: $deleteDateTime->setTimezone(new \DateTimeZone("\x55\124\x43")); goto D39f6; c370b: $deleteDateTime->modify(sprintf("\x2d\x25\x73\x20\144\141\x79\163", $retentionPeriod)); goto F9c97; D51b5: $deleteDateTime = clone $dateTime; goto c370b; A9517: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\145\x6d\x6f\164\145\x5f\x62\x61\143\153\x75\160\137\x62\x75\143\153\x65\x74"); goto Fbf3a; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\162\x65\155\x6f\x74\145\x5f\x62\141\x63\x6b\x75\x70\137\x73\160\141\143\145"); goto Fbf3a; case StorageProvider::GOOGLE_DRIVE: goto Cae84; Cae84: $email = $this->getConfigValue("\162\x65\x6d\x6f\x74\x65\137\142\x61\143\x6b\165\x70\x5f\145\155\141\x69\x6c"); goto F47ec; c387a: goto Fbf3a; goto B1134; F47ec: $rclone->addFlag("\x2d\55\144\162\x69\166\145\x2d\151\155\x70\145\x72\163\157\156\x61\x74\145", $email); goto c387a; B1134: } goto a3346; e3089: F72d6: goto bfd06; bb5f8: d3359: goto e3089; c1d43: $directories = (array) $rclone->lsJson($remotePath, true); goto d7eb5; D39f6: $deleteDateTime->setTime(0, 0, 0, 0); goto E30be; Fec5b: $dateTime = new \DateTime(); goto D51b5; E30be: $remotePath = ''; goto D953d; D953d: $rclone = new Rclone(); goto A9517; ecde6: $remotePath = ltrim($remotePath, "\57"); goto C18bd; d7eb5: if (!(false === empty($directories))) { goto F72d6; } goto B879a; Bcad4: Fbf3a: goto Edc5d; B879a: foreach ($directories as $directory) { goto d4882; d4882: $directoryName = $directory["\116\141\x6d\x65"] ?? null; goto E9292; fa157: eda62: goto Fdfd5; Cb5b7: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto Efa9e; } goto Af0b9; Dd110: A4d52: goto aac6d; d0bd5: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto C2c9a; } goto C1f5b; C1f5b: $purgeRemotePath = ltrim($purgeRemotePath, "\x2f"); goto a3085; f5d3d: Efa9e: goto d0014; F6e13: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto b6636; Af0b9: $purgeRemotePath = sprintf("\57\x25\163", ltrim($purgeRemotePath, "\x2f")); goto f5d3d; E9292: if (!(false === is_null($directoryName))) { goto ca657; } goto F6e13; b6636: if (!(true === $isValidDate)) { goto f58de; } goto ae518; Fdfd5: f58de: goto dc8cc; ae518: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto eda62; } goto afda6; dc8cc: ca657: goto Dd110; afda6: $purgeRemotePath = sprintf("\x25\163\x2f\x25\x73\x2f", rtrim(ltrim($remotePath, "\57"), "\x2f"), $directoryName); goto d0bd5; d0014: $rclone->purge($purgeRemotePath); goto fa157; a3085: C2c9a: goto Cb5b7; aac6d: } goto bb5f8; Edc5d: $remotePath = sprintf("\45\163\57\x25\163\x2f", $remotePath, rtrim(ltrim($storageDirectory, "\57"), "\57")); goto fb991; a3346: d641d: goto Bcad4; C18bd: F12b3: goto c1d43; bfd06: } catch (\Exception $e) { goto Db743; Db743: $errorMessage = $e->getMessage(); goto D2038; D2038: $subject = sprintf("\122\145\x6d\x6f\164\x65\x20\x42\141\x63\x6b\165\x70\x20\x63\x6c\145\141\x6e\165\160\x20\146\x61\151\154\x65\x64\x2e"); goto c591d; c591d: $this->addNotification($subject, $errorMessage); goto fc17b; fc17b: } goto A871b; dd0e2: } private function refreshDropboxAccessToken(bool $delay) { try { goto a366e; a366e: if (!(true === $delay)) { goto e533f; } goto a1778; A69e8: $token = $dropboxClient->getAccessToken($refreshToken); goto e7875; F38d8: $rcloneConfig = $rcloneConfigBuilder->build(); goto F6559; F6559: $rclone = new Rclone(); goto D6c56; A464a: d154e: goto F6df9; a1778: sleep(rand(5, 60)); goto f275c; Fc9ab: $rcloneConfigTemplate->setToken($token); goto bbbcd; B4bd0: throw new \Exception("\101\x63\x63\x65\x73\163\40\124\x6f\153\145\156\x20\x63\141\156\x6e\x6f\x74\x20\x62\x65\40\x65\155\x70\x74\x79\x2e"); goto c30e0; e7875: if (false === empty($token)) { goto d154e; } goto B4bd0; F6df9: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto Fc9ab; f070a: $refreshToken = $this->getConfigValue("\x72\x65\x6d\157\164\145\137\x62\141\143\x6b\165\160\137\x72\145\146\x72\x65\163\150\x5f\164\157\153\145\156"); goto d4a0e; D6c56: $rclone->writeConfig($rcloneConfig); goto A16ad; A16ad: Cc315: goto Fbc6a; c30e0: goto Cc315; goto A464a; d4a0e: $dropboxClient = new DropboxClient(); goto A69e8; f275c: e533f: goto f070a; bbbcd: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto F38d8; Fbc6a: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\145\x66\x72\145\163\150\151\x6e\147\x20\x44\x72\157\x70\x62\x6f\170\40\101\x63\143\x65\163\x73\x20\x54\157\153\x65\x6e\40\106\141\151\154\145\x64", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto Fcf5f; C29e8: $notification->setMessage($errorMessage); goto ae459; Fcf5f: $notification = new Notification(); goto Fe889; Fe889: $notification->setSubject($subject); goto C29e8; ae459: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto Ad147; Ad147: NotificationQueue::addNotification($notification); goto efca8; efca8: } }
