<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\x4e\x6f\x64\x65\x6a\163"; protected function configure() : void { goto c799e; a2492: $this->addOption("\141\160\160\x50\157\x72\164", null, InputOption::VALUE_REQUIRED); goto e69b9; A85d0: $this->addOption("\156\x6f\144\x65\x6a\163\x56\145\162\x73\x69\157\156", null, InputOption::VALUE_REQUIRED); goto a2492; e69b9: $this->addOption("\x73\x69\164\x65\125\x73\x65\x72", null, InputOption::VALUE_REQUIRED); goto d6707; d6707: $this->addOption("\x73\151\164\145\125\163\145\162\120\x61\163\x73\167\157\162\x64", null, InputOption::VALUE_REQUIRED); goto D0cda; c799e: $this->setName("\163\x69\164\145\72\141\x64\144\72\156\157\x64\x65\152\163"); goto Dbf9e; Dbf9e: $this->setDescription("\143\154\x70\x63\164\154\40\163\x69\164\145\x3a\141\144\144\72\156\157\x64\x65\x6a\x73\x20\55\x2d\x64\157\x6d\141\x69\156\x4e\x61\155\145\x3d\167\x77\x77\56\144\157\x6d\141\x69\156\56\x63\x6f\x6d\40\55\x2d\x6e\x6f\144\x65\152\x73\x56\145\162\163\151\157\156\75\62\62\40\55\55\x61\x70\160\x50\157\162\164\x3d\63\60\x30\x30\x20\x2d\55\163\151\x74\145\125\163\145\162\x3d\152\157\150\156\x20\x2d\55\x73\x69\x74\x65\x55\163\145\x72\120\141\163\163\x77\x6f\162\144\x3d\x27\x21\163\x65\x63\x72\145\x74\120\141\163\x73\167\x6f\x72\x64\x21\47"); goto A79bd; cd89a: $this->addOption("\144\157\155\141\x69\156\116\141\x6d\x65", null, InputOption::VALUE_REQUIRED); goto A85d0; A79bd: $this->setComment("\x41\144\144\151\156\147\40\141\40\116\x6f\144\145\x2e\152\x73\x20\x53\151\164\145"); goto cd89a; D0cda: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto dddb3; b55d1: if (!(true === is_null($subdomain))) { goto c5309; } goto a2897; D82b8: $vhostTemplate->build(); goto C52fd; E1e06: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto A0486; Bc112: if (!(false === empty($redirectionVhostTemplate))) { goto B0a36; } goto d0ce5; c0ea5: ac976: goto ffff1; Dfa98: $rsaKeyGenerator = new RsaKeyGenerator(); goto Cfd94; F0851: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto B9358; b2e00: F9598: goto efc85; Aad24: if (false === is_null($vhostTemplateEntity)) { goto A74cf; } goto bc822; ee9cd: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Fee40; B052c: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto f930b; eba36: goto ac976; goto f3e64; D240f: $constraints->addAll($nodejsSettingsConstraints); goto Ceec8; B54f8: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto A4065; a2897: $subjectAlternativeNames[] = sprintf("\x77\x77\x77\x2e\45\163", $domainName); goto E92d0; dddb3: $this->validateInput($input); goto C18cd; ba49c: $nodejsVersion = (int) $input->getOption("\156\x6f\144\145\x6a\x73\x56\145\x72\163\151\x6f\156"); goto ee6eb; B9358: $csr = $csrGenerator->generate(); goto Aed9f; B8c18: $constraints = new ConstraintViolationList(); goto F6342; A64d2: $vhostTemplate->resetProcessors(); goto B052c; a2120: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\x2e\x2f\56\56\x2f\x72\145\163\157\165\x72\x63\x65\163\57\156\147\151\x6e\x78\x2f\166\150\x6f\x73\x74\x5f\x74\145\155\160\154\x61\164\x65\57\162\145\144\x69\x72\x65\143\x74\55\150\164\164\x70\x33"); goto c0ea5; dab76: $nodejsSiteCreator->resetPermissions(); goto F34fa; f7d28: $nodejsSiteCreator->installNodejs(); goto Ec9f4; e6c83: $nodejsSite->setCertificate($certificateEntity); goto E98af; d75f5: $nodejsSiteCreator->createNginxVhost(); goto b54c3; d065f: A74cf: goto c3fa1; F6342: $constraints->addAll($siteConstraints); goto D240f; E5fe6: $output->writeln(sprintf("\x3c\x69\x6e\146\157\x3e\123\x69\164\145\74\x2f\x69\156\146\x6f\x3e\40\74\x63\x6f\x6d\155\x65\x6e\x74\76\x25\x73\x3c\x2f\x63\x6f\x6d\155\x65\156\x74\76\x20\x3c\x69\x6e\146\x6f\x3e\150\141\163\x20\x62\x65\x65\x6e\x20\141\144\x64\145\x64\x2e\x3c\57\151\156\x66\157\x3e", $domainName)); goto d44a1; Aed9f: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto A022d; A6083: $nodejsSite->setUser($siteEntity->getUser()); goto A2899; E3f11: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto A64d2; D0e9f: Dead7: goto c74f0; E92d0: c5309: goto d8876; efc85: $certificateEntity = $this->certificateEntityManager->createEntity(); goto Befb8; Fee40: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Eb270; a68be: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto bbf4b; E3f98: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto F0851; cc3db: goto Db0d0; goto d065f; A4065: $nodejsSiteCreator->createUser(); goto b08c0; da5bb: $nodejsSiteCreator->createNvmDirectory(); goto f7d28; Ff820: $siteUser = trim($input->getOption("\x73\x69\x74\145\x55\163\145\162")); goto B1fa3; Ec9f4: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto d75f5; C2920: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto E6a38; E6a38: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto E6d24; d08ca: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto B8711; b54c3: $nodejsSiteCreator->reloadNginxService(); goto dab76; A0486: $certificateEntity->setCsr($csr); goto C08ca; Fa022: ef494: goto E3f98; C954c: $subjectAlternativeNames = []; goto b55d1; B8711: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto F9598; } goto B8c18; fe687: $nodejsSite = new NodejsSite(); goto A6083; d56a4: $certificateEntity->setCertificate($selfSignedCertificate); goto D05c5; F23d9: $siteEntity->setRootDirectory($rootDirectory); goto f6ffd; d0ce5: $vhostTemplate = sprintf("\45\x73\45\x73", $redirectionVhostTemplate, $vhostTemplate); goto C2cd5; f3e64: Eb40a: goto a2120; d44a1: return SiteCommand::SUCCESS; goto e3452; bbf4b: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto e6c83; aa148: $subjectAlternativeNames[] = $registrableDomain; goto Fa022; F34fa: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto E3f11; Befb8: $certificateEntity->setSite($siteEntity); goto Dfa98; Fe6cc: $this->siteEntityManager->updateEntity($siteEntity); goto E5fe6; Eb270: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto Aad24; A022d: $certificateEntity->setDefaultCertificate(true); goto E1e06; cbd07: $siteEntity->setUserPassword($siteUserPassword); goto F951d; A2899: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto C44ec; B1fa3: $siteUserPassword = trim($input->getOption("\x73\151\164\145\x55\x73\x65\162\x50\x61\163\163\167\157\162\144")); goto C6dad; e9af5: $nodejsSite->setRegistrableDomain($registrableDomain); goto F8602; a5c71: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto C2920; E754d: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto e5389; F8602: $nodejsSite->setSubdomain($subdomain); goto a68be; C6c89: $nodejsSettingsEntity->setSite($siteEntity); goto c7196; c74f0: $siteEntity->setVhostTemplate($vhostTemplate); goto a5c71; b08c0: $nodejsSiteCreator->createRootDirectory(); goto b1961; c7196: $siteConstraints = $this->validator->validate($siteEntity); goto d08ca; a6fe4: goto fe129; goto b2e00; D868b: $rootDirectory = $domainName; goto ba49c; C18cd: $domainName = mb_strtolower(trim($input->getOption("\x64\157\x6d\141\151\x6e\x4e\x61\155\145"))); goto Dfd18; f930b: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto F78f6; C6dad: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto Cf189; Dfd18: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto D868b; F951d: if (!(true === is_null($subdomain) || "\167\167\x77" == $subdomain)) { goto Dead7; } goto B2f6d; f6ffd: $siteEntity->setUser($siteUser); goto cbd07; D2aa3: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\56\x2f\56\56\57\x72\x65\x73\157\x75\x72\x63\x65\x73\x2f\x6e\x67\x69\x6e\x78\57\x76\150\157\163\x74\137\x74\x65\x6d\160\154\x61\164\145\x2f\162\145\x64\x69\x72\x65\143\x74"); goto eba36; d8876: if (!(false === is_null($subdomain) && "\x77\167\167" == $subdomain)) { goto ef494; } goto aa148; b1961: $nodejsSiteCreator->createLogrotateFile(); goto da5bb; c3fa1: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto a145e; C44ec: $nodejsSite->setDomainName($domainName); goto e9af5; C08ca: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto d56a4; a145e: $siteEntity = $this->siteEntityManager->createEntity(); goto E754d; E6d24: $nodejsSettingsEntity->setPort($appPort); goto C6c89; Ceec8: return $this->renderConstraints($constraints, $output); goto a6fe4; B0470: Db0d0: goto A8dd7; E98af: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto B54f8; e3452: fe129: goto B0470; C52fd: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto d0987; bc822: throw new \Exception(sprintf("\126\150\x6f\163\x74\40\x54\145\x6d\x70\x6c\x61\164\145\x20\x22\x25\163\42\x20\x64\x6f\145\163\x20\156\x6f\x74\40\x65\170\x69\163\164\56", $vhostTemplate)); goto cc3db; Cf189: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto ee9cd; B2f6d: if (true === isset($_ENV["\101\x50\x50\137\x48\x54\x54\120\x33"]) && "\164\x72\165\x65" === $_ENV["\x41\120\120\137\x48\x54\x54\120\x33"]) { goto Eb40a; } goto D2aa3; ffff1: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto Bc112; F78f6: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto D82b8; C2cd5: B0a36: goto D0e9f; d0987: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto Fe6cc; e5389: $siteEntity->setDomainName($domainName); goto F23d9; Cfd94: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto C954c; D05c5: $siteEntity->setCertificate($certificateEntity); goto fe687; ee6eb: $appPort = (int) $input->getOption("\x61\160\160\120\157\162\x74"); goto Ff820; A8dd7: } catch (\Exception $e) { goto f3fa0; f3fa0: $errorMessage = $e->getMessage(); goto C6acb; f8701: return SiteCommand::FAILURE; goto C533c; C6acb: $output->writeln(sprintf("\x3c\x65\x72\x72\x6f\x72\76\45\163\74\x2f\x65\162\x72\x6f\x72\x3e", $errorMessage)); goto f8701; C533c: } } }
