<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\PythonSettings as PythonSettingsEntity; use App\Site\PythonSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\PythonTemplate as PythonVhostTemplate; use App\Site\Creator\PythonSite as PythonSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddPythonCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\120\x79\164\x68\x6f\x6e"; protected function configure() : void { goto ad7c9; A1137: $this->addOption("\x64\x6f\x6d\141\x69\x6e\116\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto be5c8; a1e42: $this->addOption("\163\x69\x74\x65\x55\x73\x65\x72", null, InputOption::VALUE_REQUIRED); goto D9f54; c1809: $this->setComment("\101\144\144\151\156\147\40\x61\40\x50\x79\x74\x68\x6f\x6e\x20\x53\x69\x74\x65"); goto A1137; ad7c9: $this->setName("\163\x69\164\145\x3a\141\x64\x64\72\x70\x79\x74\x68\157\156"); goto E2ec4; e7e36: $this->addOption("\x61\160\x70\x50\157\162\164", null, InputOption::VALUE_REQUIRED); goto a1e42; be5c8: $this->addOption("\160\171\x74\x68\x6f\x6e\126\x65\162\163\x69\x6f\156", null, InputOption::VALUE_REQUIRED); goto e7e36; D9f54: $this->addOption("\163\x69\x74\145\x55\163\x65\x72\120\x61\163\x73\x77\157\x72\x64", null, InputOption::VALUE_REQUIRED); goto d25fb; E2ec4: $this->setDescription("\x63\x6c\160\x63\x74\x6c\x20\x73\151\164\x65\72\141\144\144\72\160\x79\x74\x68\x6f\156\x20\x2d\55\x64\x6f\x6d\x61\151\x6e\116\141\x6d\x65\75\x77\x77\167\56\144\157\155\x61\151\156\56\143\x6f\x6d\x20\55\x2d\x70\x79\x74\150\x6f\156\126\145\162\x73\x69\x6f\156\75\x33\x2e\x31\62\40\x2d\x2d\x61\160\x70\120\x6f\162\164\75\x38\x30\x38\x30\40\55\55\x73\x69\164\x65\125\163\145\x72\75\152\x6f\150\x6e\x20\x2d\55\163\x69\x74\145\x55\x73\x65\x72\x50\141\x73\163\167\x6f\162\x64\75\x27\41\x73\145\x63\x72\x65\164\120\x61\x73\163\167\x6f\162\x64\x21\x27"); goto c1809; d25fb: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Db61a; Da3ae: $siteEntity->setVhostTemplate($vhostTemplate); goto ee66e; bb1bc: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto D2240; E5f85: $siteEntity = $this->siteEntityManager->createEntity(); goto be656; c5a92: $pythonSiteCreator->createLogrotateFile(); goto d6b62; ecb56: $pythonSite->setRegistrableDomain($registrableDomain); goto c7a76; a90af: $pythonSettingsEntity->setSite($siteEntity); goto fdbe2; df16f: goto Cba4d; goto d14a5; be656: $siteEntity->setType(SiteEntity::TYPE_PYTHON); goto De2c6; Cb718: E6406: goto Bb3c2; e1ed4: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto E5337; d14a5: E6352: goto E1252; Bb3c2: E6d62: goto Da3ae; f2767: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto A235d; d90b9: $pythonSite->setUserPassword($siteEntity->getUserPassword()); goto A93fb; af8fb: c494a: goto C3327; Eafb6: $vhostTemplate = new PythonVhostTemplate($pythonSite); goto cdac4; A93fb: $pythonSite->setDomainName($domainName); goto ecb56; Aebeb: $pythonSiteCreator->createPrivateKeyAndCertificate(); goto ba73b; fbf8c: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto d7f25; B0d40: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto f2767; Cc5d3: return $this->renderConstraints($constraints, $output); goto B43de; a0c68: $pythonSite = new PythonSite(); goto e0ef9; d61a9: $pythonSite->setCertificate($certificateEntity); goto e83be; A23bf: $certificateEntity->setCertificate($selfSignedCertificate); goto b33d4; Fbdeb: $pythonSite->setRootDirectory($siteEntity->getRootDirectory()); goto d71d8; d2aa4: $pythonSettingsConstraints = $this->validator->validate($pythonSettingsEntity); goto Fc940; Bc467: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Ecfa3; cc0fb: $siteEntity->setRootDirectory($rootDirectory); goto A731a; A6339: $pythonSiteCreator = new PythonSiteCreator($pythonSite); goto Cd9b5; f60e2: $domainName = mb_strtolower(trim($input->getOption("\144\157\155\x61\x69\156\x4e\x61\155\145"))); goto ff77c; d6b62: $pythonSiteCreator->writePythonVersionFile(); goto Aebeb; A6713: if (!(false === empty($redirectionVhostTemplate))) { goto E6406; } goto af31b; b5a01: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto bdbe9; e83be: $pythonSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto A6339; C858a: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Ab2a9; Ed9c1: $pythonVersion = $input->getOption("\x70\x79\164\x68\157\x6e\126\x65\x72\x73\151\x6f\x6e"); goto d08d0; Ab2a9: $subjectAlternativeNames = []; goto Ce31b; ba73b: $pythonSiteCreator->createNginxVhost(); goto F4292; Fc940: if (0 == count($siteConstraints) && 0 == count($pythonSettingsConstraints)) { goto F45ee; } goto b729c; D8a61: $pythonSettingsEntity->setPythonVersion($pythonVersion); goto b30e4; ad2de: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto D3228; C0525: ba93a: goto cf242; D3228: $this->siteEntityManager->updateEntity($siteEntity); goto Cf6a8; b33d4: $siteEntity->setCertificate($certificateEntity); goto a0c68; A1e6c: $pythonSiteCreator->resetPermissions(); goto Eafb6; Ac0b6: e8670: goto D104a; a6d98: F45ee: goto b5132; Adc8c: $constraints->addAll($siteConstraints); goto f9ee7; f9ee7: $constraints->addAll($pythonSettingsConstraints); goto Cc5d3; e2c88: ea238: goto e0ce6; Cd9b5: $pythonSiteCreator->createUser(); goto dc73a; d7ae8: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\56\57\56\x2e\57\x72\145\x73\x6f\x75\162\x63\145\x73\x2f\x6e\147\151\x6e\170\x2f\x76\x68\x6f\x73\x74\137\164\145\155\160\x6c\141\164\x65\x2f\162\145\144\x69\x72\145\143\164"); goto df16f; Ee62f: return SiteCommand::SUCCESS; goto A88f5; b5132: $certificateEntity = $this->certificateEntityManager->createEntity(); goto E0466; A235d: $vhostTemplate->build(); goto c8cc5; ee66e: $pythonSettingsEntity = new PythonSettingsEntity(); goto D0650; b30e4: $pythonSettingsEntity->setPort($appPort); goto a90af; D2240: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Bc467; E53af: throw new \Exception(sprintf("\126\150\x6f\x73\x74\x20\124\x65\x6d\x70\x6c\141\164\145\x20\42\45\163\42\40\144\x6f\x65\163\x20\156\157\x74\40\145\x78\x69\163\164\x2e", $vhostTemplate)); goto f9bed; ff77c: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto df90f; df90f: $rootDirectory = $domainName; goto Ed9c1; De2c6: $siteEntity->setDomainName($domainName); goto cc0fb; F45ab: if (!(true === is_null($subdomain) || "\167\167\167" == $subdomain)) { goto E6d62; } goto Bade7; c8cc5: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto ad2de; A88f5: A9d44: goto af8fb; d08d0: $appPort = (int) $input->getOption("\x61\x70\x70\120\157\x72\164"); goto d3c58; E1252: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\56\x2f\x2e\x2e\x2f\162\145\163\x6f\165\x72\x63\145\x73\x2f\x6e\147\151\156\170\57\166\150\x6f\163\164\137\x74\145\155\x70\x6c\x61\x74\145\57\162\145\144\151\162\x65\143\164\55\150\x74\x74\x70\x33"); goto A22ab; Ce31b: if (!(true === is_null($subdomain))) { goto ba93a; } goto Bff83; D104a: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto E5f85; f1d2c: $vhostTemplate->resetProcessors(); goto d63a9; Bade7: if (true === isset($_ENV["\101\120\x50\x5f\x48\x54\124\x50\x33"]) && "\164\162\165\145" === $_ENV["\101\120\x50\x5f\110\124\124\x50\63"]) { goto E6352; } goto d7ae8; E5337: $csr = $csrGenerator->generate(); goto fe8f6; e0ce6: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto e1ed4; bdbe9: $certificateEntity->setCsr($csr); goto B094d; A22ab: Cba4d: goto b87cc; d63a9: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto B0d40; d7f25: if (false === is_null($vhostTemplateEntity)) { goto e8670; } goto E53af; b729c: $constraints = new ConstraintViolationList(); goto Adc8c; fc419: $certificateEntity->setDefaultCertificate(true); goto b5a01; A731a: $siteEntity->setUser($siteUser); goto bfea2; D0650: $siteEntity->setPythonSettings($pythonSettingsEntity); goto D8a61; cdac4: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto f1d2c; Cf6a8: $output->writeln(sprintf("\x3c\x69\x6e\146\x6f\76\123\x69\x74\x65\74\57\151\156\146\x6f\x3e\40\x3c\143\157\x6d\155\145\x6e\164\76\x25\x73\74\57\x63\x6f\x6d\x6d\145\156\164\76\x20\x3c\x69\x6e\146\x6f\x3e\150\141\x73\40\142\145\x65\x6e\40\141\144\144\x65\x64\x2e\x3c\x2f\151\x6e\146\157\76", $domainName)); goto Ee62f; F4292: $pythonSiteCreator->reloadNginxService(); goto A1e6c; Bff83: $subjectAlternativeNames[] = sprintf("\167\167\167\x2e\x25\163", $domainName); goto C0525; e0ef9: $pythonSite->setUser($siteEntity->getUser()); goto d90b9; fe859: $subjectAlternativeNames[] = $registrableDomain; goto e2c88; dc73a: $pythonSiteCreator->createRootDirectory(); goto c5a92; a8ca4: $siteUserPassword = trim($input->getOption("\163\151\164\145\x55\x73\145\162\120\x61\163\163\x77\157\x72\144")); goto bb1bc; B094d: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto A23bf; fdbe2: $siteConstraints = $this->validator->validate($siteEntity); goto d2aa4; b87cc: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto A6713; fe8f6: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto fc419; B43de: goto A9d44; goto a6d98; bfea2: $siteEntity->setUserPassword($siteUserPassword); goto F45ab; Db61a: $this->validateInput($input); goto f60e2; af31b: $vhostTemplate = sprintf("\x25\163\45\163", $redirectionVhostTemplate, $vhostTemplate); goto Cb718; e8f35: $rsaKeyGenerator = new RsaKeyGenerator(); goto C858a; c7a76: $pythonSite->setSubdomain($subdomain); goto Fbdeb; d3c58: $siteUser = trim($input->getOption("\x73\151\164\x65\125\163\x65\x72")); goto a8ca4; Ecfa3: $subdomain = false === empty($subdomain) ? $subdomain : null; goto fbf8c; f9bed: goto c494a; goto Ac0b6; cf242: if (!(false === is_null($subdomain) && "\167\x77\167" == $subdomain)) { goto ea238; } goto fe859; d71d8: $pythonSite->setPythonSettings($pythonSettingsEntity); goto d61a9; E0466: $certificateEntity->setSite($siteEntity); goto e8f35; C3327: } catch (\Exception $e) { goto d8b3c; d8b3c: $errorMessage = $e->getMessage(); goto A737e; D6b09: return SiteCommand::FAILURE; goto C02d5; A737e: $output->writeln(sprintf("\74\x65\162\162\157\x72\x3e\x25\x73\74\57\145\x72\162\157\x72\x3e", $errorMessage)); goto D6b09; C02d5: } } }
