<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto B0086; caf27: $this->certificateEntityManager = $certificateEntityManager; goto a5922; a5922: $this->databaseServerEntityManager = $databaseServerEntityManager; goto ddc52; A5b45: $this->validator = $validator; goto F6418; A4a37: $this->siteEntityManager = $siteEntityManager; goto caf27; B0086: $this->domainNameParser = $domainNameParser; goto A4a37; F6418: parent::__construct(); goto a85c4; ddc52: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto A5b45; a85c4: } protected function configure() : void { $this->setName("\x73\x69\164\145\72\164\155\x70"); } protected function getSite(string $domainName) : ?Site { goto e78fa; Ea547: $site->setFtpUsers($siteEntity->getFtpUsers()); goto ee088; Feb12: $site->setCertificate($siteEntity->getCertificate()); goto C79f3; e78fa: $site = null; goto D5f22; Fb7a5: Fea0c: goto f402a; C1e60: $site->setBlockedIps($siteEntity->getBlockedIps()); goto Feb12; Bb547: d95b6: goto f6c8b; Cd775: $site->setUser($siteEntity->getUser()); goto cdfb3; E5b83: if (!(false === is_null($site))) { goto ff9c1; } goto e5d2d; B1c9c: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto C5d25; c0b7d: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto a3dd9; C5d25: $site = new NodejsSite(); goto c0b7d; a3dd9: goto bb6ad; goto D56e6; D56e6: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto bb6ad; case SiteEntity::TYPE_PHP: goto Fdf17; Bc9ae: goto bb6ad; goto F93dd; Bd7fc: $site->setPhpSettings($siteEntity->getPhpSettings()); goto ffe92; Fdf17: $site = new PhpSite(); goto Bd7fc; ffe92: $site->setVarnishCache($siteEntity->getVarnishCache()); goto Bc9ae; F93dd: case SiteEntity::TYPE_PYTHON: goto e4246; e4246: $site = new PythonSite(); goto a6387; Ab461: goto bb6ad; goto Aa94a; a6387: $site->setPythonSettings($siteEntity->getPythonSettings()); goto Ab461; Aa94a: case SiteEntity::TYPE_REVERSE_PROXY: goto D9704; Cd83d: goto bb6ad; goto bac72; D9704: $site = new ReverseProxySite(); goto Fe9ea; Fe9ea: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto Cd83d; bac72: } goto D8793; E4024: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto f2278; a9667: $site->setDatabases($siteDatabases); goto C8de4; e2227: if (false === is_null($siteEntity)) { goto d95b6; } goto cc545; Cb01b: ff9c1: goto Fb7a5; cbb0c: bb6ad: goto E5b83; f2278: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto f5ce8; e5d2d: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto eee0d; d8f14: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto E4024; f5ce8: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto Cb01b; ef2df: $site->setCronJobs($siteEntity->getCronJobs()); goto Ea547; ee088: $site->setSshUsers($siteEntity->getSshUsers()); goto d8f14; eee0d: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto f7450; f402a: return $site; goto Cb87f; cdfb3: $site->setDomainName($siteEntity->getDomainName()); goto Fa454; eeedb: goto Fea0c; goto Bb547; ce8af: $site->setSubdomain($subdomain); goto ceb0b; e8b9d: $site->setBlockedBots($siteEntity->getBlockedBots()); goto C1e60; Fa454: $site->setRegistrableDomain($registrableDomain); goto ce8af; C8de4: $site->setBasicAuth($siteEntity->getBasicAuth()); goto e8b9d; C79f3: $site->setCertificates($siteEntity->getCertificates()); goto ef2df; f7450: $subdomain = $resolvedDomainName->subDomain()->toString(); goto fd479; fd479: $subdomain = false === empty($subdomain) ? $subdomain : null; goto c0e1d; cc545: throw new \Exception(sprintf("\x53\x69\164\145\x20\x22\x25\x73\42\x20\144\x6f\145\x73\x20\x6e\x6f\x74\x20\145\x78\x69\x73\x74\56", $domainName)); goto eeedb; f6c8b: $siteType = $siteEntity->getType(); goto B1c9c; c0e1d: $siteDatabases = $this->getSiteDatabases($siteEntity); goto Cd775; D8793: fc965: goto cbb0c; ceb0b: $site->setRootDirectory($siteEntity->getRootDirectory()); goto a9667; D5f22: $siteEntity = $this->getSiteEntity($domainName); goto e2227; Cb87f: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto ec85a; bb7e1: Cfa9c: goto f9bf0; ec85a: $siteDatabases = new ArrayCollection(); goto C5917; Fc86e: foreach ($databaseEntities as $databaseEntity) { goto B1ff5; B1ff5: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto E3c07; db60e: $siteDatabases->add($databaseEntity); goto fa770; E3c07: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto Ecbe0; } goto db60e; fa770: Ecbe0: goto d3167; d3167: e8540: goto ce081; ce081: } goto bb7e1; C5917: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c4396; f9bf0: return $siteDatabases; goto b37bd; c4396: $databaseEntities = $siteEntity->getDatabases(); goto Fc86e; b37bd: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto A6e2a; da306: e5411: goto Ad81f; C8a46: return $siteDeleter; goto da23c; Ecf64: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto d422f; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto d422f; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto d422f; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto d422f; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto d422f; } goto da306; Ad81f: d422f: goto C8a46; Ffc26: $siteType = $site->getType(); goto Ecf64; A6e2a: $siteDeleter = null; goto Ffc26; da23c: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto c0a08; C099e: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Abb6c; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Abb6c; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Abb6c; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Abb6c; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Abb6c; } goto Fdb2f; c0a08: $siteUpdater = null; goto C1b11; e996c: Abb6c: goto F6bdf; C1b11: $siteType = $site->getType(); goto C099e; F6bdf: return $siteUpdater; goto D9297; Fdb2f: dde4c: goto e996c; D9297: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\165\163\145\162", "\163\151\x74\x65\x55\163\x65\162", $constraints); $this->changePropertyPath("\165\163\x65\x72\120\x61\163\x73\167\157\x72\144", "\163\151\164\x65\x55\163\x65\x72\x50\141\163\163\167\x6f\x72\144", $constraints); } }
