<?php
 namespace App\Controller\Admin; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\Form\Form; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Connection as DatabaseConnection; use App\Entity\Manager\ConfigManager; use App\Entity\Certificate as CertificateEntity; use App\Entity\DatabaseServer as DatabaseServerEntity; use App\Security\Admin\CustomDomain as AdminCustomDomain; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\Certificate; use App\Site\Ssl\LetsEncryptClient; use App\Site\Ssl\Util\Openssl; class SettingsController extends Controller { private ConfigManager $configManager; private DatabaseServerEntityManager $databaseServerEntityManager; public function __construct(ConfigManager $configManager, DatabaseServerEntityManager $databaseServerEntityManager, TranslatorInterface $translator, Logger $logger) { goto c30cc; c30cc: $this->configManager = $configManager; goto D16db; F2e69: parent::__construct($translator, $logger); goto Eb9e2; D16db: $this->databaseServerEntityManager = $databaseServerEntityManager; goto F2e69; Eb9e2: } public function settings(Request $request) : Response { goto Fd25a; dc227: $customDomainForm = $this->createCustomDomainForm($customDomainData); goto cb66f; A1468: $customDomainForm->handleRequest($request); goto b68ba; Fd25a: $customDomainName = $this->configManager->get("\x63\x75\x73\164\x6f\x6d\x5f\144\x6f\x6d\141\151\156"); goto f9aa2; bd496: eb55a: goto f1766; c968b: if (!(false === is_null($response))) { goto eb55a; } goto Af123; cb66f: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto caca9; } goto A1468; f1766: Edc8f: goto C48b0; Af123: return $response; goto bd496; C48b0: caca9: goto ff48a; B6d23: $response = $this->handleCustomDomainForm($request, $customDomainForm); goto c968b; db62c: return $response; goto fa5cf; f9aa2: $customDomainData = ["\x64\x6f\x6d\141\151\156\116\141\155\x65" => false === is_null($customDomainName) ? $customDomainName : '']; goto dc227; ff48a: $response = $this->render("\101\x64\155\151\x6e\x2f\123\145\164\164\151\x6e\147\163\57\x69\x6e\144\145\x78\x2e\150\164\155\x6c\56\x74\167\x69\147", ["\x63\x75\163\164\x6f\155\x44\157\x6d\x61\x69\156\106\x6f\x72\155" => $customDomainForm->createView(), "\146\x6f\x72\155\x45\x72\x72\157\x72\x73" => $this->formErrors]); goto db62c; b68ba: if (!(true === $customDomainForm->isSubmitted())) { goto Edc8f; } goto B6d23; fa5cf: } private function createCustomDomainForm(array $data) : Form { goto ce3aa; F4a4e: return $form; goto Ea65e; ce3aa: $form = $this->createForm("\x41\x70\160\134\x46\x6f\162\155\x5c\101\x64\155\151\x6e\103\165\x73\x74\x6f\155\x44\x6f\155\141\x69\156\123\145\x74\164\x69\156\147\163\x54\x79\x70\145", $data, ["\141\x63\x74\x69\157\x6e" => $this->generateUrl("\x63\154\160\137\x61\144\x6d\x69\x6e\137\163\x65\x74\x74\x69\x6e\147\x73"), "\155\145\x74\150\157\144" => "\x50\117\x53\x54", "\x61\164\x74\162" => []]); goto Ce657; Ce657: $form->add("\163\x75\142\155\151\x74", SubmitType::class, ["\141\x74\x74\162" => ["\143\x6c\141\163\163" => "\x62\164\x6e\40\142\164\156\x2d\x62\x6c\x75\x65\x20\142\x74\156\55\x6c\147"], "\x6c\141\142\x65\x6c" => "\x53\141\x76\x65"]); goto F4a4e; Ea65e: } private function handleCustomDomainForm(Request $request, Form $form) { goto B201b; B201b: if (true === $form->isValid()) { goto b4666; } goto A9a10; A9a10: $this->formErrors = $this->getErrorMessages($form); goto C96d1; a2b3e: try { goto F486a; Bedfc: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto D2c83; ec76c: Fe370: goto Cbe0a; dab71: $adminCustomDomain = new AdminCustomDomain(); goto ee952; b2617: $adminCustomDomain->reloadNginx(); goto e0aab; e54a8: goto E1bee; goto ec76c; c6a8d: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_ENABLE, $user, $eventData, $request); goto Ea3f3; e5b84: $letsEncryptClient->registerAccount(); goto f3dc0; d8d6a: $adminCustomDomain->delete(); goto Fe004; a4615: $adminCustomDomain->writeMotdFile($domainName); goto A589e; ee952: $adminCustomDomain->delete(); goto e8296; d5914: afc5c: goto ab9c3; Ec8f7: if (false === empty($domainName)) { goto fba49; } goto ab38c; aefb0: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto ac4b4; C81a1: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto b2617; a266e: return $response; goto c5b2f; B3395: $adminCustomDomain->deleteLetsEncryptChallengeFiles(); goto E768b; Eb48e: $this->formErrors = $this->getErrorMessages($form); goto e54a8; bb553: if (true === empty($validationErrors)) { goto Fe370; } goto dab71; d7466: $vhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\57\56\x2e\57\x2e\56\57\x72\x65\163\157\x75\x72\143\x65\x73\57\156\x67\x69\x6e\170\x2f\x76\150\157\163\x74\x5f\164\145\155\x70\154\141\164\x65\x2f\x63\165\x73\x74\x6f\x6d\55\144\157\x6d\x61\151\x6e"); goto Cd73c; cc9f1: $distinguishedNameDomains = $domains; goto ed75c; A589e: $adminCustomDomain->reloadNginx(); goto F20c3; Ce7fc: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_DISABLE, $user, [], $request); goto e97ec; dd1c7: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto e9e41; e1161: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto C81a1; Bc87a: c1c3f: goto Eb48e; e8296: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\163\72\40\45\x73", $domain, $validationErrorMessage))); A039e: } goto Bc87a; cb0c2: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x61\144\155\151\156\137\163\x65\164\x74\151\156\x67\163")); goto cf739; e9e41: $letsEncryptClient = new LetsEncryptClient($privateKey); goto e5b84; B20c3: fba49: goto fb6f2; Ead7f: $session = $request->getSession(); goto C6168; F486a: $user = $this->getUser(); goto Ead7f; Fb93d: $certificate->setPrivateKey($privateKey->getPEM()); goto cd2e6; f3dc0: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto d7466; E768b: $adminCustomDomain->createLetsEncryptChallengeFiles($certificateOrder); goto e1161; d4cf5: $adminCustomDomain = new AdminCustomDomain(); goto Ec8f7; ed75c: $commonName = array_shift($distinguishedNameDomains); goto Ec6c4; Bd14a: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\137\160\162\x69\x76\x61\x74\145\x5f\x6b\x65\x79"); goto dd1c7; ab38c: $adminCustomDomain = new AdminCustomDomain(); goto d8d6a; f7586: goto afc5c; goto B20c3; cd2e6: $certificate->setCertificate($selfSignedCertificate); goto B3395; a8143: $rsaKeyGenerator = new RsaKeyGenerator(); goto D6d09; e0aab: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto bb553; F20c3: $this->configManager->set("\143\165\x73\164\x6f\x6d\x5f\144\x6f\x6d\x61\x69\156", $domainName); goto D16b7; fb6f2: $domains = [$domainName]; goto Bd14a; e97ec: $session->getFlashBag()->set("\163\x75\143\x63\x65\x73\163", $this->translator->trans("\103\x6c\x6f\165\144\x50\x61\x6e\145\x6c\40\103\x75\x73\x74\157\155\40\x44\x6f\155\x61\151\156\40\x68\141\163\40\x62\145\x65\156\40\x73\141\x76\145\144\56")); goto cb0c2; Ec6c4: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto a8143; C6168: $domainName = $form->get("\144\x6f\x6d\x61\151\x6e\116\141\x6d\x65")->getData(); goto d4cf5; Fe004: $this->configManager->delete("\143\x75\x73\x74\x6f\x6d\x5f\x64\157\x6d\141\151\x6e"); goto Ce7fc; B6109: $csr = $csrGenerator->generate(); goto Bedfc; a2cff: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto B6109; cf739: return $response; goto f7586; c5b2f: E1bee: goto d5914; Cd73c: $vhostTemplate = file_get_contents($vhostTemplateFile); goto cc9f1; D16b7: $eventData = ["\x64\x6f\x6d\141\x69\x6e\116\x61\x6d\145" => $domainName]; goto c6a8d; Ea3f3: $session->getFlashBag()->set("\163\165\x63\143\x65\163\x73", $this->translator->trans("\103\154\157\165\x64\x50\141\x6e\145\x6c\x20\103\165\163\164\157\x6d\x20\104\157\155\x61\151\156\40\150\141\x73\x20\142\x65\x65\156\40\163\x61\x76\145\x64\56")); goto E9a90; D2c83: $certificate = new Certificate(); goto Fb93d; Cbe0a: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto aefb0; D6d09: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto a2cff; E9a90: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\141\144\x6d\x69\156\x5f\163\145\164\x74\151\156\147\163")); goto a266e; ac4b4: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto a4615; ab9c3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\162", $this->translator->trans("\101\156\40\x65\x72\162\157\162\x20\150\141\x73\x20\x6f\x63\143\x75\162\162\x65\144\x2c\40\145\x72\162\x6f\162\40\x6d\x65\163\163\x61\147\145\x3a\40\45\x65\x72\x72\x6f\162\115\x65\163\x73\x61\x67\x65\45", ["\x25\x65\x72\162\x6f\162\115\145\163\x73\141\x67\x65\x25" => $e->getMessage()])); } finally { if (!(true === isset($adminCustomDomain))) { goto bf51e; } $adminCustomDomain->deleteLetsEncryptChallengeFiles(); bf51e: } goto f4cbd; f4cbd: aeffc: goto Ac83c; C96d1: goto aeffc; goto A98f9; A98f9: b4666: goto a2b3e; Ac83c: } public function databaseServers(Request $request) : Response { goto Cc88b; D2114: return $response; goto Ace3f; De8ca: $response = $this->render("\101\144\x6d\x69\x6e\x2f\x53\x65\x74\164\151\x6e\147\163\x2f\104\141\164\x61\x62\x61\x73\145\x2d\x53\x65\x72\166\145\x72\163\57\x69\156\144\x65\170\x2e\x68\164\x6d\154\x2e\164\167\x69\x67", ["\144\141\x74\x61\x62\x61\x73\145\x53\x65\162\x76\145\x72\x73" => $databaseServers]); goto D2114; Cc88b: $databaseServers = $this->databaseServerEntityManager->findAll([], ["\x68\157\163\x74" => "\x41\x53\x43"]); goto De8ca; Ace3f: } public function addDatabaseServer(Request $request) : Response { goto C7600; e7a01: return $response; goto D2b46; Fc643: if (!(false === is_null($response))) { goto b2930; } goto Be676; Ba7b3: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto d59ba; } goto Cb4e2; efa77: if (!(true === $form->isSubmitted())) { goto b0722; } goto E7596; de3ab: d59ba: goto d77f4; Be676: return $response; goto A5246; A5246: b2930: goto e4eeb; E7596: $response = $this->handleDatabaseServerForm($request, $form); goto Fc643; C7600: $databaseServerEntity = $this->databaseServerEntityManager->createEntity(); goto fdeb8; d77f4: $response = $this->render("\x41\x64\x6d\151\156\x2f\123\x65\164\164\x69\x6e\x67\x73\x2f\x44\141\164\141\142\x61\x73\145\x2d\123\145\162\166\145\x72\x73\x2f\x61\x64\144\56\150\164\155\154\x2e\164\167\x69\147", ["\146\x6f\162\x6d" => $form->createView(), "\x66\x6f\x72\155\105\162\x72\157\162\x73" => $this->formErrors]); goto e7a01; e4eeb: b0722: goto de3ab; Cb4e2: $form->handleRequest($request); goto efa77; fdeb8: $form = $this->createDatabaseServerForm($databaseServerEntity); goto Ba7b3; D2b46: } private function createDatabaseServerForm(DatabaseServerEntity $databaseServerEntity) : Form { goto B5a3f; B5a3f: $form = $this->createForm("\101\x70\x70\x5c\x46\x6f\x72\x6d\134\101\x64\x6d\151\x6e\104\x61\164\x61\x62\x61\163\145\x53\145\x72\x76\145\162\x54\171\160\145", $databaseServerEntity, ["\141\143\x74\151\157\156" => $this->generateUrl("\143\x6c\x70\x5f\x61\x64\x6d\151\156\137\144\x61\x74\141\x62\141\163\x65\x5f\163\x65\x72\x76\145\162\137\x61\144\x64"), "\x6d\x65\164\x68\x6f\144" => "\120\117\x53\x54", "\141\164\164\162" => []]); goto d4a55; Eaec5: return $form; goto F0ebf; d4a55: $form->add("\x73\x75\142\155\151\x74", SubmitType::class, ["\141\x74\x74\162" => ["\143\x6c\x61\x73\163" => "\x62\164\156\40\x62\x74\156\55\142\x6c\165\x65\x20\x62\x74\156\55\154\x67"], "\154\141\x62\145\154" => "\101\144\x64\40\104\x61\x74\x61\x62\141\163\145\x20\123\145\162\x76\145\x72"]); goto Eaec5; F0ebf: } private function handleDatabaseServerForm(Request $request, Form $form) { goto A9668; a559b: try { goto c4910; E2b1f: $databaseServerEntity = $form->getData(); goto ff53f; f489c: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto b05ff; c4910: $user = $this->getUser(); goto C4e3f; cd1b8: $databaseServerEntity->setVersion($version); goto fce45; e192a: return $response; goto B7a6b; fce45: $databaseServerEntity->setIsDefault(false); goto E693d; e9a45: $databaseServerEntity->setEngine($engine); goto cd1b8; F7896: $version = $databaseConnection->getVersion(); goto e9a45; C4e3f: $session = $request->getSession(); goto E2b1f; ec3ba: $encryptedPassword = Crypto::encrypt($password); goto Da39e; ff53f: $password = $databaseServerEntity->getPassword(); goto ec3ba; Aff98: $engine = $databaseConnection->getEngine(); goto F7896; Da39e: $databaseServerEntity->setPassword($encryptedPassword); goto cb445; cb445: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto Aff98; b05ff: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\x73\163", $this->translator->trans("\x44\141\x74\141\x62\x61\x73\145\40\123\x65\162\166\145\x72\40\x68\x61\163\40\x62\145\x65\156\40\141\144\x64\x65\144\56")); goto B7eac; E693d: $eventData = ["\150\x6f\x73\x74" => $databaseServerEntity->getHost(), "\x75\x73\145\162\x4e\x61\x6d\x65" => $databaseServerEntity->getUserName(), "\160\x6f\162\x74" => $databaseServerEntity->getPort(), "\145\x6e\x67\151\156\x65" => $engine, "\166\x65\162\163\x69\x6f\156" => $version]; goto Ed044; Ed044: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_ADD, $user, $eventData, $request); goto f489c; B7eac: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x61\144\155\x69\156\x5f\144\141\x74\141\x62\x61\163\145\x5f\x73\145\x72\166\x65\162\163")); goto e192a; B7a6b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\101\x6e\40\145\162\x72\157\162\40\150\141\163\x20\157\x63\x63\x75\162\162\145\x64\x2c\x20\145\x72\162\157\x72\40\x6d\x65\163\x73\141\147\145\72\40\45\x65\162\x72\157\162\115\145\x73\163\141\x67\145\45", ["\45\145\x72\x72\157\x72\x4d\x65\163\163\141\x67\145\45" => $e->getMessage()])); } goto ce8b8; ce8b8: a9e4a: goto A6404; Dde39: F424d: goto a559b; Bd676: goto a9e4a; goto Dde39; A9668: if (true === $form->isValid()) { goto F424d; } goto fa089; fa089: $this->formErrors = $this->getErrorMessages($form); goto Bd676; A6404: } public function editDatabaseServer(Request $request) : Response { goto B4624; f791b: $form = $this->createDatabaseServerEditForm($databaseServerEntity); goto e7204; Ec997: da305: goto Ade02; D55fa: c508c: goto c11f1; a8d5c: return $response; goto b41a5; af276: if (!(false === is_null($response))) { goto da305; } goto B631d; Ade02: A0dce: goto a229a; D50f0: $form->handleRequest($request); goto D7264; B4624: $id = (int) $request->get("\151\144"); goto Fd6ca; F10bf: $response = $this->handleDatabaseServerEditForm($request, $form); goto af276; e7204: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto D44b9; } goto D50f0; D50fa: D5cb6: goto ce592; ce592: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\141\x64\155\x69\x6e\x5f\x64\141\164\141\142\141\x73\x65\x5f\163\x65\x72\166\145\162\x73")); goto d6838; a229a: D44b9: goto a6a33; a6a33: $response = $this->render("\101\x64\155\151\x6e\57\x53\145\164\164\x69\x6e\x67\163\x2f\x44\x61\164\x61\x62\141\163\x65\x2d\123\145\162\x76\145\x72\x73\57\x65\144\151\x74\x2e\x68\x74\x6d\154\x2e\164\x77\x69\147", ["\x64\x61\x74\x61\x62\x61\163\x65\x53\145\162\x76\x65\x72" => $databaseServerEntity, "\x66\157\x72\x6d" => $form->createView(), "\146\157\x72\155\105\162\162\157\x72\163" => $this->formErrors]); goto a8d5c; B4185: $databaseServerEntity->setPassword(''); goto f791b; Fd6ca: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto A339b; d6838: return $response; goto D55fa; D7264: if (!(true === $form->isSubmitted())) { goto A0dce; } goto F10bf; b41a5: goto c508c; goto D50fa; B631d: return $response; goto Ec997; A339b: if (true === is_null($databaseServerEntity)) { goto D5cb6; } goto B4185; c11f1: } private function createDatabaseServerEditForm(DatabaseServerEntity $databaseServerEntity) : Form { goto Da523; Abf1c: $form->add("\163\165\x62\155\x69\164", SubmitType::class, ["\141\164\164\x72" => ["\143\154\141\163\x73" => "\x62\164\x6e\x20\142\164\x6e\55\x62\x6c\165\x65\x20\x62\164\x6e\55\154\x67"], "\x6c\141\142\145\154" => "\x53\141\x76\x65"]); goto af434; Da523: $form = $this->createForm("\x41\160\160\134\106\x6f\162\155\134\x41\x64\155\x69\156\x44\x61\x74\x61\142\x61\163\145\123\145\162\166\x65\x72\105\144\x69\x74\124\171\x70\145", $databaseServerEntity, ["\x61\x63\164\x69\157\x6e" => $this->generateUrl("\143\154\160\x5f\141\144\155\x69\156\x5f\x64\x61\164\x61\x62\x61\x73\x65\x5f\x73\x65\x72\x76\x65\162\x5f\145\144\x69\164", ["\x69\x64" => $databaseServerEntity->getId()]), "\x6d\x65\x74\150\x6f\x64" => "\x50\x4f\x53\x54", "\141\x74\x74\162" => []]); goto Abf1c; af434: return $form; goto Ec506; Ec506: } private function handleDatabaseServerEditForm(Request $request, Form $form) { goto b5f0e; Ae73a: Dafb3: goto eeb9c; Dd89f: $this->formErrors = $this->getErrorMessages($form); goto ec75f; eeb9c: try { goto A025f; Ad43e: $eventData = ["\150\157\x73\164" => $databaseServerEntity->getHost(), "\165\163\x65\162\x4e\141\155\x65" => $databaseServerEntity->getUserName(), "\x70\157\x72\x74" => $databaseServerEntity->getPort(), "\x65\156\147\x69\x6e\145" => $engine, "\x76\x65\162\163\x69\157\x6e" => $version]; goto A53c1; Ea437: $databaseServerEntity = $form->getData(); goto d0e6c; A4efa: $encryptedPassword = Crypto::encrypt($password); goto Ead38; e62c2: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x61\144\155\151\156\137\144\x61\164\141\142\x61\163\x65\x5f\x73\x65\162\166\x65\162\163")); goto Bd0b1; c9bd9: $databaseServerEntity->setIsDefault(false); goto Ad43e; Ead38: $databaseServerEntity->setPassword($encryptedPassword); goto c0046; E7607: $session->getFlashBag()->set("\x73\x75\143\x63\x65\x73\163", $this->translator->trans("\x44\x61\x74\141\142\141\x73\145\x20\x53\x65\162\166\x65\x72\x20\150\141\x73\40\x62\145\145\156\40\x75\160\x64\141\164\145\144\x2e")); goto e62c2; deb40: $session = $request->getSession(); goto Ea437; C7343: $databaseServerEntity->setEngine($engine); goto B8901; a5bf5: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto E7607; c0046: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto d0259; A53c1: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_EDIT, $user, $eventData, $request); goto a5bf5; d0e6c: $password = $databaseServerEntity->getPassword(); goto A4efa; d0259: $engine = $databaseConnection->getEngine(); goto fc19c; A025f: $user = $this->getUser(); goto deb40; Bd0b1: return $response; goto bb1e2; fc19c: $version = $databaseConnection->getVersion(); goto C7343; B8901: $databaseServerEntity->setVersion($version); goto c9bd9; bb1e2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\101\x6e\40\145\x72\162\x6f\x72\40\150\141\x73\40\157\143\143\x75\x72\162\145\x64\x2c\x20\145\x72\162\157\162\40\x6d\145\x73\163\141\147\x65\x3a\x20\x25\145\162\x72\x6f\162\x4d\145\x73\163\141\x67\x65\45", ["\45\145\x72\162\x6f\162\115\145\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto a4b4a; a4b4a: F5eac: goto e3702; b5f0e: if (true === $form->isValid()) { goto Dafb3; } goto Dd89f; ec75f: goto F5eac; goto Ae73a; e3702: } public function setDatabaseServerActive(Request $request) : Response { goto d035f; Ffe97: f2452: goto dc2a3; dc2a3: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\141\144\155\151\156\137\144\141\164\141\142\x61\x73\145\137\x73\145\x72\x76\145\162\x73")); goto Bb83d; A7dfd: if (!($databaseServerEntity->getId() != $activeDatabaseServerEntity->getId())) { goto e72ca; } goto F8722; F8722: try { goto fc242; Bdb66: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\163", $this->translator->trans("\104\141\x74\141\142\141\x73\x65\40\x53\x65\162\x76\145\162\x20\x68\x61\x73\40\142\145\145\x6e\x20\x63\150\141\156\x67\x65\144\x2e")); goto e2144; d63c9: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto d1e23; d1e23: $this->databaseServerEntityManager->updateEntity($activeDatabaseServerEntity); goto ea30b; D5d64: $session = $request->getSession(); goto f2925; f2925: $databaseServerEntity->setIsActive(true); goto Ca4ef; Af6ad: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_CHANGE, $user, $eventData, $request); goto Bdb66; fc242: $user = $this->getUser(); goto D5d64; ea30b: $eventData = ["\x6f\154\x64\110\157\x73\x74" => $activeDatabaseServerEntity->getHost(), "\157\154\144\x55\163\x65\162\116\x61\x6d\x65" => $activeDatabaseServerEntity->getUserName(), "\156\x65\x77\110\x6f\x73\164" => $databaseServerEntity->getHost(), "\156\145\167\x55\163\145\162\x4e\141\155\x65" => $databaseServerEntity->getUserName()]; goto Af6ad; Ca4ef: $activeDatabaseServerEntity->setIsActive(false); goto d63c9; e2144: } catch (\Exception $e) { $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\x44\141\164\141\142\x61\x73\145\x20\123\x65\162\166\x65\162\x20\x63\162\x65\144\x65\x6e\x74\151\x61\x6c\x73\x20\141\x72\145\x20\156\x6f\x74\40\166\x61\x6c\151\144\x2e")); } goto ac067; F3956: if (!(false === is_null($databaseServerEntity))) { goto f2452; } goto c8389; ac067: e72ca: goto Ffe97; d035f: $id = (int) $request->get("\151\144"); goto Ff609; c8389: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A7dfd; Bb83d: return $response; goto a8c72; Ff609: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto F3956; a8c72: } public function deleteDatabaseServer(Request $request) : Response { goto Ee21e; Ee21e: $id = (int) $request->get("\151\x64"); goto C36d2; C36d2: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto ce05a; A2e81: return $response; goto ca410; C8eff: d991a: goto d114c; D7966: try { goto dde90; dde90: $user = $this->getUser(); goto a4cb1; bade9: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_DELETE, $user, $eventData, $request); goto d6ae0; b59ac: $this->databaseServerEntityManager->deleteEntity($databaseServerEntity); goto F9f2d; d6ae0: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\163", $this->translator->trans("\x44\141\x74\141\x62\x61\163\x65\40\123\145\162\166\x65\x72\x20\150\141\163\x20\142\x65\x65\156\40\x64\x65\154\145\164\x65\x64\x2e")); goto f82c7; a4cb1: $session = $request->getSession(); goto b59ac; F9f2d: $eventData = ["\x68\157\163\164" => $databaseServerEntity->getHost(), "\165\x73\145\x72\x4e\141\x6d\x65" => $databaseServerEntity->getUserName()]; goto bade9; f82c7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\101\156\x20\145\162\162\x6f\x72\x20\150\x61\x73\40\157\x63\x63\165\162\x72\x65\x64\54\40\145\162\x72\157\x72\x20\155\145\163\x73\141\147\x65\72\x20\45\x65\162\162\157\x72\x4d\x65\163\163\141\147\x65\45", ["\45\x65\x72\x72\157\x72\115\x65\163\163\x61\147\145\45" => $e->getMessage()])); } goto C8eff; d114c: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\141\144\x6d\x69\x6e\x5f\144\x61\x74\141\x62\x61\163\145\137\163\x65\x72\166\x65\x72\163")); goto A2e81; ce05a: if (!(false === is_null($databaseServerEntity) && false === $databaseServerEntity->isDefault() && false === $databaseServerEntity->isActive())) { goto d991a; } goto D7966; ca410: } }
