<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto f203d; f203d: $this->userEntityManager = $userEntityManager; goto Fa895; Fa895: $this->siteEntityManager = $siteEntityManager; goto c152e; c152e: $this->timezoneEntityManager = $timezoneEntityManager; goto c4b18; c4b18: parent::__construct($translator, $logger); goto ca457; ca457: } public function index(Request $request) : Response { goto d7c1a; d7c1a: $currentUser = $this->getUser(); goto f7c1b; f7c1b: $users = $this->userEntityManager->findAll([], ["\165\163\145\x72\116\141\x6d\x65" => "\141\x73\143"]); goto ebc33; A35be: return $response; goto A9c66; Cbd8d: $response = $this->render("\101\x64\x6d\151\x6e\x2f\x55\x73\x65\x72\x2f\x69\156\x64\145\x78\x2e\x68\164\x6d\154\x2e\x74\167\x69\x67", ["\165\x73\145\162\163" => $users]); goto A35be; ebc33: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto Cbd8d; A9c66: } public function new(Request $request) : Response { goto da744; F5f88: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto cbf55; } goto Bf552; bb48f: return $response; goto Db453; e6efc: return $response; goto C6a8d; ec1a0: B8145: goto e0b4e; E3ed6: if (!(true === $form->isSubmitted())) { goto B8145; } goto b71aa; b71aa: $response = $this->handleUserForm($request, $form); goto B48be; F4ab5: $form = $this->createUserForm($userEntity); goto F5f88; e0b4e: cbf55: goto B9035; a5905: $userEntity->setTimezone($defaultTimezone); goto F4ab5; B9035: $response = $this->render("\101\144\x6d\x69\156\57\125\163\x65\162\x2f\156\145\x77\56\150\x74\x6d\154\x2e\164\167\x69\x67", ["\x75\x73\x65\x72" => $userEntity, "\163\x69\164\145\163" => $sites, "\x66\157\162\155" => $form->createView(), "\x66\x6f\162\x6d\105\x72\162\157\x72\163" => $this->formErrors]); goto bb48f; Bf552: $form->handleRequest($request); goto E3ed6; b5286: $sites = $this->siteEntityManager->findAll([], ["\x64\x6f\x6d\141\151\156\116\141\155\145" => "\101\x53\x43"]); goto a5905; c0fc8: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto b5286; C6a8d: Fa488: goto ec1a0; B48be: if (!(false === is_null($response))) { goto Fa488; } goto e6efc; da744: $userEntity = $this->userEntityManager->createEntity(); goto c0fc8; Db453: } private function createUserForm(UserEntity $userEntity) : Form { goto Fd4b7; B4dbc: return $form; goto f101b; Fd4b7: $form = $this->createForm("\101\160\x70\x5c\x46\157\x72\155\x5c\101\x64\155\151\156\x55\163\145\x72\x54\x79\x70\145", $userEntity, ["\141\143\164\x69\157\x6e" => $this->generateUrl("\143\154\160\137\141\x64\155\151\156\137\x75\163\145\x72\x5f\x6e\145\167"), "\155\x65\164\x68\x6f\144" => "\x50\x4f\x53\x54", "\141\164\164\162" => []]); goto cf065; cf065: $form->add("\163\165\142\x6d\x69\164", SubmitType::class, ["\x61\164\164\x72" => ["\x63\x6c\141\x73\x73" => "\142\x74\x6e\40\x62\x74\x6e\55\x62\154\165\145\x20\142\x74\156\x2d\x6c\147"], "\x6c\141\142\145\154" => "\x41\x64\x64\x20\125\163\x65\x72"]); goto B4dbc; f101b: } private function handleUserForm(Request $request, Form $form) { goto D8823; db376: goto Fd41c; goto D9dac; f77c9: $this->formErrors = $this->getErrorMessages($form); goto db376; D8823: if (true === $form->isValid()) { goto ef53f; } goto f77c9; bf95a: try { goto A970c; E1fa7: $sites = $userEntity->getSites(); goto A37d6; A970c: $currentUser = $this->getUser(); goto f41f5; E96ed: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto c2972; d0ba1: edc4a: goto bb5d1; f41f5: $session = $request->getSession(); goto Ff8b1; Cb9bc: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); d5562: } goto a9a26; a9a26: E3af3: goto d0ba1; c2972: $session->getFlashBag()->set("\163\165\143\x63\145\163\x73", $this->translator->trans("\125\163\x65\x72\x20\150\x61\x73\40\x62\145\x65\x6e\40\141\144\x64\x65\144\56")); goto f98fa; Ff8b1: $userEntity = $form->getData(); goto E1fa7; F923c: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto edc4a; } goto Cb9bc; f06d9: $eventData = ["\x75\163\145\x72\x4e\x61\155\145" => $userEntity->getUserName(), "\x66\x69\162\163\164\x4e\x61\x6d\x65" => $userEntity->getFirstName(), "\154\x61\163\164\x4e\141\x6d\145" => $userEntity->getLastName(), "\x65\x6d\x61\151\154" => $userEntity->getEMail(), "\162\x6f\x6c\145" => $userEntity->getRole(), "\163\x69\x74\145\x73" => implode("\x2c\x20", $domainNames)]; goto E96ed; A37d6: $domainNames = []; goto F923c; E4a12: $this->userEntityManager->updateUser($userEntity); goto f06d9; bb5d1: sort($domainNames); goto E4a12; f98fa: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x61\144\155\151\156\137\x75\x73\145\x72\163")); goto C58c8; C58c8: return $response; goto Aa0a7; Aa0a7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\101\156\40\x65\x72\x72\x6f\x72\40\150\x61\163\40\x6f\x63\x63\165\162\162\x65\144\x2c\40\x65\162\162\157\162\40\155\145\x73\163\x61\x67\x65\72\40\x25\x65\162\162\x6f\162\x4d\145\x73\163\x61\x67\x65\x25", ["\x25\x65\162\x72\x6f\x72\115\x65\163\x73\141\x67\145\45" => $e->getMessage()])); } goto A17b5; D9dac: ef53f: goto bf95a; A17b5: Fd41c: goto d9585; d9585: } public function edit(Request $request) : Response { goto A2d78; f3c43: if (!(true === $form->isSubmitted())) { goto Ecb18; } goto ec8b5; E1738: $response = $this->render("\x41\144\155\x69\156\57\125\163\x65\x72\x2f\x65\x64\151\x74\x2e\x68\x74\x6d\x6c\56\x74\x77\x69\x67", ["\165\163\145\x72" => $userEntity, "\163\x69\164\x65\x73" => $sites, "\x66\157\162\x6d" => $form->createView(), "\146\157\x72\155\x45\162\162\x6f\x72\x73" => $this->formErrors]); goto ce24a; Ffda2: Ecb18: goto b694c; ce24a: b9d4b: goto D2fff; b966a: $form = $this->createUserEditForm($userEntity); goto A612c; A612c: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto F2a6c; } goto Fea6b; ed5f3: goto b9d4b; goto b4c56; Fea6b: $form->handleRequest($request); goto f3c43; A2d78: $id = (int) $request->get("\151\144"); goto f74b9; e2a22: eedb3: goto Ffda2; B5dde: if (!(false === is_null($response))) { goto eedb3; } goto b0612; b4c56: ccc2d: goto f250f; Cd9e7: if (false === is_null($userEntity)) { goto ccc2d; } goto C97b3; D2fff: return $response; goto bd3ea; f250f: $sites = $this->siteEntityManager->findAll([], ["\x64\x6f\155\x61\x69\156\116\x61\155\x65" => "\x41\x53\103"]); goto b966a; C97b3: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x61\x64\155\151\x6e\137\165\x73\145\x72\163")); goto ed5f3; b0612: return $response; goto e2a22; b694c: F2a6c: goto E1738; f74b9: $userEntity = $this->userEntityManager->findOneById($id); goto Cd9e7; ec8b5: $response = $this->handleUserEditForm($request, $form); goto B5dde; bd3ea: } private function createUserEditForm(UserEntity $userEntity) : Form { goto c1758; B5a5b: $form->add("\163\x75\142\x6d\x69\x74", SubmitType::class, ["\x61\164\x74\162" => ["\143\154\x61\163\x73" => "\x62\x74\156\x20\x62\164\x6e\x2d\142\154\x75\x65\x20\x62\x74\156\55\154\147"], "\x6c\x61\142\x65\x6c" => "\x53\x61\x76\145"]); goto D666a; D666a: return $form; goto aa824; c1758: $form = $this->createForm("\101\x70\160\x5c\106\157\x72\155\x5c\101\x64\x6d\x69\156\x55\x73\145\x72\105\144\x69\x74\124\171\160\145", $userEntity, ["\141\x63\x74\151\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\137\x61\x64\155\x69\x6e\x5f\x75\x73\145\x72\137\145\144\x69\164", ["\151\144" => $userEntity->getId()]), "\155\145\x74\x68\x6f\x64" => "\x50\x4f\123\124", "\x61\164\164\162" => []]); goto B5a5b; aa824: } private function handleUserEditForm(Request $request, Form $form) { goto C7433; db43f: $this->formErrors = $this->getErrorMessages($form); goto Ef9ff; C7433: if (true === $form->isValid()) { goto Ffbc0; } goto db43f; fe386: b7843: goto e7fd9; Ef9ff: goto b7843; goto a3705; d1120: try { goto E6892; E6892: $currentUser = $this->getUser(); goto Ef7af; Ef7af: $session = $request->getSession(); goto Db18a; d07d9: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto a0501; } goto D86ad; d0410: Eaf19: goto a3e58; D22bc: if (false === empty($plainPassword)) { goto d689f; } goto C15cc; Efed3: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\163", $this->translator->trans("\x55\163\x65\162\40\x68\141\x73\x20\142\145\145\x6e\x20\x75\160\x64\x61\164\x65\x64\56")); goto a663b; Fc4b6: return $response; goto D75fc; D86ad: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); Bff3a: } goto B5979; ae22a: goto Eaf19; goto f6fe0; Fc8c9: $plainPassword = $userEntity->getPlainPassword(); goto F87f4; ec443: $this->userEntityManager->updateUser($userEntity, true, true); goto d0410; a3e58: $eventData = ["\165\163\145\162\x4e\141\x6d\x65" => $userEntity->getUserName(), "\x66\151\x72\x73\164\116\x61\155\145" => $userEntity->getFirstName(), "\x6c\141\163\x74\x4e\141\155\145" => $userEntity->getLastName(), "\145\x6d\141\x69\154" => $userEntity->getEMail(), "\162\157\154\145" => $userEntity->getRole(), "\x73\x74\141\164\165\163" => (int) $userEntity->getStatus(), "\163\151\x74\x65\163" => implode("\54\x20", $domainNames)]; goto f3383; be878: a0501: goto dca72; a663b: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\141\144\x6d\151\x6e\137\165\163\145\x72\137\x65\x64\151\x74", ["\x69\144" => $userEntity->getId()])); goto Fc4b6; B5979: F170d: goto be878; f6fe0: d689f: goto ec443; efecb: $domainNames = []; goto d07d9; F87f4: $sites = $userEntity->getSites(); goto efecb; C15cc: $this->userEntityManager->updateUser($userEntity); goto ae22a; Db18a: $userEntity = $form->getData(); goto Fc8c9; f3383: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto Efed3; dca72: sort($domainNames); goto D22bc; D75fc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\101\156\x20\x65\162\x72\x6f\162\x20\150\x61\163\40\157\x63\143\x75\162\x72\x65\144\54\x20\145\x72\x72\157\x72\40\x6d\145\x73\x73\141\x67\x65\x3a\40\45\145\x72\x72\x6f\x72\x4d\x65\163\163\x61\147\145\45", ["\x25\145\162\x72\157\x72\115\145\163\163\x61\147\145\x25" => $e->getMessage()])); } goto fe386; a3705: Ffbc0: goto d1120; e7fd9: } public function delete(Request $request) : Response { goto Fa917; Dc57f: $this->userEntityManager->deleteUser($userEntity); goto Bca4c; Fc704: a2231: goto Cffc3; bd67e: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x61\144\155\151\156\x5f\x75\163\145\162\163")); goto d2654; Cffc3: Ad945: goto bd67e; Fa917: $currentUser = $this->getUser(); goto A1981; f8daf: $this->checkCsrfToken($request, "\144\145\x6c\145\164\145\x2d\x75\x73\145\x72"); goto A1b2b; Db9c7: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto Dc57f; e0f30: $eventData = ["\x75\163\x65\162\x4e\x61\155\145" => $userEntity->getUserName(), "\x66\151\162\163\164\116\141\155\145" => $userEntity->getFirstName(), "\154\141\163\x74\116\141\x6d\145" => $userEntity->getLastName(), "\145\x6d\141\x69\154" => $userEntity->getEMail(), "\x72\x6f\x6c\x65" => $userEntity->getRole()]; goto Db9c7; becdb: $session = $request->getSession(); goto e0f30; A1981: $id = (int) $request->get("\151\x64"); goto f8daf; d2654: return $response; goto Ac78f; Bca4c: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\163", $this->translator->trans("\125\x73\x65\162\40\150\141\x73\x20\142\x65\x65\156\x20\144\145\x6c\x65\164\x65\144\x2e")); goto Fc704; fe629: if (!(false === is_null($userEntity))) { goto a2231; } goto becdb; Bf52c: $userEntity = $this->userEntityManager->findOneById($id); goto fe629; A1b2b: if (!(true === isset($id) && $id != $currentUser->getId())) { goto Ad945; } goto Bf52c; Ac78f: } }
