<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto cee07; C80ba: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto Bd455; Bd455: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto C5bdb; C5bdb: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto b8533; cee07: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto C80ba; b8533: parent::__construct($translator, $logger); goto A6745; A6745: } public function index(Request $request) : Response { goto dd123; f3294: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\107\102", 0); goto Eea92; c85fa: $loadAverageChart->setInformation($loadAverageChartInformation); goto F28cc; F4123: $environment = $instance->getEnvironment(); goto d2010; a1969: $loadAverageData = [["\156\x61\x6d\145" => $this->translator->trans("\61\40\115\x69\x6e\165\x74\x65"), "\x63\x6f\x6c\157\162" => "\43\67\67\64\x61\141\x34", "\x64\141\x74\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\141\155\x65" => $this->translator->trans("\65\40\x4d\151\156\x75\164\145\163"), "\143\157\154\157\x72" => "\43\x65\x62\x35\70\66\x63", "\144\x61\164\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\156\141\155\x65" => $this->translator->trans("\x31\x35\40\x4d\151\x6e\165\164\x65\163"), "\x63\157\154\157\x72" => "\43\x30\x30\67\70\x64\64", "\144\141\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto e7698; C9847: $cpuChart->setInformation($cpuInformation); goto eb518; c75cf: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto D1e35; A4b05: goto A5c55; goto dcd95; Ee40f: $startTime = (clone $endTime)->modify("\55\63\60\40\x6d\151\156\165\164\x65\x73"); goto A4b05; D1e35: $minuteInterval = 5; goto Ee40f; dcd95: case self::TIME_RANGE_LAST_HOUR: goto c4171; b8a14: goto A5c55; goto f1cc5; c4171: $minuteInterval = 10; goto Df6ab; Df6ab: $startTime = (clone $endTime)->modify("\x2d\61\x20\x68\x6f\165\162"); goto b8a14; f1cc5: case self::TIME_RANGE_LAST_THREE_HOURS: goto E8956; fc4c2: $startTime = (clone $dateTime)->modify("\55\63\40\x68\157\165\x72\x73"); goto De8e7; E8956: $minuteInterval = 30; goto fc4c2; De8e7: goto A5c55; goto F912e; F912e: case self::TIME_RANGE_LAST_SIX_HOURS: goto f3043; e08d2: goto A5c55; goto Fb836; f3043: $minuteInterval = 60; goto ccd05; ccd05: $startTime = (clone $dateTime)->modify("\x2d\x36\40\x68\x6f\165\162\x73"); goto e08d2; Fb836: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto Acaf5; Acaf5: $minuteInterval = 120; goto F4643; Ce431: goto A5c55; goto A9e56; F4643: $startTime = (clone $dateTime)->modify("\55\61\62\40\150\157\x75\162\x73"); goto Ce431; A9e56: } goto B0282; A676b: $loadAverageChart->setCategories($categories); goto A805f; A2459: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto C818f; c274c: $loadAverageChart = new LoadAverageChart("\114\x6f\x61\144\x20\101\166\x65\x72\x61\x67\145"); goto c85fa; Af20e: $memoryChart->setCategories($categories); goto bd36d; Fb789: $cpuChart = new Chart("\103\120\x55\x20\125\163\141\147\145"); goto C9847; C818f: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto bba9b; D9283: Be957: goto A86b6; A86b6: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto a1969; d2010: $cloud = $environment->getCloudProvider(); goto e107d; C1127: $loadAverageChartInformation = sprintf("\45\163\40\x25\x73", $numberOfProcessorCores, $this->translator->trans("\103\x50\125")); goto c274c; dd123: $user = $this->getUser(); goto c0b59; D5fe8: $diskData = [["\156\x61\x6d\145" => sprintf("\x2f\x20\x28\45\163\51", $rootDiskSize), "\x63\157\154\157\162" => "\43\67\x33\142\x66\x34\143", "\x64\x61\x74\141" => $diskData["\x72\x6f\157\164"] ?: []], ["\x6e\x61\155\x65" => sprintf("\x2f\x68\x6f\x6d\x65\40\50\x25\163\x29", $homeDiskSize), "\143\x6f\x6c\x6f\x72" => "\x23\146\x33\x62\x66\60\60", "\x64\x61\x74\x61" => $diskData["\150\x6f\x6d\145"] ?: []]]; goto D9283; e723a: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\x42", 0); goto Cce64; Dba8b: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto c75cf; F9505: $memoryChart->setInformation($totalMemory); goto e4f33; f8963: $diskData = [["\156\141\x6d\145" => sprintf("\x2f\40\50\x25\x73\x29", $rootDiskSize), "\x63\x6f\154\157\162" => "\x23\x37\63\x62\146\64\x63", "\144\x61\164\x61" => $diskData["\x72\157\x6f\164"] ?: []]]; goto b3e88; Fb84f: $diskChart->setData($diskData); goto F7c6c; Cce64: $dateTime = new \DateTime(); goto Dba8b; B0282: D4bb8: goto e483f; c0b59: $instance = $request->attributes->get("\x69\x6e\x73\164\x61\x6e\143\145"); goto F4123; f3439: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto A2459; e2f62: $cpuChart->setCategories($categories); goto C37ac; e4f33: $memoryChart->setData($memoryData); goto Af20e; Dc934: $numberOfProcessorCores = 0; goto f261c; caa26: return $response; goto D7d31; bd36d: $diskChart = new Chart("\104\x69\x73\153\40\125\163\x61\147\x65"); goto Fb84f; D5151: $totalMemory = ''; goto Dc934; ec562: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto D5151; e7698: $cpuInformation = sprintf("\x25\x73\40\45\x73", $numberOfProcessorCores, $this->translator->trans("\x43\x50\125")); goto Fb789; bba9b: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto d50eb; d50eb: if ($homeDiskSize != $rootDiskSize) { goto B4a6f; } goto f8963; B0a15: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto f3294; f261c: try { goto e3a83; e7a88: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\107\x42", 0); goto A1da6; a36e6: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto e7a88; b9cfe: $commandExecutor->execute($memoryInformationCommand); goto a36e6; Ab89c: $memoryInformationCommand = new MemoryInformationCommand(); goto b9cfe; A1da6: $processorCoresCommand = new ProcessorCoresCommand(); goto C0457; C0457: $commandExecutor->execute($processorCoresCommand); goto f4590; f4590: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto Efc44; e3a83: $commandExecutor = new CommandExecutor(); goto Ab89c; Efc44: } catch (\Exception $e) { $this->logger->exception($e); } goto B0a15; b3e88: goto Be957; goto D00df; e107d: $timeRange = $request->get("\164\151\x6d\x65\x52\141\x6e\147\x65"); goto ec562; A805f: $response = $this->render("\106\162\x6f\156\164\x65\x6e\144\x2f\x44\x61\163\x68\142\x6f\141\162\x64\57\151\156\x64\x65\x78\56\x68\x74\x6d\154\x2e\x74\167\151\x67", ["\x63\x6c\x6f\x75\144" => $cloud, "\x69\x6e\163\x74\x61\156\143\x65" => $instance, "\165\163\x65\162" => $user, "\x74\151\x6d\145\x52\141\x6e\147\145" => $timeRange, "\143\160\x75\103\150\x61\162\x74" => $cpuChart, "\155\x65\x6d\157\162\x79\103\x68\x61\x72\x74" => $memoryChart, "\144\151\x73\153\103\x68\141\x72\x74" => $diskChart, "\154\157\x61\144\101\x76\145\x72\141\147\x65\103\x68\141\x72\164" => $loadAverageChart]); goto caa26; C37ac: $memoryChart = new Chart("\115\x65\x6d\x6f\162\171\x20\x55\163\x61\147\x65"); goto F9505; F7c6c: $diskChart->setCategories($categories); goto C1127; D00df: B4a6f: goto D5fe8; Eea92: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto e723a; F28cc: $loadAverageChart->setData($loadAverageData); goto A676b; e483f: A5c55: goto f3439; eb518: $cpuChart->setData($cpuData); goto e2f62; D7d31: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto bf2a7; Ec5d0: $endDataDate = clone $startTime; goto D57c5; B2c9c: f3114: goto c46f6; c2ad5: $categories[] = $categoryDateTime->format("\x48\x3a\151"); goto B458a; B458a: $startDataDate->modify(sprintf("\x2b\x25\60\65\144\40\x6d\x69\156\x75\164\145\x73", $minuteInterval)); goto f03c6; C5ad3: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\65\144\x20\155\x69\x6e\x75\x74\145\x73", $minuteInterval)); goto Ec5d0; c46f6: return $categories; goto D51e7; A07ce: $categoryDateTime = clone $endDataDate; goto b0b9a; D57c5: f8214: goto c05b4; b4efd: goto f8214; goto B2c9c; c05b4: if (!($endDataDate <= $endTime)) { goto f3114; } goto A07ce; bf2a7: $categories = []; goto C5ad3; b0b9a: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto c2ad5; f03c6: $endDataDate->modify(sprintf("\53\45\60\x35\x64\40\x6d\x69\156\165\x74\x65\x73", $minuteInterval)); goto b4efd; D51e7: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto C488e; e29c6: dd22b: goto d8673; e1573: $cpuData[] = $averageCpuValue; goto D42c5; D8c64: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto e1573; D42c5: $startDataDate->modify(sprintf("\53\45\x30\65\x64\x20\x6d\151\x6e\165\x74\x65\163", $minuteInterval)); goto E29a6; D53ef: if (!($endDataDate <= $endTime)) { goto dd22b; } goto D8c64; Aa8bf: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\65\x64\x20\155\151\x6e\x75\x74\x65\x73", $minuteInterval)); goto F3380; E29a6: $endDataDate->modify(sprintf("\x2b\45\x30\x35\144\40\155\151\x6e\165\x74\145\163", $minuteInterval)); goto Ebe51; F3380: $endDataDate = clone $startTime; goto e5cf2; Ebe51: goto Ded6b; goto e29c6; e5cf2: Ded6b: goto D53ef; C488e: $cpuData = []; goto Aa8bf; d8673: return $cpuData; goto A92ad; A92ad: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto a586c; d6f02: $memoryData[] = (int) $averageMemoryValue; goto Aed42; a586c: $memoryData = []; goto dc5de; C68ca: if (!($endDataDate <= $endTime)) { goto a5e14; } goto Fe320; Aed42: $startDataDate->modify(sprintf("\x2b\45\x30\65\144\40\x6d\151\x6e\x75\164\145\x73", $minuteInterval)); goto F867f; F867f: $endDataDate->modify(sprintf("\53\45\60\x35\144\x20\155\151\156\165\164\x65\163", $minuteInterval)); goto B4c4d; Fe320: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto d6f02; Ee2ae: $endDataDate = clone $startTime; goto Ee0a8; fa20e: a5e14: goto B9cb4; B4c4d: goto b0fd6; goto fa20e; dc5de: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\60\65\144\x20\155\151\x6e\165\x74\x65\x73", $minuteInterval)); goto Ee2ae; B9cb4: return $memoryData; goto Fd000; Ee0a8: b0fd6: goto C68ca; Fd000: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto A6cbe; c9f56: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\60\65\144\40\x6d\x69\x6e\x75\164\x65\163", $minuteInterval)); goto A0603; D5307: if (!($endDataDate <= $endTime)) { goto A37f9; } goto f9c21; f9c21: foreach (["\57", "\x2f\150\157\155\145"] as $disk) { goto C2226; F7236: $diskData["\x68\157\x6d\145"][] = (int) $averageDiskSizeValue; goto C0ee0; C2226: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto cdfbf; D75a3: e4831: goto Ff17f; cdfbf: if ("\57" == $disk) { goto b8abc; } goto F7236; Ff17f: Ad450: goto A7a65; C0ee0: goto e4831; goto E2829; E2829: b8abc: goto bd2b3; bd2b3: $diskData["\162\x6f\x6f\164"][] = (int) $averageDiskSizeValue; goto D75a3; A7a65: } goto cd67e; D62e4: A37f9: goto A41c2; A6cbe: $diskData = []; goto c9f56; A0603: $endDataDate = clone $startTime; goto F5797; cd67e: Edd7d: goto cb7eb; A41c2: return $diskData; goto C131e; e3170: $endDataDate->modify(sprintf("\53\45\x30\x35\144\x20\x6d\x69\x6e\165\164\145\163", $minuteInterval)); goto b034d; F5797: D8883: goto D5307; b034d: goto D8883; goto D62e4; cb7eb: $startDataDate->modify(sprintf("\x2b\x25\x30\65\144\40\x6d\x69\x6e\165\164\x65\163", $minuteInterval)); goto e3170; C131e: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto Cf05f; C08f1: return $loadAverageData; goto e1d19; a05c2: if (!($endDataDate <= $endTime)) { goto e716d; } goto Ff752; E8b4a: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\65\144\x20\x6d\x69\156\x75\x74\x65\163", $minuteInterval)); goto abf90; af05c: Fbd48: goto Fd948; ef06b: goto dece5; goto Ad12f; Ad12f: e716d: goto C08f1; c5632: $endDataDate->modify(sprintf("\53\45\x30\x35\x64\x20\155\x69\x6e\165\164\145\163", $minuteInterval)); goto ef06b; Cf05f: $loadAverageData = []; goto E8b4a; Ff752: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto fc88e; fc88e: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto b5746; F0145: e58d3: goto Ff2ca; b5746: $loadAverageData[$period][] = round($loadAverageValue, 2); goto F0145; Ff2ca: } goto af05c; E9e1b: dece5: goto a05c2; Fd948: $startDataDate->modify(sprintf("\53\x25\60\x35\x64\40\x6d\151\156\165\x74\145\x73", $minuteInterval)); goto c5632; abf90: $endDataDate = clone $startTime; goto E9e1b; e1d19: } }
