<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto E70bf; A36d6: $this->sshUserEntityManager = $sshUserEntityManager; goto ee116; D3d0c: $this->ftpUserEntityManager = $ftpUserEntityManager; goto A36d6; E70bf: $this->configManager = $configManager; goto B15e4; f630e: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto D3d0c; B15e4: $this->siteEntityManager = $siteEntityManager; goto E150f; C4f45: $this->databaseUserEntityManager = $databaseUserEntityManager; goto Fbe47; F1112: $this->cronJobEntityManager = $cronJobEntityManager; goto Fd0c2; E150f: $this->basicAuthEntityManager = $basicAuthEntityManager; goto F7ba0; Fbe47: $this->databaseServerEntityManager = $databaseServerEntityManager; goto f630e; E9c50: $this->certificateEntityManager = $certificateEntityManager; goto F1112; F7ba0: $this->blockedIpEntityManager = $blockedIpEntityManager; goto ad77e; C1942: parent::__construct($translator, $logger); goto f1c82; ad77e: $this->blockedBotEntityManager = $blockedBotEntityManager; goto E9c50; Fd0c2: $this->databaseEntityManager = $databaseEntityManager; goto C4f45; ee116: $this->domainNameParser = $domainNameParser; goto C1942; f1c82: } public function index(Request $request) : Response { goto c4740; da3cd: $response = $this->render("\x46\162\157\x6e\x74\x65\x6e\144\x2f\123\151\x74\x65\57\151\x6e\x64\145\x78\56\x68\164\155\x6c\56\164\x77\x69\147", ["\x75\163\x65\x72" => $user, "\163\151\164\x65\163" => $sites]); goto F8b29; c4740: $user = $this->getUser(); goto C6950; F8b29: return $response; goto e8578; C6950: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\157\x6d\x61\151\156\x4e\x61\155\x65" => "\x61\163\x63"]); goto da3cd; e8578: } public function fileManager(Request $request) : Response { goto ed080; d5b0c: return $response; goto c8385; Ffccd: goto F0e51; goto Ca727; Ba2c8: $fileManagerUrl = sprintf("\x25\163\57\146\x69\154\x65\55\155\x61\x6e\141\147\145\x72\57", rtrim($request->getSchemeAndHttpHost(), "\x2f")); goto fbd39; fbd39: $response = $this->render("\x46\162\x6f\x6e\x74\x65\156\144\57\x53\x69\164\x65\57\x66\151\x6c\x65\55\x6d\141\x6e\141\x67\145\x72\56\x68\x74\x6d\154\56\x74\167\x69\x67", ["\163\x69\164\145" => $site, "\x66\151\x6c\145\115\x61\x6e\141\x67\x65\162\125\162\154" => $fileManagerUrl, "\x66\157\x72\x6d\x45\x72\162\157\162\163" => $this->formErrors]); goto fb557; e3508: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\x65\163")); goto Ffccd; Cb901: $data = ["\x75\x73\145\162" => $siteUser, "\154\x6f\x63\x61\154\x65" => $locale]; goto e4337; Ca727: ac99f: goto Af057; C55fd: $cookieExpirationDate = new \DateTime("\156\x6f\x77"); goto E5c90; E5c90: $cookieExpirationDate->modify(sprintf("\x2b\45\x73\x20\x68\157\x75\162\163", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto Cb901; ed080: $site = $this->getSite($request); goto Cc472; Af057: $siteUser = $site->getUser(); goto cfa6c; Cc472: if (false === is_null($site)) { goto ac99f; } goto e3508; b75a5: $locale = $request->getLocale(); goto C55fd; fb557: F0e51: goto d5b0c; cfa6c: $session = $request->getSession(); goto b75a5; e4337: $session->set("\143\154\160\55\x66\151\x6c\x65\x2d\x6d\141\156\x61\x67\x65\x72", $data); goto Ba2c8; c8385: } public function view(Request $request) : Response { goto D6267; D6267: $domainName = $request->get("\x64\x6f\x6d\x61\x69\156\x4e\141\x6d\x65"); goto Ef277; C83c3: return $response; goto b9b89; Ef277: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\x65\x5f\x73\145\164\164\x69\156\147\163", ["\144\157\155\x61\x69\156\116\141\155\x65" => $domainName])); goto C83c3; b9b89: } public function logs(Request $request) : Response { goto F970d; e2158: $response = $this->render("\106\x72\157\x6e\x74\x65\156\144\57\123\151\x74\x65\x2f\x6c\157\147\163\x2e\x68\164\x6d\x6c\56\x74\x77\x69\x67", ["\163\x69\x74\145" => $site, "\146\157\162\x6d\105\162\162\157\162\163" => $this->formErrors, "\x66\x6f\162\x6d" => $form->createView()]); goto Bea38; cce30: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\x74\145\x73")); goto F1898; F970d: $site = $this->getSite($request); goto b2671; b2671: if (false === is_null($site)) { goto Cca6f; } goto cce30; c0c5f: Cca6f: goto Eda5c; Bea38: C648a: goto B4fd5; F1898: goto C648a; goto c0c5f; Bb800: $form = $this->createLogsForm($siteEntity); goto e2158; B4fd5: return $response; goto E2a17; Eda5c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Bb800; E2a17: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto C6faf; C6faf: $form = $this->createForm("\x41\160\160\134\x46\x6f\x72\155\x5c\123\x69\164\x65\x4c\157\x67\x73\124\x79\160\145", [], ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\143\154\x70\137\163\151\164\x65\137\154\x6f\147\x73", ["\x64\x6f\x6d\x61\151\x6e\116\x61\155\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\x68\x6f\144" => "\120\117\x53\124", "\141\164\x74\x72" => []]); goto ceaee; be36c: return $form; goto ce526; ceaee: $form->add("\x75\160\144\141\164\x65", ButtonType::class, ["\x61\x74\x74\x72" => ["\143\154\141\x73\x73" => "\142\164\156\x20\142\x74\x6e\x2d\154\147\40\x62\164\156\x2d\142\154\x75\x65\40\142\164\x6e\x2d\165\160\x64\x61\x74\145"], "\x6c\141\142\145\154" => "\125\160\144\x61\x74\145"]); goto be36c; ce526: } public function logFileContent(Request $request, Twig $twig) : Response { goto b2757; a34b5: ad0ef: goto c57f0; b2757: $data = []; goto f7a0f; B28bf: if (!(false === empty($service) && false === empty($logfileName))) { goto a9e66; } goto D5b11; E9d34: a9e66: goto a34b5; a22cd: $logfileName = trim($request->get("\x6c\x6f\x67\x46\x69\154\x65")); goto ce562; c57f0: $response = $this->json($data); goto Fbbda; D5b11: try { goto F401e; Bb832: c3a84: goto C5958; Fd76e: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto f4835; b856d: C1c27: goto a423d; cb8e4: abe09: goto e80b7; Db6b9: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto ea641; bd940: $user = $this->getUser(); goto ece2b; ece2b: if (!("\156\x67\x69\156\x78" == $service)) { goto C8cd0; } goto bf25b; a423d: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto c57aa; ea641: $logMessages = $nginxErrorLogParser->parse(); goto D27be; C5958: $data["\154\x6f\147\115\x65\163\163\x61\147\x65\163\110\x74\x6d\x6c"] = $logMessagesHtml; goto c5ebe; Bafad: $logMessagesHtml = ''; goto bd940; Dbbb3: if (!("\160\150\160" == $service)) { goto c3a84; } goto Fd76e; e80b7: C8cd0: goto Dbbb3; Db541: $logMessagesHtml = $twig->render("\x46\162\x6f\x6e\164\x65\x6e\x64\x2f\x53\x69\164\x65\x2f\114\157\147\x73\x2f\x6e\147\151\x6e\170\x2d\x61\143\x63\x65\163\163\55\x6c\x6f\x67\55\155\145\x73\x73\x61\x67\x65\x73\56\x68\164\155\154\x2e\x74\x77\151\x67", ["\x6c\157\147\x4d\x65\163\x73\x61\x67\145\163" => $logMessages]); goto cb8e4; bf25b: $userTimezone = $user->getTimezone(); goto Afe80; c57aa: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto e7d8a; D27be: $logMessagesHtml = $twig->render("\106\x72\x6f\156\164\145\x6e\144\57\x53\x69\x74\x65\57\x4c\157\x67\x73\x2f\156\147\151\156\x78\x2d\x65\162\x72\x6f\x72\x2d\154\x6f\147\x2d\155\x65\163\x73\141\x67\x65\163\56\x68\x74\x6d\x6c\x2e\x74\167\x69\147", ["\154\x6f\147\x4d\145\x73\x73\x61\x67\x65\x73" => $logMessages]); goto D7d81; f899c: $logfile = sprintf("\x2f\150\x6f\x6d\145\x2f\45\x73\x2f\x6c\157\147\x73\57\45\x73\x2f\x25\163", $site->getUser(), $service, $logfileName); goto B1d5d; A7dd2: $logLines = $logfileReader->getLines($numberOfLines); goto Bafad; F401e: $service = basename($service); goto f899c; a6041: $logMessagesHtml = $twig->render("\x46\162\x6f\x6e\x74\x65\x6e\144\57\x53\151\164\145\57\x4c\x6f\x67\x73\x2f\x70\150\x70\x2d\x66\160\155\x2d\145\x72\x72\157\162\55\154\157\147\x2d\x6d\145\x73\x73\x61\x67\x65\163\56\150\164\155\154\x2e\164\167\x69\147", ["\x6c\x6f\x67\115\145\163\x73\141\x67\145\163" => $logMessages]); goto Bb832; e7d8a: $logMessages = $nginxAccessLogParser->parse(); goto Db541; B1d5d: $logfileReader = new LogfileReader($logfile); goto A7dd2; Afe80: if ("\141\x63\143\145\163\x73\56\154\157\147" == substr($logfileName, 0, 10)) { goto C1c27; } goto Db6b9; f4835: $logMessages = $phpFpmErrorLogParser->parse(); goto a6041; D7d81: goto abe09; goto b856d; c5ebe: } catch (\Exception $e) { $this->logger->exception($e); } goto E9d34; Fbbda: return $response; goto c6337; eefb9: if (!(false === is_null($site))) { goto ad0ef; } goto a419c; ce562: $numberOfLines = (int) $request->get("\x6e\x75\x6d\x62\x65\162\x4f\x66\x4c\151\x6e\x65\x73"); goto B28bf; a419c: $service = trim($request->get("\163\x65\x72\166\151\143\x65")); goto a22cd; f7a0f: $site = $this->getSite($request); goto eefb9; c6337: } public function loadLogfilesForService(Request $request) : Response { goto A0188; D2c2f: $site = $this->getSite($request); goto e612f; e612f: if (!(false === is_null($site))) { goto d6e58; } goto e42e9; E5811: De16b: goto F0325; C1690: return $response; goto Bbab3; bc621: try { goto Ddcf2; ce6d8: $logfiles = $logsFinder->getLogfiles(); goto Ff518; f12bf: $data["\154\157\147\146\x69\x6c\x65\x73"] = $logfiles; goto ccad1; Ff518: if (!(false === empty($logfiles))) { goto F23e0; } goto f12bf; ccad1: F23e0: goto D3dcd; aa612: $logfilesDirectory = sprintf("\x2f\150\157\155\145\x2f\45\x73\57\x6c\x6f\x67\x73\57\45\163\57", $site->getUser(), $service); goto A168b; A168b: $logsFinder = new LogsFinder($logfilesDirectory); goto ce6d8; Ddcf2: $service = basename($service); goto aa612; D3dcd: } catch (\Exception $e) { $this->logger->exception($e); } goto E5811; A0188: $data = []; goto D2c2f; c6c35: $response = $this->json($data); goto C1690; e42e9: $service = trim($request->get("\163\x65\162\166\151\143\145")); goto A6f1c; F0325: d6e58: goto c6c35; A6f1c: if (!(false === empty($service))) { goto De16b; } goto bc621; Bbab3: } public function cronJobs(Request $request) : Response { goto e60e3; B0125: if (false === is_null($site)) { goto e4921; } goto E11bc; Dffb0: return $response; goto eef3d; A48bf: e4921: goto Fe15f; e60e3: $site = $this->getSite($request); goto B0125; Fe15f: $response = $this->render("\x46\x72\157\x6e\164\x65\x6e\x64\x2f\123\151\164\x65\x2f\x63\x72\157\x6e\x2d\x6a\157\142\163\56\150\164\155\x6c\56\164\167\151\x67", ["\163\x69\164\x65" => $site, "\146\x6f\x72\x6d\105\x72\162\x6f\x72\x73" => $this->formErrors]); goto F34be; F34be: B56d6: goto Dffb0; f945d: goto B56d6; goto A48bf; E11bc: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\145\x73")); goto f945d; eef3d: } public function newCronJob(Request $request) : Response { goto Ecf81; a3fe0: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\145\163")); goto Ac9d6; F9818: return $response; goto A28d0; A28d0: b4324: goto Ef11d; Ecf81: $site = $this->getSite($request); goto a1761; Deb6c: A6441: goto cccad; cc2ca: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto c4b89; cccad: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto cc2ca; c4b89: $cronJobEntity->setSite($siteEntity); goto B43f5; Ba5fc: return $response; goto Dcdd7; B1423: if (!(true === $form->isSubmitted())) { goto e9f4f; } goto Fa890; Ac9d6: goto c5be4; goto Deb6c; d945b: if (!(false === is_null($response))) { goto b4324; } goto F9818; D92fb: $form->handleRequest($request); goto B1423; B43f5: $form = $this->createCronJobForm($cronJobEntity); goto B14f6; D7a7b: eb8cc: goto Bedf6; Bedf6: $response = $this->render("\106\162\157\x6e\x74\145\x6e\x64\x2f\x53\x69\x74\x65\x2f\156\145\x77\55\x63\162\x6f\x6e\x2d\152\157\x62\x2e\150\164\155\154\56\164\167\151\147", ["\163\151\x74\x65" => $site, "\x66\157\162\x6d" => $form->createView(), "\x66\x6f\x72\155\105\x72\162\157\x72\x73" => $this->formErrors]); goto D2826; Ef11d: e9f4f: goto D7a7b; a1761: if (false === is_null($site)) { goto A6441; } goto a3fe0; Fa890: $response = $this->handleCronJobForm($request, $form, $site); goto d945b; B14f6: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto eb8cc; } goto D92fb; D2826: c5be4: goto Ba5fc; Dcdd7: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto E2ca1; aaf74: return $form; goto Bc3b1; E2ca1: $siteEntity = $cronJobEntity->getSite(); goto C7009; C7009: $form = $this->createForm("\101\160\160\x5c\x46\x6f\162\x6d\x5c\123\151\x74\145\103\162\157\156\112\x6f\x62\x54\171\x70\x65", $cronJobEntity, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\x73\151\164\x65\137\x63\162\x6f\156\x5f\x6a\157\142\x5f\x6e\x65\x77", ["\x64\157\x6d\141\x69\x6e\116\x61\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\x64" => "\x50\x4f\x53\124", "\141\164\x74\x72" => []]); goto Db387; Db387: $form->add("\163\165\142\155\x69\x74", SubmitType::class, ["\141\x74\164\162" => ["\143\154\x61\x73\x73" => "\142\x74\x6e\x20\x62\164\x6e\x2d\142\x6c\165\x65\40\x62\164\x6e\55\x6c\x67"], "\154\x61\x62\x65\154" => "\101\144\144\x20\x43\162\157\156\40\112\x6f\142"]); goto aaf74; Bc3b1: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto D633c; b13a5: C9463: goto E80c8; C3a07: $this->formErrors = $this->getErrorMessages($form); goto F9250; D633c: if (true === $form->isValid()) { goto C9463; } goto C3a07; A480a: e8916: goto cf322; F9250: goto e8916; goto b13a5; E80c8: try { goto F5bed; c83f9: b9929: goto aaf72; C9ad0: $siteEntity->addCronJob($cronJobEntity); goto bc2d8; adfbd: $cronJobEntity = $form->getData(); goto C9ad0; bc2d8: $site->setCronJobs($siteEntity->getCronJobs()); goto a3c8d; aaf72: $user = $this->getUser(); goto adfbd; ea337: $siteUpdater = $this->getSiteUpdater($site); goto Bb258; a3c8d: $this->siteEntityManager->updateEntity($siteEntity); goto ea337; C1410: $eventData = ["\163\151\x74\145" => $domainName, "\143\x72\157\x6e\x74\141\142\x45\x78\x70\x72\x65\x73\163\x69\157\x6e" => $cronJobEntity->getCrontabExpression()]; goto E0642; Ee9b6: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\x65\163")); goto Cbe59; a4764: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\163", $this->translator->trans("\x43\162\x6f\156\40\x4a\x6f\142\40\150\x61\163\x20\142\x65\145\156\40\141\x64\144\x65\x64\x2e")); goto ff547; B09c8: ad24b: goto c4db4; d911e: $domainName = $site->getDomainName(); goto B8aa7; E0642: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto a4764; B8aa7: $siteEntity = $this->getSiteEntity($domainName); goto c345b; Bb258: $siteUpdater->updateUserCrontab(); goto C1410; c345b: if (false === is_null($siteEntity)) { goto b9929; } goto Ee9b6; Cbe59: goto ad24b; goto c83f9; F5bed: $session = $request->getSession(); goto d911e; ff547: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x5f\143\162\x6f\156\x5f\152\157\x62\x73", ["\144\157\x6d\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto B09c8; c4db4: return $response; goto a0df3; a0df3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\101\156\x20\x65\x72\x72\157\162\x20\x68\141\x73\40\157\x63\143\165\162\x72\x65\x64\x2c\x20\145\162\x72\x6f\162\40\x6d\145\x73\163\x61\x67\145\72\40\x25\x65\162\162\x6f\x72\115\145\163\163\141\147\x65\x25", ["\x25\145\162\162\157\162\x4d\x65\x73\x73\x61\147\145\x25" => $e->getMessage()])); } goto A480a; cf322: } public function deleteCronJob(Request $request) : Response { goto Bc7e7; bdce2: if (!(false === is_null($site))) { goto E5b18; } goto bab58; Bc7e7: $site = $this->getSite($request); goto c2e59; e6d47: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x73")); goto d5713; d5713: return $response; goto B736f; c2e59: $this->checkCsrfToken($request, "\143\x72\157\x6e\x6a\157\x62\x2d\144\x65\154\x65\164\145"); goto bdce2; bab58: try { goto bcfec; A79e4: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\145\137\143\162\157\156\x5f\152\157\x62\x73", ["\x64\157\x6d\141\x69\156\116\x61\155\x65" => $site->getDomainName()])); goto B615e; c6724: $domainName = $site->getDomainName(); goto Ce929; F8795: $session->getFlashBag()->set("\x73\165\x63\143\x65\x73\x73", $this->translator->trans("\103\x72\x6f\x6e\x20\x4a\x6f\142\x20\x68\x61\163\x20\x62\x65\145\156\x20\144\x65\154\145\x74\145\144\x2e")); goto A79e4; a86ff: dc18d: goto F2a41; a93ec: $this->siteEntityManager->updateEntity($siteEntity); goto a2943; B615e: return $response; goto B9bf3; b86c1: $siteEntity->removeCronJob($cronJobEntity); goto E5057; E64ed: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto C6a02; A534e: $siteUpdater->updateUserCrontab(); goto E6135; Ce929: $siteEntity = $this->getSiteEntity($domainName); goto E64ed; C6a02: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto dc18d; } goto C1d9e; c8b52: $id = (int) $request->get("\151\x64"); goto c6724; Adc21: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto F8795; bcfec: $session = $request->getSession(); goto c8b52; a2943: $siteUpdater = $this->getSiteUpdater($site); goto A534e; C1d9e: $cronJobSiteEntity = $cronJobEntity->getSite(); goto a0800; E6135: $evenData = ["\163\151\164\145" => $domainName, "\x63\x6f\155\155\x61\x6e\144" => $cronJobEntity->getCommand()]; goto Adc21; E5057: $site->setCronJobs($siteEntity->getCronJobs()); goto a93ec; E55ad: $user = $this->getUser(); goto b86c1; a0800: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto dd1b9; } goto E55ad; B9bf3: dd1b9: goto a86ff; F2a41: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\x20\145\x72\x72\157\x72\x20\150\x61\163\40\x6f\x63\143\165\x72\x72\x65\144\54\x20\145\x72\x72\157\162\x20\x6d\x65\x73\163\141\147\145\72\40\x25\x65\x72\x72\157\162\x4d\145\x73\x73\x61\x67\145\x25", ["\x25\x65\162\x72\x6f\162\115\x65\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto Ba4b6; Ba4b6: E5b18: goto e6d47; B736f: } public function editCronJob(Request $request) : Response { goto Fbda6; fd7b9: f74ee: goto a56df; D1362: fb096: goto fd7b9; Fbda6: $id = (int) $request->get("\151\x64"); goto c0d20; b8cd3: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\145\163")); goto C1dd5; C1dd5: goto d05e9; goto Fb237; c0d20: $site = $this->getSite($request); goto d6d41; Fb237: f68f2: goto B5a85; d6d41: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto f5243; E4309: return $response; goto f359f; b3c15: return $response; goto abefc; F8882: $response = $this->handleCronJobEditForm($request, $form, $site); goto f9fde; e6687: d05e9: goto b3c15; Bf0eb: $form->handleRequest($request); goto c9710; f5243: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto f68f2; } goto b8cd3; B5a85: $form = $this->createCronJobEditForm($cronJobEntity); goto ccd1c; f9fde: if (!(false === is_null($response))) { goto e9392; } goto E4309; f359f: e9392: goto D1362; a56df: $response = $this->render("\106\162\157\x6e\x74\x65\156\144\x2f\123\x69\164\145\57\x65\x64\x69\164\x2d\x63\162\x6f\x6e\x2d\152\157\142\x2e\x68\164\155\x6c\56\164\167\151\x67", ["\163\151\164\145" => $site, "\x66\157\162\x6d" => $form->createView(), "\146\157\162\155\x45\162\162\157\x72\163" => $this->formErrors]); goto e6687; ccd1c: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto f74ee; } goto Bf0eb; c9710: if (!(true === $form->isSubmitted())) { goto fb096; } goto F8882; abefc: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto d1b52; b028f: $form->add("\x73\165\x62\x6d\151\x74", SubmitType::class, ["\141\164\164\x72" => ["\x63\x6c\141\x73\163" => "\x62\164\x6e\x20\142\x74\x6e\x2d\142\154\x75\145\x20\142\164\x6e\x2d\x6c\147"], "\x6c\141\x62\145\x6c" => "\x53\141\x76\145"]); goto F4b67; d5e53: $form = $this->createForm("\101\160\x70\134\x46\x6f\x72\x6d\134\123\151\x74\145\103\162\157\156\112\x6f\142\x45\x64\151\x74\x54\171\x70\x65", $cronJobEntity, ["\141\x63\164\x69\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\x73\x69\164\145\137\x63\162\x6f\156\x5f\152\x6f\142\137\x65\x64\x69\x74", ["\144\x6f\155\141\151\x6e\x4e\x61\x6d\x65" => $siteEntity->getDomainName(), "\151\x64" => $cronJobEntity->getId()]), "\155\x65\x74\150\157\144" => "\x50\117\123\124", "\141\164\x74\162" => []]); goto b028f; d1b52: $siteEntity = $cronJobEntity->getSite(); goto d5e53; F4b67: return $form; goto c9fdc; c9fdc: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto F9903; ebc39: B440b: goto D8084; C0187: cc646: goto Ae0d4; Ccfdc: $this->formErrors = $this->getErrorMessages($form); goto B52bb; Ae0d4: try { goto F9905; be681: $site->setCronJobs($siteEntity->getCronJobs()); goto fa7a0; B1adf: $domainName = $site->getDomainName(); goto A11ed; dc126: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\x5f\x63\x72\x6f\156\x5f\x6a\157\x62\x73", ["\x64\x6f\155\x61\x69\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto b5374; A1190: $eventData = ["\x73\x69\164\x65" => $domainName, "\143\162\157\156\x74\141\x62\105\170\160\162\x65\x73\x73\x69\x6f\156" => $cronJobEntity->getCrontabExpression()]; goto Ba1d7; E2067: if (false === is_null($siteEntity)) { goto eff97; } goto defc7; F9905: $session = $request->getSession(); goto B1adf; c18c6: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\163", $this->translator->trans("\103\162\x6f\156\x20\x4a\x6f\142\40\x68\x61\163\x20\142\145\x65\156\x20\x73\x61\x76\145\x64\56")); goto dc126; e0266: $siteEntity->addCronJob($cronJobEntity); goto be681; Ba1d7: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto c18c6; Aea05: eff97: goto ac92e; De633: goto D5399; goto Aea05; fa7a0: $this->siteEntityManager->updateEntity($siteEntity); goto a90a6; A88f2: return $response; goto d8b4e; A11ed: $siteEntity = $this->getSiteEntity($domainName); goto E2067; Cb6d9: $cronJobEntity = $form->getData(); goto e0266; a90a6: $siteUpdater = $this->getSiteUpdater($site); goto cf13a; cf13a: $siteUpdater->updateUserCrontab(); goto A1190; b5374: D5399: goto A88f2; ac92e: $user = $this->getUser(); goto Cb6d9; defc7: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\145\163")); goto De633; d8b4e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\x41\156\40\x65\x72\162\157\x72\x20\150\141\x73\40\x6f\x63\x63\165\162\x72\x65\x64\x2c\40\145\162\x72\157\162\x20\155\x65\x73\163\x61\x67\x65\x3a\x20\x25\145\162\162\x6f\x72\x4d\x65\163\163\141\147\145\x25", ["\45\x65\162\162\157\x72\115\145\x73\163\141\x67\x65\x25" => $e->getMessage()])); } goto ebc39; B52bb: goto B440b; goto C0187; F9903: if (true === $form->isValid()) { goto cc646; } goto Ccfdc; D8084: } public function users(Request $request) : Response { goto ddc67; c569f: goto E13d7; goto ab4e3; c4e0c: return $response; goto ab010; ab4e3: ecd76: goto D0d67; F22c6: E13d7: goto c4e0c; ddc67: $site = $this->getSite($request); goto b6878; D0d67: $response = $this->render("\106\162\x6f\x6e\x74\x65\x6e\144\x2f\x53\x69\x74\x65\57\x75\163\x65\x72\x73\56\x68\x74\x6d\154\x2e\164\x77\x69\x67", ["\163\151\164\x65" => $site, "\146\157\162\x6d\x45\162\162\157\162\163" => $this->formErrors]); goto F22c6; D27f4: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\145\163")); goto c569f; b6878: if (false === is_null($site)) { goto ecd76; } goto D27f4; ab010: } public function newFtpUser(Request $request) : Response { goto b257b; ef568: E0ae1: goto e2965; ed7f9: return $response; goto fdca5; Aaeb7: $ftpUserEntity->setSite($siteEntity); goto ba70b; E388e: if (!(true === $form->isSubmitted())) { goto f817f; } goto F76db; E7d4b: goto E8e01; goto Adaf1; e8e49: E8e01: goto E92a3; C02a9: f817f: goto ef568; D0674: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto C367d; C367d: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto Aaeb7; a73fe: if (!(false === is_null($response))) { goto A317e; } goto ed7f9; ba70b: $form = $this->createFtpUserForm($ftpUserEntity); goto Bf5c6; F7bf0: if (false === is_null($site)) { goto C9f8b; } goto Fff4f; Bf5c6: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto E0ae1; } goto Fdf94; Fff4f: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\x74\145\163")); goto E7d4b; Adaf1: C9f8b: goto D0674; Fdf94: $form->handleRequest($request); goto E388e; e2965: $response = $this->render("\106\x72\x6f\x6e\x74\x65\x6e\x64\x2f\123\x69\164\145\57\x6e\x65\x77\55\146\164\x70\x2d\165\x73\145\x72\x2e\150\164\x6d\x6c\x2e\164\x77\151\x67", ["\163\151\x74\x65" => $site, "\x66\x6f\x72\155" => $form->createView(), "\x66\x6f\x72\x6d\x45\162\x72\x6f\162\163" => $this->formErrors]); goto e8e49; fdca5: A317e: goto C02a9; F76db: $response = $this->handleFtpUserForm($request, $form, $site); goto a73fe; E92a3: return $response; goto d2aaf; b257b: $site = $this->getSite($request); goto F7bf0; d2aaf: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto cc883; Ca485: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\141\x73\163" => "\142\x74\156\x20\x62\164\156\55\142\x6c\x75\x65\40\142\x74\x6e\x2d\x6c\147"], "\154\x61\x62\x65\154" => "\101\x64\144\x20\x55\x73\x65\x72"]); goto fbafa; fbafa: return $form; goto fcde6; cc883: $siteEntity = $ftpUserEntity->getSite(); goto Bdc2a; Bdc2a: $form = $this->createForm("\x41\x70\x70\x5c\106\157\x72\x6d\x5c\123\x69\x74\x65\x46\x74\160\125\163\x65\x72\x54\x79\x70\x65", $ftpUserEntity, ["\141\143\164\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\137\146\x74\160\137\x75\163\145\x72\137\156\x65\167", ["\x64\157\155\x61\x69\156\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\150\x6f\x64" => "\x50\117\x53\124", "\141\164\164\162" => []]); goto Ca485; fcde6: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto F9cd3; Ad1be: goto e45c4; goto C393a; ac167: e45c4: goto d1e94; B671c: $this->formErrors = $this->getErrorMessages($form); goto Ad1be; C393a: B2038: goto dee75; dee75: try { goto ea9ce; d27cb: return $response; goto bd79e; f10b0: ed92c: goto d27cb; c73f6: F9953: goto cf737; d0741: $siteEntity = $this->getSiteEntity($domainName); goto Be17e; cb877: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto d0757; cf737: $user = $this->getUser(); goto b096f; D18c7: $domainName = $site->getDomainName(); goto d0741; Be17e: if (false === is_null($siteEntity)) { goto F9953; } goto C79ec; d0757: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\x73", $this->translator->trans("\x55\163\145\x72\x20\150\141\x73\40\142\145\145\x6e\40\x61\144\x64\145\144\56")); goto D1859; f280a: $siteEntity->addFtpUser($ftpUserEntity); goto ad4de; bebdc: $eventData = ["\163\151\164\x65" => $domainName, "\x75\x73\145\x72\x4e\x61\x6d\x65" => $ftpUserName, "\150\x6f\x6d\x65\104\x69\x72\145\143\164\157\x72\x79" => $ftpUserEntity->getHomeDirectory()]; goto cb877; C79ec: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\x65\163")); goto dbda1; a9fc0: $ftpUserPassword = $form->get("\160\x61\163\x73\x77\x6f\x72\x64")->getData(); goto de6fd; C9c8d: $ftpUserName = $ftpUserEntity->getUserName(); goto a9fc0; ea9ce: $session = $request->getSession(); goto D18c7; c46fd: $siteUpdater->createFtpUser($ftpUserEntity); goto bebdc; E5236: $siteUpdater = $this->getSiteUpdater($site); goto c46fd; dbda1: goto ed92c; goto c73f6; de6fd: $ftpUserEntity->setPassword($ftpUserPassword); goto f280a; D1859: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\137\165\x73\145\x72\x73", ["\144\x6f\155\x61\151\156\116\x61\155\145" => $site->getDomainName()])); goto f10b0; b096f: $ftpUserEntity = $form->getData(); goto C9c8d; ad4de: $this->siteEntityManager->updateEntity($siteEntity); goto E5236; bd79e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\40\x65\x72\x72\x6f\x72\x20\x68\x61\163\40\x6f\143\143\165\162\x72\x65\144\54\x20\x65\162\x72\x6f\162\40\155\x65\x73\x73\141\147\145\x3a\x20\x25\x65\162\x72\157\162\x4d\145\163\163\141\147\x65\45", ["\x25\x65\162\x72\157\x72\x4d\145\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto ac167; F9cd3: if (true === $form->isValid()) { goto B2038; } goto B671c; d1e94: } public function editFtpUser(Request $request) : Response { goto F89b8; Baba6: fc1b2: goto f989c; bc053: $form = $this->createFtpUserEditForm($ftpUserEntity); goto Df6f0; F89b8: $userName = $request->get("\x75\163\145\162\x4e\x61\x6d\x65"); goto bf6db; bf6db: $site = $this->getSite($request); goto b494a; Ba8df: goto fc1b2; goto e797f; d671a: return $response; goto B23fa; fed81: if (!(true === $form->isSubmitted())) { goto c82ce; } goto Aa674; Aa674: $response = $this->handleFtpUserEditForm($request, $form, $site); goto d4326; f989c: return $response; goto fbf8f; ccc2c: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\163")); goto Ba8df; Fb31e: $form->handleRequest($request); goto fed81; d0899: c82ce: goto d952b; b494a: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto A4221; Df6f0: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto D34b3; } goto Fb31e; B23fa: A62b8: goto d0899; A4221: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto C24a1; } goto ccc2c; a4230: $response = $this->render("\x46\x72\157\x6e\x74\145\156\144\57\x53\x69\164\x65\x2f\145\144\151\164\x2d\x66\x74\160\55\x75\163\x65\162\x2e\x68\x74\155\154\x2e\164\x77\x69\x67", ["\163\151\164\145" => $site, "\146\157\x72\x6d" => $form->createView(), "\146\157\162\x6d\x45\162\x72\x6f\162\x73" => $this->formErrors]); goto Baba6; d952b: D34b3: goto a4230; e797f: C24a1: goto bc053; d4326: if (!(false === is_null($response))) { goto A62b8; } goto d671a; fbf8f: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto Fad94; f2cf5: return $form; goto de6d9; E0c47: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\141\164\164\x72" => ["\143\x6c\141\x73\x73" => "\x62\x74\156\x20\142\x74\x6e\55\x62\154\165\x65\40\x62\x74\156\x2d\x6c\147"], "\x6c\141\x62\145\154" => "\x53\141\x76\145"]); goto f2cf5; Fad94: $siteEntity = $ftpUserEntity->getSite(); goto D4324; D4324: $form = $this->createForm("\101\160\160\134\x46\157\162\x6d\x5c\123\151\164\x65\x46\x74\160\125\163\145\x72\x45\144\151\x74\124\171\160\x65", $ftpUserEntity, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\143\154\x70\x5f\x73\x69\x74\145\137\x66\x74\160\137\165\163\145\x72\137\145\144\x69\x74", ["\144\157\155\141\151\156\x4e\x61\155\145" => $siteEntity->getDomainName(), "\x75\x73\145\162\116\x61\x6d\x65" => $ftpUserEntity->getUserName()]), "\155\x65\x74\150\x6f\144" => "\x50\117\123\x54", "\x61\164\164\162" => []]); goto E0c47; de6d9: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto e9390; C0b57: try { goto b87ef; e403b: ac166: goto Ae837; Bdcda: if (!(false === empty($ftpUserPassword))) { goto Fab96; } goto db29a; Ae837: $user = $this->getUser(); goto E6321; fd0d7: goto Ed468; goto e403b; cd593: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\163", $this->translator->trans("\x55\x73\x65\162\40\x68\x61\x73\40\142\x65\145\x6e\x20\163\141\166\x65\x64\x2e")); goto Cd29a; C6db3: $siteUpdater = $this->getSiteUpdater($site); goto A23c2; ce46e: $domainName = $site->getDomainName(); goto Df8ca; ca19f: $ftpUserPassword = $form->get("\x70\141\x73\163\167\157\x72\x64")->getData(); goto e9bd7; Df8ca: $siteEntity = $this->getSiteEntity($domainName); goto B8787; A23c2: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto Bdcda; Adc6e: $ftpUserName = $ftpUserEntity->getUserName(); goto ca19f; bff9c: $this->siteEntityManager->updateEntity($siteEntity); goto C6db3; B8787: if (false === is_null($siteEntity)) { goto ac166; } goto aa53a; E6321: $ftpUserEntity = $form->getData(); goto Adc6e; eb5e4: return $response; goto F3d8d; db29a: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto d431e; a18d8: Ed468: goto eb5e4; aa53a: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\164\145\163")); goto fd0d7; e9bd7: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto bff9c; a5d5c: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto cd593; d431e: Fab96: goto B19b3; Cd29a: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\145\x5f\x75\163\x65\162\x73", ["\144\x6f\x6d\x61\151\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto a18d8; B19b3: $eventData = ["\163\151\x74\145" => $domainName, "\x75\163\145\162\116\x61\155\x65" => $ftpUserName, "\x68\157\155\x65\104\x69\162\x65\143\164\x6f\162\171" => $ftpUserHomeDirectory]; goto a5d5c; b87ef: $session = $request->getSession(); goto ce46e; F3d8d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\x41\156\x20\145\162\162\x6f\x72\40\x68\x61\x73\x20\157\x63\143\x75\x72\x72\x65\144\x2c\40\x65\162\162\x6f\x72\40\155\145\163\x73\141\147\145\x3a\x20\x25\x65\x72\x72\x6f\x72\115\x65\163\163\x61\x67\145\x25", ["\x25\x65\x72\x72\157\162\115\x65\163\163\x61\x67\x65\x25" => $e->getMessage()])); } goto e29b8; E7a51: goto Ba6d2; goto d47cb; Df772: $this->formErrors = $this->getErrorMessages($form); goto E7a51; e29b8: Ba6d2: goto B18ad; e9390: if (true === $form->isValid()) { goto f6bd7; } goto Df772; d47cb: f6bd7: goto C0b57; B18ad: } public function deleteFtpUser(Request $request) : Response { goto F537f; F537f: $site = $this->getSite($request); goto df0b5; a178f: if (!(false === is_null($site))) { goto dbf9c; } goto a6b24; df0b5: $this->checkCsrfToken($request, "\x75\x73\x65\x72\55\144\145\154\145\164\x65"); goto a178f; b8459: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\145\x73")); goto fe3ae; a6b24: try { goto Baba7; bc428: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto F3caf; Aa92f: $evenData = ["\163\151\164\x65" => $domainName, "\165\x73\145\162\x4e\141\x6d\x65" => $userName]; goto e5cb2; e5cb2: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto abb9c; abb9c: $session->getFlashBag()->set("\x73\x75\x63\143\145\x73\163", $this->translator->trans("\125\x73\145\162\40\x68\141\x73\x20\142\145\x65\x6e\40\x64\145\x6c\145\x74\x65\x64\56")); goto f8261; Baba7: $session = $request->getSession(); goto F4bd8; F56bd: $siteUpdater = $this->getSiteUpdater($site); goto A750e; dbdbf: $siteEntity->removeFtpUser($ftpUserEntity); goto dea7b; Bc4ce: B0fe8: goto b7e22; A3da7: $siteEntity = $this->getSiteEntity($domainName); goto bc428; Ebc9e: $user = $this->getUser(); goto D8124; f4790: E9153: goto Bc4ce; F4bd8: $userName = $request->get("\165\163\145\162\x4e\141\x6d\x65"); goto B9790; B9790: $domainName = $site->getDomainName(); goto A3da7; f8261: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\145\137\x75\163\145\162\163", ["\144\x6f\x6d\141\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto F59d7; F3caf: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto B0fe8; } goto b584a; Eb496: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto E9153; } goto Ebc9e; F59d7: return $response; goto f4790; D8124: $userName = $ftpUserEntity->getUserName(); goto dbdbf; A750e: $siteUpdater->deleteUser($userName, false); goto Aa92f; dea7b: $this->siteEntityManager->updateEntity($siteEntity); goto F56bd; b584a: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto Eb496; b7e22: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\x41\156\x20\x65\162\x72\x6f\x72\40\x68\x61\163\40\157\x63\143\x75\x72\162\x65\144\54\40\145\x72\x72\157\x72\40\x6d\x65\x73\163\x61\147\x65\x3a\40\x25\x65\x72\x72\x6f\162\x4d\145\x73\x73\141\147\145\45", ["\x25\145\162\162\x6f\162\115\145\x73\x73\x61\147\x65\45" => $e->getMessage()])); } goto Eda98; fe3ae: return $response; goto Bb51b; Eda98: dbf9c: goto b8459; Bb51b: } public function newSshUser(Request $request) : Response { goto A0918; d80fb: goto e021b; goto add10; e6a5f: e021b: goto Ccf6e; Dd0ac: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\x65\163")); goto d80fb; b7abc: if (!(false === is_null($response))) { goto e132b; } goto c5e73; e393b: e132b: goto e7fa8; Cdec4: $sshUserEntity->setSite($siteEntity); goto Ea8ba; Ea8ba: $form = $this->createSshUserForm($sshUserEntity); goto fe6f7; e7fa8: E221b: goto Cf626; a235e: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto Cdec4; add10: D5217: goto B6754; b216e: $response = $this->render("\x46\x72\157\x6e\164\x65\156\144\x2f\123\151\x74\x65\57\156\x65\167\x2d\x73\163\x68\55\x75\163\145\x72\56\150\164\155\154\x2e\164\167\x69\x67", ["\163\151\x74\x65" => $site, "\x66\157\x72\155" => $form->createView(), "\146\157\162\155\105\x72\x72\x6f\x72\x73" => $this->formErrors]); goto e6a5f; c5e73: return $response; goto e393b; A0918: $site = $this->getSite($request); goto Ad7a9; Ccf6e: return $response; goto a7906; f6e3c: $form->handleRequest($request); goto e7e3c; fe6f7: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto A295e; } goto f6e3c; e7e3c: if (!(true === $form->isSubmitted())) { goto E221b; } goto B6538; B6538: $response = $this->handleSshUserForm($request, $form, $site); goto b7abc; Ad7a9: if (false === is_null($site)) { goto D5217; } goto Dd0ac; Cf626: A295e: goto b216e; B6754: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto a235e; a7906: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto A3300; F087c: $form->add("\x73\165\x62\155\x69\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\154\x61\163\163" => "\x62\x74\x6e\40\142\164\156\x2d\x62\x6c\165\145\x20\x62\x74\x6e\55\x6c\x67"], "\x6c\x61\142\x65\x6c" => "\101\x64\144\x20\x55\163\x65\162"]); goto ace06; ace06: return $form; goto Ec8cd; A3300: $siteEntity = $sshUserEntity->getSite(); goto B0c94; B0c94: $form = $this->createForm("\x41\x70\x70\134\106\157\x72\x6d\134\123\151\x74\145\123\x73\150\125\x73\x65\x72\x54\171\160\145", $sshUserEntity, ["\x61\143\x74\151\x6f\156" => $this->generateUrl("\143\154\160\137\x73\x69\164\145\x5f\x73\163\x68\x5f\x75\163\x65\162\x5f\x6e\145\167", ["\144\157\155\x61\x69\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\164\150\157\144" => "\x50\x4f\123\x54", "\141\x74\164\162" => []]); goto F087c; Ec8cd: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto E6a9f; Ce0d8: $this->formErrors = $this->getErrorMessages($form); goto A60c7; f1d83: try { goto B3c51; D3f3a: $this->siteEntityManager->updateEntity($siteEntity); goto d5a6e; d0b8b: if (false === is_null($siteEntity)) { goto Fb4d2; } goto eb5a8; d719a: $domainName = $site->getDomainName(); goto d4f6b; d5a6e: $siteUpdater = $this->getSiteUpdater($site); goto B650a; B3c51: $session = $request->getSession(); goto d719a; e23eb: Bec70: goto f689d; E42a0: $user = $this->getUser(); goto F73fd; B5a31: $sshUserName = $sshUserEntity->getUserName(); goto Fcd11; Cce87: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\137\165\163\x65\162\x73", ["\144\x6f\155\x61\151\x6e\116\141\x6d\145" => $site->getDomainName()])); goto Bb5b0; b3e56: goto c4852; goto A245e; c3c3d: return $response; goto cb93a; B650a: $siteUpdater->createSshUser($sshUserEntity); goto A873d; f689d: $eventData = ["\x73\x69\x74\145" => $domainName, "\x75\163\x65\162\116\x61\x6d\x65" => $sshUserName, "\163\163\150\113\145\x79\163" => $sshKeys]; goto b76e7; Fcd11: $sshUserPassword = $form->get("\x70\x61\x73\163\167\x6f\162\144")->getData(); goto dd9dd; eb5a8: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\145\x73")); goto b3e56; b76e7: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto dee45; F73fd: $sshUserEntity = $form->getData(); goto B5a31; dee45: $session->getFlashBag()->set("\x73\165\143\x63\145\163\163", $this->translator->trans("\125\x73\x65\162\x20\x68\x61\x73\x20\x62\145\x65\x6e\40\141\144\144\145\144\56")); goto Cce87; d4f6b: $siteEntity = $this->getSiteEntity($domainName); goto d0b8b; af0f7: $siteEntity->addSshUser($sshUserEntity); goto D3f3a; a7945: $sshKeys = $sshUserEntity->getSshKeys(); goto af0f7; A873d: if (!(false === empty($sshKeys))) { goto Bec70; } goto b9505; dd9dd: $sshUserEntity->setPassword($sshUserPassword); goto a7945; Bb5b0: c4852: goto c3c3d; b9505: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto e23eb; A245e: Fb4d2: goto E42a0; cb93a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\101\x6e\40\145\x72\x72\157\x72\40\150\x61\163\x20\x6f\143\x63\165\x72\x72\x65\144\54\40\x65\x72\x72\157\162\x20\155\x65\163\x73\141\x67\x65\x3a\40\x25\x65\x72\162\x6f\x72\x4d\x65\163\x73\x61\x67\x65\45", ["\45\x65\x72\162\157\162\115\x65\x73\163\141\147\x65\x25" => $e->getMessage()])); } goto dbc88; dbc88: de3ca: goto e864e; A60c7: goto de3ca; goto d9a9e; d9a9e: B0621: goto f1d83; E6a9f: if (true === $form->isValid()) { goto B0621; } goto Ce0d8; e864e: } public function editSshUser(Request $request) : Response { goto a8b5a; c8356: $response = $this->handleSshUserEditForm($request, $form, $site); goto fe5f3; a0b44: if (!(true === $form->isSubmitted())) { goto bea5a; } goto c8356; f04e7: $site = $this->getSite($request); goto D891a; a820a: f75fd: goto E3de6; ca637: $form = $this->createSshUserEditForm($sshUserEntity); goto ebf71; e9aff: bea5a: goto D2073; eccbe: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto a31c5; } goto D9509; D2073: Db891: goto B3de9; D9509: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\164\145\163")); goto ceece; a8b5a: $userName = $request->get("\x75\x73\145\x72\x4e\141\155\145"); goto f04e7; E3de6: return $response; goto d9646; fe5f3: if (!(false === is_null($response))) { goto Ef571; } goto ce498; B261f: Ef571: goto e9aff; f6541: a31c5: goto ca637; B3de9: $response = $this->render("\106\x72\157\x6e\164\145\156\x64\57\123\x69\164\x65\x2f\x65\144\151\164\x2d\163\x73\150\55\165\x73\x65\x72\56\150\164\155\154\56\x74\167\151\x67", ["\163\151\x74\145" => $site, "\x66\x6f\x72\x6d" => $form->createView(), "\146\x6f\162\x6d\x45\x72\162\x6f\x72\163" => $this->formErrors]); goto a820a; ce498: return $response; goto B261f; D891a: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto eccbe; F0d8c: $form->handleRequest($request); goto a0b44; ebf71: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto Db891; } goto F0d8c; ceece: goto f75fd; goto f6541; d9646: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto e6617; a3e11: return $form; goto c5597; d0f43: $form = $this->createForm("\101\x70\x70\134\106\x6f\162\x6d\x5c\123\151\x74\145\123\163\150\x55\x73\x65\162\x45\x64\x69\x74\124\x79\x70\x65", $sshUserEntity, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\143\154\160\x5f\163\151\164\145\137\x73\x73\150\x5f\x75\x73\145\x72\137\x65\x64\151\164", ["\x64\157\155\x61\x69\x6e\116\x61\x6d\x65" => $siteEntity->getDomainName(), "\x75\163\x65\x72\116\141\x6d\145" => $sshUserEntity->getUserName()]), "\x6d\145\x74\x68\x6f\x64" => "\x50\x4f\x53\x54", "\141\164\164\x72" => []]); goto A1f00; A1f00: $form->add("\x73\165\x62\155\x69\x74", SubmitType::class, ["\141\164\x74\162" => ["\143\154\x61\163\x73" => "\142\x74\x6e\x20\142\x74\156\x2d\142\154\x75\x65\x20\x62\164\x6e\x2d\154\x67"], "\154\141\x62\x65\154" => "\x53\x61\166\x65"]); goto a3e11; e6617: $siteEntity = $sshUserEntity->getSite(); goto d0f43; c5597: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto C5ade; b6e82: $this->formErrors = $this->getErrorMessages($form); goto Dc232; b7d6b: try { goto Fe2cd; f535d: edb19: goto D7557; Ccdc4: $session->getFlashBag()->set("\163\165\x63\143\145\x73\163", $this->translator->trans("\125\163\145\162\40\150\141\163\40\142\145\145\x6e\x20\x73\141\166\145\144\56")); goto a7a95; B0cb1: $sshUserPassword = $form->get("\160\x61\x73\163\x77\157\x72\x64")->getData(); goto fbbda; Cf1c7: $domainName = $site->getDomainName(); goto a91e1; E7416: b32ce: goto B9825; F9299: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto Ccdc4; c5d71: $sshUserName = $sshUserEntity->getUserName(); goto B0cb1; df0de: $siteUpdater = $this->getSiteUpdater($site); goto f75c0; Af985: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\x74\x65\163")); goto d5344; ebcf2: $user = $this->getUser(); goto b32c7; D7557: return $response; goto De185; b32c7: $sshUserEntity = $form->getData(); goto c5d71; Fe2cd: $session = $request->getSession(); goto Cf1c7; a6c23: $this->siteEntityManager->updateEntity($siteEntity); goto df0de; f75c0: if (!(false === empty($sshUserPassword))) { goto b32ce; } goto C2778; a7a95: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\137\165\163\145\x72\163", ["\144\157\x6d\x61\x69\156\116\141\155\145" => $site->getDomainName()])); goto f535d; C2778: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto E7416; df18a: E2cf7: goto ebcf2; c1a44: $eventData = ["\163\151\164\x65" => $domainName, "\x75\163\x65\x72\x4e\141\x6d\145" => $sshUserName, "\163\163\150\x4b\x65\x79\x73" => $sshKeys]; goto F9299; C60c2: if (false === is_null($siteEntity)) { goto E2cf7; } goto Af985; fbbda: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto a6c23; a91e1: $siteEntity = $this->getSiteEntity($domainName); goto C60c2; B9825: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto c1a44; d5344: goto edb19; goto df18a; De185: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\x41\x6e\40\145\x72\162\x6f\x72\x20\x68\x61\x73\x20\157\143\143\x75\x72\x72\145\x64\54\40\145\x72\x72\157\162\40\x6d\145\163\163\141\147\145\72\x20\x25\145\x72\162\x6f\x72\x4d\x65\x73\163\x61\147\x65\x25", ["\45\145\162\x72\x6f\x72\x4d\x65\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto e8f6e; c5481: bffda: goto b7d6b; C5ade: if (true === $form->isValid()) { goto bffda; } goto b6e82; Dc232: goto A9b32; goto c5481; e8f6e: A9b32: goto Fd3c6; Fd3c6: } public function deleteSshUser(Request $request) : Response { goto bdde3; Da2c5: return $response; goto c8089; c6850: try { goto a63a3; Ded03: return $response; goto af94f; b7043: $evenData = ["\163\151\x74\145" => $domainName, "\165\x73\145\162\116\141\x6d\x65" => $userName]; goto a74c2; Ccbcf: $siteEntity->removeSshUser($sshUserEntity); goto A09f7; ffb83: $userName = $request->get("\x75\163\145\x72\x4e\141\x6d\x65"); goto b7a39; cea5f: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto adeef; } goto F6c2c; b7a39: $domainName = $site->getDomainName(); goto B2a7d; a74c2: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto C97ee; af94f: Dde77: goto c6a7f; c6a7f: adeef: goto C91e5; E0999: $siteUpdater->deleteUser($userName, true); goto b7043; A09f7: $this->siteEntityManager->updateEntity($siteEntity); goto Ea613; A57f5: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto cea5f; B2a7d: $siteEntity = $this->getSiteEntity($domainName); goto A57f5; B7212: $user = $this->getUser(); goto f290d; a63a3: $session = $request->getSession(); goto ffb83; f290d: $userName = $sshUserEntity->getUserName(); goto Ccbcf; Fe425: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\145\137\x75\163\x65\162\x73", ["\144\157\x6d\x61\x69\156\x4e\141\155\x65" => $site->getDomainName()])); goto Ded03; Ea613: $siteUpdater = $this->getSiteUpdater($site); goto E0999; C97ee: $session->getFlashBag()->set("\163\165\143\x63\145\163\x73", $this->translator->trans("\125\x73\145\x72\40\150\141\x73\x20\x62\145\x65\x6e\x20\144\x65\154\145\164\145\144\x2e")); goto Fe425; F6c2c: $sshUserSiteEntity = $sshUserEntity->getSite(); goto ea5dc; ea5dc: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto Dde77; } goto B7212; C91e5: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\101\156\x20\x65\x72\x72\x6f\162\x20\x68\141\163\40\157\x63\143\x75\162\x72\145\x64\54\40\x65\x72\162\x6f\162\40\x6d\145\x73\x73\141\x67\x65\72\40\45\x65\x72\162\x6f\x72\x4d\145\163\163\x61\147\145\45", ["\45\x65\x72\162\157\162\x4d\x65\163\163\x61\x67\x65\x25" => $e->getMessage()])); } goto dfae1; dfae1: e98e1: goto E3ad9; E3ad9: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\163")); goto Da2c5; Dcc7d: $this->checkCsrfToken($request, "\x75\163\x65\x72\55\x64\145\154\x65\x74\x65"); goto C6a64; bdde3: $site = $this->getSite($request); goto Dcc7d; C6a64: if (!(false === is_null($site))) { goto e98e1; } goto c6850; c8089: } public function security(Request $request) : Response { goto Da72f; ef076: if (!(true === is_null($basicAuthEntity))) { goto F4159; } goto ba46d; c7118: if (!(false === is_null($response))) { goto E8674; } goto bc9f2; E3092: F374a: goto E72bf; df344: Ad13f: goto bc97a; A0cd4: return $response; goto Edb19; Da72f: $site = $this->getSite($request); goto Cd23f; B72a7: $blockedIps = $site->getBlockedIps(); goto Af2e6; d5a00: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto c7118; B4818: E8674: goto df344; C2545: $basicAuthEntity->setSite($siteEntity); goto e8733; e1236: if (!(false === is_null($response))) { goto a2bad; } goto A0cd4; Af2e6: $basicAuthEntity = $site->getBasicAuth(); goto ef076; bc97a: if (!(true === $cloudflareForm->isSubmitted())) { goto A4a3a; } goto E28ba; c7d7c: $response = $this->render("\x46\x72\x6f\x6e\164\145\156\x64\x2f\123\151\x74\145\x2f\163\145\x63\165\x72\151\164\171\x2e\150\164\155\154\56\164\x77\151\147", ["\x73\x69\164\x65" => $site, "\142\x6c\157\x63\153\145\x64\111\x70\x73" => $blockedIps, "\142\154\157\143\x6b\145\x64\102\x6f\164\163" => $blockedBots, "\142\141\x73\x69\143\x41\165\164\x68\106\157\162\155" => $basicAuthForm->createView(), "\x63\x6c\157\165\144\146\x6c\x61\162\x65\x46\157\x72\155" => $cloudflareForm->createView(), "\x66\x6f\162\155\105\x72\x72\157\x72\163" => $this->formErrors]); goto E3092; A6c74: F4159: goto C2545; E72bf: return $response; goto ca5e0; e8733: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto F2bf5; Ad639: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\164\x65\163")); goto eb071; d8a27: $basicAuthForm->handleRequest($request); goto f22b1; bc9f2: return $response; goto B4818; F2bf5: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto c40c2; a9ffd: df4ec: goto c7d7c; E28ba: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto e1236; C8219: if (!(true === $basicAuthForm->isSubmitted())) { goto Ad13f; } goto d5a00; f22b1: $cloudflareForm->handleRequest($request); goto C8219; eb071: goto F374a; goto Ee7f9; Edb19: a2bad: goto D1366; c40c2: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto df4ec; } goto d8a27; E5f2e: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto db80e; f3ac8: $blockedBots = $site->getBlockedBots(); goto B72a7; Cd23f: if (false === is_null($site)) { goto f649a; } goto Ad639; ba46d: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto A6c74; Ee7f9: f649a: goto E5f2e; db80e: $cloudflareData = ["\x61\x6c\x6c\x6f\167\124\x72\141\x66\x66\x69\143\106\162\157\x6d\x43\154\x6f\165\x64\146\x6c\x61\162\x65\x4f\156\x6c\x79" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto f3ac8; D1366: A4a3a: goto a9ffd; ca5e0: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto d75ee; d75ee: $form = $this->createForm("\x41\x70\x70\134\x46\x6f\x72\x6d\x5c\x53\x69\x74\x65\x43\x6c\157\x75\x64\146\x6c\x61\162\145\x54\x79\160\x65", $data, ["\141\x63\164\151\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\x65\137\163\145\x63\x75\x72\x69\x74\171", ["\144\157\155\x61\x69\x6e\116\141\x6d\145" => $siteEntity->getDomainName()]), "\x6d\145\x74\x68\157\x64" => "\x50\117\x53\124", "\141\164\164\x72" => []]); goto Dbcfc; B274f: return $form; goto f407e; Dbcfc: $form->add("\x73\x75\142\x6d\151\x74", SubmitType::class, ["\141\x74\164\x72" => ["\143\x6c\141\x73\163" => "\x62\x74\x6e\40\x62\164\156\x2d\x62\x6c\x75\145\x20\142\164\x6e\55\x6c\x67"], "\154\141\142\145\154" => "\x53\x61\166\x65"]); goto B274f; f407e: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto Bce3a; baf1b: return $form; goto C3827; abb15: $form->add("\x73\165\142\155\151\164", SubmitType::class, ["\141\x74\164\x72" => ["\x63\154\x61\x73\x73" => "\x62\x74\x6e\40\142\x74\x6e\55\x62\x6c\x75\x65\x20\142\x74\x6e\x2d\154\147"], "\154\141\142\x65\154" => "\x53\141\166\145"]); goto baf1b; A5993: $form = $this->createForm("\101\x70\x70\134\106\157\x72\x6d\x5c\x53\151\164\145\102\x61\x73\151\143\x41\x75\164\x68\124\171\x70\x65", $basicAuthEntity, ["\141\x63\x74\151\x6f\x6e" => $this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\x5f\163\145\143\x75\x72\x69\164\171", ["\144\x6f\x6d\x61\151\x6e\116\x61\155\x65" => $siteEntity->getDomainName()]), "\x6d\145\164\x68\157\144" => "\x50\117\123\124", "\141\x74\164\x72" => []]); goto abb15; Bce3a: $siteEntity = $basicAuthEntity->getSite(); goto A5993; C3827: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto C5c38; A1ad9: E0d28: goto c2ca6; Fd685: goto E0d28; goto d42fd; d0888: $this->formErrors = $this->getErrorMessages($form); goto Fd685; f99fd: try { goto E96ca; f66c0: B505a: goto a0e1e; c22a6: $siteEntity = $this->getSiteEntity($domainName); goto aa677; Ef7d8: $user = $this->getUser(); goto bf8e0; aea04: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x61\x63\164\151\x76\145" => true === $basicAuthEntity->getIsActive() ? "\61" : "\x30", "\x75\x73\145\x72\116\x61\155\x65" => $basicAuthEntity->getUserName(), "\167\x68\x69\x74\145\154\151\163\164\145\x64\x49\x70\x73" => $basicAuthEntity->getWhitelistedIps()]; goto a73d0; c6b5e: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\x65\163")); goto Fab68; fb5ab: $siteUpdater->updateNginxVhost(); goto ac211; Ad9dc: fbc48: goto Ef7d8; bf8e0: $basicAuthEntity = $form->getData(); goto Be682; a5045: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\145\137\x73\145\x63\165\162\x69\164\x79", ["\x64\x6f\155\x61\151\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto f66c0; E96ca: $session = $request->getSession(); goto Bfeb2; Be682: $siteEntity->setBasicAuth($basicAuthEntity); goto B4e71; B4e71: $site->setBasicAuth($basicAuthEntity); goto b312c; Fab68: goto B505a; goto Ad9dc; b312c: $this->siteEntityManager->updateEntity($siteEntity); goto D3a4c; D3a4c: $siteUpdater = $this->getSiteUpdater($site); goto ea7bf; Bfeb2: $domainName = $site->getDomainName(); goto c22a6; ea7bf: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto fb5ab; a73d0: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto B13e6; ac211: $siteUpdater->reloadNginxService(); goto aea04; aa677: if (false === is_null($siteEntity)) { goto fbc48; } goto c6b5e; a0e1e: return $response; goto D60cb; B13e6: $session->getFlashBag()->set("\163\165\x63\x63\145\x73\x73", $this->translator->trans("\102\x61\x73\151\x63\x20\101\165\164\x68\145\x6e\x74\x69\x63\141\164\x69\x6f\x6e\40\163\x65\x74\164\151\x6e\147\163\40\x68\x61\166\x65\40\x62\145\145\x6e\x20\x73\x61\166\x65\144\56")); goto a5045; D60cb: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\x72", $this->translator->trans("\x41\x6e\40\x65\162\x72\x6f\162\40\x68\x61\x73\40\157\143\x63\165\162\x72\145\x64\54\40\x65\x72\162\x6f\162\40\155\145\163\163\141\147\x65\x3a\40\x25\x65\162\162\x6f\x72\115\145\163\163\x61\147\145\45", ["\x25\x65\x72\x72\157\162\x4d\145\163\163\x61\x67\145\45" => $e->getMessage()])); } goto A1ad9; C5c38: if (true === $form->isValid()) { goto E7c4c; } goto d0888; d42fd: E7c4c: goto f99fd; c2ca6: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto efa5c; b4289: B38e6: goto F06fe; dbd59: $this->formErrors = $this->getErrorMessages($form); goto E567d; E567d: goto B38e6; goto F0ea3; F0ea3: d17ee: goto D638b; efa5c: if (true === $form->isValid()) { goto d17ee; } goto dbd59; D638b: try { goto d9562; F1979: $siteUpdater = $this->getSiteUpdater($site); goto F5e26; a2f9a: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto fa891; b2270: $this->siteEntityManager->updateEntity($siteEntity); goto F1979; Cf2be: $siteUpdater->reloadNginxService(); goto a2b8a; d6615: return $response; goto Cb50f; d9562: $session = $request->getSession(); goto f9528; A571f: c27a9: goto d6615; F0693: $allowTrafficFromCloudflareOnly = $form->get("\141\x6c\154\157\x77\124\x72\141\146\146\x69\143\x46\x72\x6f\x6d\x43\154\x6f\x75\x64\x66\x6c\x61\x72\145\x4f\156\x6c\171")->getData(); goto a2f9a; ff583: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\x73\163", $this->translator->trans("\x43\x6c\157\x75\144\x66\154\141\162\x65\x20\163\x65\x74\x74\151\x6e\147\x73\40\150\141\166\x65\x20\x62\x65\145\156\x20\x73\141\x76\145\x64\56")); goto ec673; ec673: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\164\145\137\x73\145\x63\165\162\151\x74\x79", ["\144\x6f\x6d\x61\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto A571f; E7b53: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\145\163")); goto e3939; e09ab: $siteEntity = $this->getSiteEntity($domainName); goto E90e4; e3939: goto c27a9; goto bd41e; Df906: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto ff583; f9528: $domainName = $site->getDomainName(); goto e09ab; F5e26: $siteUpdater->updateNginxVhost(); goto Cf2be; fa891: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto b2270; D2857: $user = $this->getUser(); goto F0693; a2b8a: $eventData = ["\x73\x69\164\x65" => $domainName, "\x61\154\154\x6f\x77\124\162\x61\146\x66\151\143\x46\x72\x6f\x6d\103\x6c\157\x75\144\146\154\x61\162\145\117\156\154\171" => true === $allowTrafficFromCloudflareOnly ? "\x31" : "\x30"]; goto Df906; E90e4: if (false === is_null($siteEntity)) { goto C692f; } goto E7b53; bd41e: C692f: goto D2857; Cb50f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\101\156\x20\x65\162\162\157\x72\x20\150\141\163\x20\x6f\x63\x63\165\x72\162\145\144\x2c\x20\x65\162\162\x6f\x72\x20\x6d\145\x73\x73\141\147\145\72\40\x25\x65\162\162\x6f\x72\x4d\x65\163\163\141\147\x65\45", ["\x25\x65\162\x72\157\162\115\x65\x73\163\x61\147\145\45" => $e->getMessage()])); } goto b4289; F06fe: } public function newBlockedIp(Request $request) : Response { goto B7c2b; F73e2: $response = $this->handleBlockedIpForm($request, $form, $site); goto B9ff9; d9267: df0bc: goto bf87e; A2bd2: $blockedIpEntity->setSite($siteEntity); goto feb9e; f0881: Fcade: goto e73b8; eb687: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto df0bc; } goto a2bc8; B7c2b: $site = $this->getSite($request); goto D6913; C6446: goto Fcade; goto d379c; e73b8: return $response; goto ac147; fe42e: if (!(true === $form->isSubmitted())) { goto Fa96c; } goto F73e2; F9c45: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto A2bd2; fd9a7: Fa96c: goto d9267; bf87e: $response = $this->render("\x46\x72\x6f\x6e\164\145\x6e\x64\57\123\x69\x74\x65\57\156\145\x77\x2d\142\x6c\x6f\x63\x6b\145\144\55\151\x70\56\150\164\155\154\56\164\x77\x69\x67", ["\x73\151\164\x65" => $site, "\x66\157\162\x6d" => $form->createView(), "\x66\157\x72\155\x45\x72\162\x6f\x72\x73" => $this->formErrors]); goto f0881; feb9e: $form = $this->createBlockedIpForm($blockedIpEntity); goto eb687; F50ff: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto F9c45; E77e8: return $response; goto Ce71c; d379c: Aa71c: goto F50ff; a2bc8: $form->handleRequest($request); goto fe42e; B7a6d: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\x74\145\163")); goto C6446; B9ff9: if (!(false === is_null($response))) { goto E9afb; } goto E77e8; Ce71c: E9afb: goto fd9a7; D6913: if (false === is_null($site)) { goto Aa71c; } goto B7a6d; ac147: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto Fd993; C7462: return $form; goto D052e; Fd993: $siteEntity = $blockedIpEntity->getSite(); goto Cdd6b; be8b1: $form->add("\163\x75\142\x6d\151\164", SubmitType::class, ["\141\x74\x74\162" => ["\x63\x6c\x61\163\x73" => "\142\x74\x6e\40\142\x74\x6e\55\142\x6c\165\x65\40\x62\164\x6e\x2d\x6c\147"], "\x6c\141\142\145\154" => "\x41\144\144\40\x49\x50"]); goto C7462; Cdd6b: $form = $this->createForm("\x41\x70\x70\134\106\x6f\x72\155\x5c\x53\151\164\145\102\154\x6f\x63\x6b\x65\x64\x49\x50\124\171\x70\x65", $blockedIpEntity, ["\141\143\164\151\157\x6e" => $this->generateUrl("\143\154\160\137\x73\x69\x74\145\x5f\163\145\143\165\x72\151\164\x79\137\x62\x6c\157\x63\x6b\145\x64\x5f\151\x70\137\x6e\x65\x77", ["\x64\157\x6d\x61\151\156\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\164\x68\x6f\x64" => "\x50\117\123\124", "\x61\x74\x74\x72" => []]); goto be8b1; D052e: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto D9f9b; Ea317: $this->formErrors = $this->getErrorMessages($form); goto B7cdc; C48d7: try { goto e54b0; bb4df: $eventData = ["\163\x69\164\x65" => $domainName, "\151\160" => $blockedIp->getIp()]; goto Da9e2; Cfd01: $domainName = $site->getDomainName(); goto C8b4a; d7e08: b6bed: goto F6fb4; b0dfa: fdc80: goto af084; fa629: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\x74\145\x5f\x73\x65\143\x75\162\151\164\x79", ["\x64\x6f\155\x61\151\156\116\141\155\145" => $site->getDomainName()])); goto b0dfa; C13a0: $siteUpdater->reloadNginxService(); goto bb4df; de12a: $blockedIp = $form->getData(); goto c5eaf; Bd6f8: if (false === is_null($siteEntity)) { goto b6bed; } goto fec40; c5eaf: $siteEntity->addBlockedIp($blockedIp); goto C8566; Da9e2: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto b4bca; d39fb: $siteUpdater = $this->getSiteUpdater($site); goto dd319; f311a: goto fdc80; goto d7e08; fec40: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\163")); goto f311a; C8566: $this->siteEntityManager->updateEntity($siteEntity); goto d39fb; F6fb4: $user = $this->getUser(); goto de12a; dd319: $siteUpdater->updateNginxVhost(); goto C13a0; b4bca: $session->getFlashBag()->set("\163\165\143\143\145\x73\x73", $this->translator->trans("\x49\120\x20\x68\141\x73\x20\x62\145\145\x6e\x20\x61\144\x64\145\144\56")); goto fa629; C8b4a: $siteEntity = $this->getSiteEntity($domainName); goto Bd6f8; e54b0: $session = $request->getSession(); goto Cfd01; af084: return $response; goto b67fb; b67fb: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\162", $this->translator->trans("\x41\156\40\145\x72\x72\x6f\x72\x20\150\x61\163\40\x6f\x63\x63\x75\162\x72\145\x64\x2c\x20\145\x72\162\x6f\x72\40\x6d\x65\x73\x73\x61\147\145\72\x20\x25\x65\x72\x72\157\162\115\x65\163\163\x61\x67\145\45", ["\45\145\162\162\157\162\115\x65\163\x73\x61\147\145\45" => $e->getMessage()])); } goto b7c20; B7cdc: goto Eb850; goto d4ec5; d4ec5: F7f33: goto C48d7; D9f9b: if (true === $form->isValid()) { goto F7f33; } goto Ea317; b7c20: Eb850: goto C089e; C089e: } public function deleteBlockedIp(Request $request) : Response { goto a2fa1; E429a: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\x73")); goto a3165; a2fa1: $site = $this->getSite($request); goto e0c94; C6430: c4b4d: goto E429a; B4ada: try { goto b7028; fb386: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto a08a1; e40c6: $siteUpdater = $this->getSiteUpdater($site); goto a3eca; D0bc8: $eventData = ["\x73\151\x74\x65" => $domainName, "\x69\160" => $blockedIpEntity->getIp()]; goto fb386; C0eac: $domainName = $site->getDomainName(); goto Ecb50; b7028: $session = $request->getSession(); goto eae18; Dccb6: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto dcaa5; eae18: $id = (int) $request->get("\151\x64"); goto C0eac; D272c: $user = $this->getUser(); goto f7fc4; Ecb50: $siteEntity = $this->getSiteEntity($domainName); goto Dccb6; a3eca: $siteUpdater->updateNginxVhost(); goto E0dc9; cd9f7: $this->siteEntityManager->updateEntity($siteEntity); goto e40c6; f7fc4: $siteEntity->removeBlockedIp($blockedIpEntity); goto cd9f7; A2470: return $response; goto f4551; dcaa5: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto a4158; } goto D272c; D729c: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\145\x5f\163\145\143\x75\162\x69\x74\x79", ["\144\157\155\141\151\156\116\141\x6d\145" => $site->getDomainName()])); goto A2470; f4551: a4158: goto bf1ad; E0dc9: $siteUpdater->reloadNginxService(); goto D0bc8; a08a1: $session->getFlashBag()->set("\163\165\x63\x63\145\163\x73", $this->translator->trans("\111\120\x20\x68\141\x73\x20\142\x65\x65\156\40\x64\x65\154\x65\164\x65\144\x2e")); goto D729c; bf1ad: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\157\x72\40\x68\x61\x73\x20\157\x63\x63\165\x72\x72\145\144\x2c\40\x65\x72\162\x6f\x72\40\155\145\163\x73\141\147\145\x3a\40\45\x65\x72\x72\157\x72\x4d\x65\x73\163\x61\x67\145\x25", ["\45\x65\162\162\157\162\x4d\145\163\163\x61\147\145\x25" => $e->getMessage()])); } goto C6430; d12f0: if (!(false === is_null($site))) { goto c4b4d; } goto B4ada; a3165: return $response; goto ff637; e0c94: $this->checkCsrfToken($request, "\x69\x70\55\144\145\154\x65\x74\145"); goto d12f0; ff637: } public function newBlockedBot(Request $request) : Response { goto B779a; aa134: if (false === is_null($site)) { goto Bf8fa; } goto b8b35; a047d: return $response; goto e1d84; Ed078: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto B48e1; B48e1: $blockedBotEntity->setSite($siteEntity); goto cea3c; ce915: Bf8fa: goto Eda63; d4dd3: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto E410a; } goto E96b7; c15cd: ff62c: goto ec2ce; Da551: c3c59: goto e7aa1; e1d84: Beadf: goto c15cd; d1598: goto c3c59; goto ce915; C490c: if (!(true === $form->isSubmitted())) { goto ff62c; } goto Af9c8; Eda63: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ed078; e7aa1: return $response; goto ac607; cea3c: $form = $this->createBlockedBotForm($blockedBotEntity); goto d4dd3; B779a: $site = $this->getSite($request); goto aa134; ec2ce: E410a: goto Df743; b8b35: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\145\x73")); goto d1598; adb1e: if (!(false === is_null($response))) { goto Beadf; } goto a047d; Af9c8: $response = $this->handleBlockedBotForm($request, $form, $site); goto adb1e; Df743: $response = $this->render("\106\162\157\x6e\x74\x65\x6e\144\x2f\123\x69\x74\x65\57\156\x65\167\x2d\x62\x6c\157\143\153\x65\144\55\x62\157\164\x2e\150\x74\155\x6c\56\164\x77\x69\147", ["\x73\x69\164\x65" => $site, "\x66\157\162\155" => $form->createView(), "\146\x6f\x72\x6d\x45\162\162\x6f\x72\163" => $this->formErrors]); goto Da551; E96b7: $form->handleRequest($request); goto C490c; ac607: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto fcc76; A1e0e: $form->add("\x73\165\x62\155\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\x6c\141\163\163" => "\142\x74\x6e\x20\142\x74\x6e\x2d\x62\x6c\165\145\x20\x62\164\156\x2d\154\147"], "\x6c\x61\x62\145\x6c" => "\x41\x64\x64\40\102\157\x74"]); goto A3a13; A3a13: return $form; goto bfa4a; fcc76: $siteEntity = $blockedBotEntity->getSite(); goto Aa81c; Aa81c: $form = $this->createForm("\x41\x70\160\x5c\x46\x6f\162\x6d\134\123\151\x74\x65\102\x6c\x6f\x63\x6b\145\x64\102\157\x74\124\171\x70\145", $blockedBotEntity, ["\x61\x63\164\x69\157\x6e" => $this->generateUrl("\143\x6c\x70\137\x73\151\164\145\137\x73\x65\x63\165\162\x69\x74\171\137\142\154\x6f\x63\x6b\145\144\x5f\x62\157\164\x5f\156\145\167", ["\x64\157\155\x61\151\156\116\141\155\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\150\157\x64" => "\x50\x4f\123\124", "\x61\x74\x74\x72" => []]); goto A1e0e; bfa4a: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto Ba158; e1868: try { goto e4e85; C9162: $this->siteEntityManager->updateEntity($siteEntity); goto ffb6c; a7a62: return $response; goto Ef1ee; b6f17: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\x65\x73")); goto df09f; a1de2: $siteEntity = $this->getSiteEntity($domainName); goto B8859; b332f: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\x65\x5f\x73\x65\143\x75\x72\151\x74\x79", ["\x64\157\155\141\151\156\116\x61\x6d\x65" => $site->getDomainName()])); goto F67db; ffb6c: $siteUpdater = $this->getSiteUpdater($site); goto a5f79; a5f79: $siteUpdater->updateNginxVhost(); goto f62ce; Be640: $siteEntity->addBlockedBot($blockedBot); goto C9162; df09f: goto A71ef; goto E07ab; B8859: if (false === is_null($siteEntity)) { goto C54dc; } goto b6f17; C498b: $session->getFlashBag()->set("\x73\165\x63\143\145\163\163", $this->translator->trans("\x42\x6f\x74\x20\x68\141\x73\40\x62\145\145\x6e\x20\x61\144\x64\x65\144\x2e")); goto b332f; E07ab: C54dc: goto D3d84; E5540: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto C498b; f62ce: $siteUpdater->reloadNginxService(); goto cc7e2; F67db: A71ef: goto a7a62; e4e85: $session = $request->getSession(); goto A9ca7; cc7e2: $eventData = ["\163\x69\x74\145" => $domainName, "\x6e\141\x6d\x65" => $blockedBot->getName()]; goto E5540; f0480: $blockedBot = $form->getData(); goto Be640; A9ca7: $domainName = $site->getDomainName(); goto a1de2; D3d84: $user = $this->getUser(); goto f0480; Ef1ee: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\101\156\x20\145\162\x72\x6f\x72\40\150\x61\x73\x20\157\x63\143\165\x72\x72\x65\144\54\x20\145\162\x72\157\x72\40\155\145\163\163\141\147\145\72\x20\45\145\162\162\x6f\x72\x4d\x65\x73\x73\141\x67\145\45", ["\45\x65\x72\162\x6f\x72\x4d\x65\163\163\141\147\145\45" => $e->getMessage()])); } goto Ecdc8; f3bcf: $this->formErrors = $this->getErrorMessages($form); goto A4c0f; Ecdc8: D41ec: goto f6945; Ba158: if (true === $form->isValid()) { goto dbc6b; } goto f3bcf; A4c0f: goto D41ec; goto Bb708; Bb708: dbc6b: goto e1868; f6945: } public function deleteBlockedBot(Request $request) : Response { goto D9b6a; Aa2cd: try { goto e61d2; b6398: $siteEntity->removeBlockedBot($blockedBotEntity); goto dcefa; dcc87: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\145\137\x73\145\143\x75\162\151\164\171", ["\144\157\155\141\151\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto Dc06b; Ebb93: $domainName = $site->getDomainName(); goto d1bfb; c1d96: $eventData = ["\x73\x69\x74\x65" => $domainName, "\156\x61\x6d\x65" => $blockedBotEntity->getName()]; goto E3bbf; d1bfb: $siteEntity = $this->getSiteEntity($domainName); goto c39e7; dcefa: $this->siteEntityManager->updateEntity($siteEntity); goto De7fc; E3bbf: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto ed487; b9993: $id = (int) $request->get("\151\144"); goto Ebb93; ed487: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\x42\157\x74\x20\x68\141\x73\40\142\145\x65\x6e\40\144\145\154\x65\x74\145\144\x2e")); goto dcc87; adf61: e8071: goto C982c; e61d2: $session = $request->getSession(); goto b9993; d8782: $siteUpdater->updateNginxVhost(); goto Dcb38; Dcb38: $siteUpdater->reloadNginxService(); goto c1d96; f3de3: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto e8071; } goto Ddff9; c39e7: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto f3de3; De7fc: $siteUpdater = $this->getSiteUpdater($site); goto d8782; Dc06b: return $response; goto adf61; Ddff9: $user = $this->getUser(); goto b6398; C982c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\x20\x65\162\162\157\x72\40\150\141\x73\x20\x6f\x63\143\x75\x72\x72\145\x64\x2c\40\x65\162\x72\157\162\x20\155\145\x73\x73\141\x67\145\x3a\x20\x25\145\x72\x72\x6f\x72\x4d\145\163\x73\x61\147\145\x25", ["\45\x65\x72\162\x6f\162\115\145\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto bcd97; Fdab3: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\164\145\x73")); goto c110d; c110d: return $response; goto E5fc0; D9b6a: $site = $this->getSite($request); goto b157f; bcd97: C63da: goto Fdab3; ed735: if (!(false === is_null($site))) { goto C63da; } goto Aa2cd; b157f: $this->checkCsrfToken($request, "\x62\157\164\x2d\x64\145\x6c\145\x74\x65"); goto ed735; E5fc0: } public function certificates(Request $request) : Response { goto bfe5f; d0418: goto F52b3; goto dd672; ac75a: $certificates = $site->getCertificates(); goto B8c36; B45e9: if (false === is_null($site)) { goto F0980; } goto Ba44a; f403e: $installedCertificate = $site->getCertificate(); goto ac75a; B8c36: $response = $this->render("\x46\162\157\156\164\145\x6e\144\57\123\x69\x74\x65\57\x63\x65\162\x74\151\x66\x69\x63\x61\x74\145\163\56\x68\x74\155\x6c\x2e\x74\167\151\147", ["\x73\x69\x74\x65" => $site, "\x69\x6e\x73\164\x61\154\x6c\x65\x64\103\x65\x72\x74\x69\x66\x69\143\141\164\x65" => $installedCertificate, "\143\x65\162\164\151\x66\x69\x63\141\164\145\163" => $certificates]); goto c7306; bfe5f: $site = $this->getSite($request); goto B45e9; c7306: F52b3: goto Cb464; Cb464: return $response; goto fca50; dd672: F0980: goto f403e; Ba44a: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\x74\145\163")); goto d0418; fca50: } public function importCertificate(Request $request) : Response { goto f8962; Ccb97: $response = $this->render("\106\162\x6f\x6e\x74\x65\x6e\x64\57\123\x69\164\145\x2f\151\x6d\160\157\x72\164\55\143\x65\x72\x74\151\146\151\143\141\x74\x65\x2e\x68\164\x6d\154\56\x74\x77\151\147", ["\x73\x69\x74\x65" => $site, "\x66\157\x72\x6d" => $form->createView(), "\146\x6f\x72\x6d\105\x72\162\x6f\162\x73" => $this->formErrors]); goto ac5bf; B79da: fb7a2: goto A82d4; d506b: F51fc: goto Ccb97; Ff187: if (!(true === $form->isSubmitted())) { goto b7979; } goto d6803; b40c3: $form = $this->createImportCertificateForm($certificateEntity); goto E3f34; f209d: goto Eb805; goto Dd940; A82d4: b7979: goto d506b; Df9d1: $certificateEntity = $this->certificateEntityManager->createEntity(); goto cfdde; Dd940: a5d7d: goto ae6f5; d70c4: $certificateEntity->setSite($siteEntity); goto b40c3; d6803: $response = $this->handleImportCertificateForm($request, $form, $site); goto D90ea; B9419: $form->handleRequest($request); goto Ff187; cfdde: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto d70c4; d50b2: return $response; goto B79da; D90ea: if (!(false === is_null($response))) { goto fb7a2; } goto d50b2; E4161: return $response; goto Dbadd; A0652: if (false === is_null($site)) { goto a5d7d; } goto b445c; ac5bf: Eb805: goto E4161; f8962: $site = $this->getSite($request); goto A0652; E3f34: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto F51fc; } goto B9419; b445c: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\x74\x65\x73")); goto f209d; ae6f5: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Df9d1; Dbadd: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto b99d2; c15db: $form->add("\x73\x75\x62\x6d\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\143\154\x61\163\163" => "\x62\164\x6e\x20\x62\x74\x6e\x2d\x62\154\x75\x65\40\142\164\x6e\55\154\147"], "\154\141\142\145\x6c" => "\111\x6d\x70\157\162\x74\x20\141\x6e\x64\40\x49\156\x73\164\x61\154\154"]); goto Ee87a; b99d2: $siteEntity = $certificateEntity->getSite(); goto Aa74b; Ee87a: return $form; goto D0ccd; Aa74b: $form = $this->createForm("\x41\x70\x70\x5c\106\157\x72\x6d\x5c\123\151\x74\145\111\x6d\x70\157\162\164\x43\x65\x72\x74\151\146\x69\143\x61\164\145\124\171\x70\145", $certificateEntity, ["\141\x63\164\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\160\137\163\x69\164\x65\137\143\x65\162\164\x69\146\151\143\141\164\x65\x5f\x69\x6d\x70\157\x72\164", ["\144\157\155\141\151\156\116\141\155\145" => $siteEntity->getDomainName()]), "\155\145\x74\x68\157\x64" => "\x50\117\123\124", "\x61\x74\164\162" => []]); goto c15db; D0ccd: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto e5382; Bbdd7: C0bf0: goto d0934; e5382: if (true === $form->isValid()) { goto B1077; } goto F2e15; E1a4b: try { goto e7533; B667e: $domainName = $site->getDomainName(); goto af2b1; a797d: $evenData = ["\x73\x69\x74\x65" => $domainName]; goto c097c; A098f: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\x5f\x63\145\162\x74\151\146\x69\143\x61\164\x65\163", ["\x64\x6f\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto a031f; abf71: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\145\x73")); goto A10c8; A10c8: goto a491f; goto cc0de; D0994: $siteEntity->addCertificate($certificateEntity); goto f105f; Dc2d4: return $response; goto Aa7c1; a031f: a491f: goto Dc2d4; e7533: $session = $request->getSession(); goto B667e; b806d: $session->getFlashBag()->set("\163\x75\143\143\145\163\163", $this->translator->trans("\x43\145\x72\164\x69\x66\151\143\141\164\145\40\150\x61\163\40\x62\x65\x65\x6e\x20\151\x6e\x73\x74\141\x6c\154\145\x64\56")); goto A098f; cc0de: D61ba: goto C4747; af2b1: $siteEntity = $this->getSiteEntity($domainName); goto cca48; c097c: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto b806d; a37df: $siteUpdater = $this->getSiteUpdater($site); goto A2dcf; A2dcf: $siteUpdater->installCertificate($certificateEntity); goto f55e4; f55e4: $siteEntity->setCertificate($certificateEntity); goto D0994; C4747: $user = $this->getUser(); goto Ba5ea; Ba5ea: $certificateEntity = $form->getData(); goto a37df; f105f: $this->siteEntityManager->updateEntity($siteEntity); goto a797d; cca48: if (false === is_null($siteEntity)) { goto D61ba; } goto abf71; Aa7c1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\101\x6e\40\x65\162\x72\157\162\40\x68\x61\x73\40\x6f\x63\x63\165\x72\x72\x65\144\54\x20\145\x72\x72\x6f\x72\40\x6d\145\163\x73\141\147\145\72\40\x25\x65\162\162\157\x72\x4d\145\163\163\141\147\145\x25", ["\x25\145\162\162\157\162\x4d\x65\x73\163\x61\147\145\45" => $e->getMessage()])); } goto Bbdd7; d1c2f: goto C0bf0; goto f28e9; f28e9: B1077: goto E1a4b; F2e15: $this->formErrors = $this->getErrorMessages($form); goto d1c2f; d0934: } public function newLetsEncryptCertificate(Request $request) : Response { goto B23d3; A8361: $response = $this->render("\x46\x72\157\x6e\x74\145\x6e\x64\57\x53\x69\164\x65\57\156\x65\x77\x2d\154\145\x74\163\x2d\x65\156\x63\162\x79\160\x74\x2d\x63\145\162\x74\x69\146\x69\143\141\164\145\x2e\150\164\x6d\x6c\x2e\x74\167\x69\147", ["\x73\x69\164\x65" => $site, "\144\157\155\x61\151\x6e\163" => $domains, "\x66\157\x72\x6d" => $form->createView(), "\x66\x6f\162\x6d\105\x72\x72\x6f\x72\163" => $this->formErrors]); goto a9128; D4c3c: $subdomain = $resolvedDomainName->subDomain()->toString(); goto f144b; e7073: $domainName = $site->getDomainName(); goto f2c7b; b8fd3: return $response; goto b67d3; af03a: A8c42: goto dbb91; a3c4b: $domains = [$domainName]; goto E5ac5; f2c7b: $form = $this->createLetsEncryptCertificateForm($domainName); goto F6b21; a9128: B4738: goto f447f; C77f2: $domains = array_unique($domains); goto c69d2; dbb91: goto f224e; goto e714a; B23d3: $site = $this->getSite($request); goto Ab90d; B5063: f224e: goto A8361; b67d3: ab7e2: goto C851a; F6b21: $domains = []; goto b13fc; E5ac5: goto A8c42; goto Ec293; C851a: E3caa: goto B5063; fb087: D3beb: goto e7073; c1974: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\145\x73")); goto Efa6c; A3416: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto E596e; f6063: $domains = (array) $request->get("\144\x6f\155\x61\x69\x6e\163"); goto E7f62; c69d2: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto dd54a; dd54a: if (!(false === is_null($response))) { goto ab7e2; } goto b8fd3; e714a: Efcd6: goto d2d6f; e9073: if (true === is_null($subdomain) || "\167\167\167" == $subdomain) { goto D06db; } goto a3c4b; E596e: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto D4c3c; d2d6f: $form->handleRequest($request); goto edb6a; E7f62: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto A55e2; Efa6c: goto B4738; goto fb087; edb6a: if (!(true === $form->isSubmitted())) { goto E3caa; } goto f6063; f447f: return $response; goto e5038; f144b: $subdomain = false === empty($subdomain) ? $subdomain : null; goto e9073; Ab90d: if (false === is_null($site)) { goto D3beb; } goto c1974; b13fc: if (true === $request->isMethod("\x50\117\123\x54")) { goto Efcd6; } goto A3416; ffb7e: $domains = [$registrableDomain, sprintf("\x77\167\167\56\x25\163", $registrableDomain)]; goto af03a; Ec293: D06db: goto ffb7e; A55e2: $domains = array_map("\164\x72\151\155", $domains); goto C77f2; e5038: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto C1ffc; C1ffc: $form = $this->createForm("\x41\x70\160\134\106\x6f\162\155\134\123\x69\x74\145\114\x65\x74\x73\105\156\143\162\x79\x70\164\x43\x65\x72\x74\151\146\x69\143\141\164\x65\x54\x79\160\145", [], ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\137\154\145\x74\x73\x5f\x65\x6e\x63\162\171\160\x74\137\x63\x65\162\x74\151\x66\151\143\x61\x74\x65\137\156\x65\x77", ["\x64\157\155\x61\151\156\116\141\x6d\x65" => $domainName]), "\x6d\x65\x74\150\x6f\144" => "\x50\x4f\x53\124", "\x61\x74\x74\162" => ["\x69\144" => "\x63\x72\x65\x61\x74\145\x2d\x6c\x65\x74\163\x2d\145\x6e\143\x72\x79\160\x74\55\x63\x65\162\x74\x69\x66\151\143\x61\164\145\55\x66\157\162\155"]]); goto c15ef; Cd5be: return $form; goto Ce7ac; c15ef: $form->add("\163\165\142\x6d\x69\x74", SubmitType::class, ["\141\x74\x74\162" => ["\x63\x6c\x61\x73\163" => "\x62\164\x6e\40\x62\x74\156\55\x62\154\165\x65\40\x62\x74\156\55\x6c\x67"], "\x6c\x61\142\x65\154" => "\103\162\x65\x61\x74\145\x20\141\156\x64\40\x49\x6e\x73\164\x61\154\x6c"]); goto Cd5be; Ce7ac: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto f0083; fec27: $this->formErrors = $this->getErrorMessages($form); goto A9c95; f0083: if (!(true === $form->isValid())) { goto f1238; } goto deedf; deedf: try { goto c1e5f; f3872: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto D73d9; fa32a: goto E9dcd; goto b0129; f1cc0: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto d91f8; Fc24f: $csr = $csrGenerator->generate(); goto B2dcf; d75d4: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto Cdf85; d91f8: $certificateEntity->setSite($siteEntity); goto F1243; D56ce: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto Fc24f; C0970: goto b47b4; goto B4620; C27e7: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\164\145\x5f\x63\x65\x72\164\151\146\151\x63\x61\164\x65\x73", ["\144\x6f\x6d\141\x69\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto cb715; Fae45: $letsEncryptClient->registerAccount(); goto d75d4; D73d9: $rsaKeyGenerator = new RsaKeyGenerator(); goto E9bb4; fff4a: $letsEncryptClient = new LetsEncryptClient($privateKey); goto e7447; e7447: $letsEncryptClient->setDryRun(true); goto d0f7e; c216d: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto ec68a; D59ec: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto a052d; b34df: $certificateEntity = $this->certificateEntityManager->createEntity(); goto f1cc0; e9807: $siteUpdater = $this->getSiteUpdater($site); goto b5ebb; B4620: db0ba: goto Dffca; c1e5f: $session = $request->getSession(); goto e60dc; D1534: $siteEntity->addCertificate($certificateEntity); goto ba3c2; cb735: $distinguishedNameDomains = $domains; goto bdd4a; Aae02: if (!(true === empty($validationErrors))) { goto c82fc; } goto D3614; Dffca: $user = $this->getUser(); goto D69d4; Aa11b: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto c5c4c; E8efc: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto d0ee7; b5ebb: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto E8efc; F8931: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\x65\x73")); goto df515; E2392: if (true === empty($validationErrors)) { goto E0274; } goto cd777; A7741: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto Aa11b; F8e33: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto fff4a; e60dc: $domainName = $site->getDomainName(); goto C27b0; d0ee7: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto Aae02; da3e7: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto Be757; c5c4c: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto F84a5; Cdf85: $siteUpdater = $this->getSiteUpdater($site); goto A7741; F1243: $certificateEntity->setCsr($certificate->getCsr()); goto c216d; a052d: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\163", $this->translator->trans("\103\x65\162\x74\x69\x66\x69\143\141\x74\145\x20\150\x61\x73\x20\142\x65\145\156\40\151\156\x73\x74\x61\x6c\x6c\145\144\56")); goto C27e7; d2a1d: $siteEntity->setCertificate($certificateEntity); goto D1534; cd777: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\163\72\40\45\x73", $domain, $validationErrorMessage))); Fc9d9: } goto E54e8; ec68a: $certificateEntity->setCertificate($certificate->getCertificate()); goto da3e7; Cfe50: $evenData = ["\163\151\x74\x65" => $domainName]; goto D59ec; ad7aa: if (false === is_null($siteEntity)) { goto db0ba; } goto F8931; B2dcf: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto b34df; bdd4a: $commonName = array_shift($distinguishedNameDomains); goto f3872; D69d4: $letsEncryptPrivateKey = $this->configManager->get("\154\145\x5f\x70\162\x69\x76\x61\164\145\137\x6b\x65\x79"); goto F8e33; df515: return $response; goto C0970; E38da: b47b4: goto E5032; Be757: $siteUpdater = $this->getSiteUpdater($site); goto e72f4; b0129: E0274: goto cb735; d0f7e: $letsEncryptClient->registerAccount(); goto C6301; e72f4: $siteUpdater->installCertificate($certificateEntity); goto d2a1d; F84a5: c82fc: goto E2392; D3614: $letsEncryptClient = new LetsEncryptClient($privateKey); goto Fae45; C27b0: $siteEntity = $this->getSiteEntity($domainName); goto ad7aa; C6301: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto e9807; f14c0: E9dcd: goto E38da; ba3c2: $this->siteEntityManager->updateEntity($siteEntity); goto Cfe50; E9bb4: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto D56ce; cb715: return $response; goto f14c0; E54e8: Cb1f4: goto fa32a; E5032: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\x72", $this->translator->trans("\x41\x6e\x20\145\x72\162\x6f\x72\40\150\x61\163\40\157\x63\x63\x75\162\162\x65\x64\x2c\40\x65\162\162\x6f\x72\x20\x6d\x65\x73\x73\141\147\x65\72\40\45\x65\x72\x72\157\162\115\145\x73\163\141\147\x65\45", ["\45\145\162\162\157\162\x4d\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto A4dcf; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); A4dcf: } goto Bba1f; Bba1f: f1238: goto fec27; A9c95: } public function installCertificate(Request $request) : Response { goto b1802; f1550: try { goto E40b8; ff5da: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto b91cf; be036: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto ebd4e; ebd4e: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\x73", $this->translator->trans("\103\x65\162\164\151\146\x69\x63\141\x74\x65\40\x68\141\163\x20\142\x65\x65\x6e\x20\151\x6e\163\x74\x61\x6c\154\145\x64\x2e")); goto Ba2ab; ef81e: $domainName = $site->getDomainName(); goto d6408; edf5e: $evenData = ["\x73\x69\x74\x65" => $domainName]; goto be036; Fee27: return $response; goto b8f79; df626: $siteUpdater = $this->getSiteUpdater($site); goto c68a3; Da467: $uid = $request->get("\x75\x69\x64"); goto ef81e; e478f: $this->siteEntityManager->updateEntity($siteEntity); goto edf5e; Baa4f: $siteEntity->setCertificate($certificateEntity); goto e478f; c68a3: $siteUpdater->installCertificate($certificateEntity); goto Baa4f; b8f79: Adf29: goto F20b7; d6408: $siteEntity = $this->getSiteEntity($domainName); goto ff5da; Cbc51: $user = $this->getUser(); goto df626; F47d7: $certificateSiteEntity = $certificateEntity->getSite(); goto De180; De180: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto Adf29; } goto Cbc51; E40b8: $session = $request->getSession(); goto Da467; b91cf: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto f7167; } goto F47d7; F20b7: f7167: goto ff028; Ba2ab: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\x65\x5f\x63\145\x72\x74\151\x66\x69\x63\141\164\x65\x73", ["\144\157\155\141\x69\156\x4e\141\155\x65" => $site->getDomainName()])); goto Fee27; ff028: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\x72", $this->translator->trans("\101\156\40\x65\x72\162\x6f\162\40\x68\141\x73\x20\x6f\x63\x63\165\162\162\x65\144\54\40\x65\162\x72\157\x72\x20\155\x65\163\163\141\x67\145\72\x20\x25\x65\x72\162\x6f\x72\115\x65\x73\x73\141\x67\x65\x25", ["\45\x65\x72\x72\157\x72\115\x65\x73\x73\x61\x67\145\x25" => $e->getMessage()])); } goto A0b4d; A0b4d: e4742: goto C1578; f48c9: return $response; goto a8a70; b1802: $site = $this->getSite($request); goto cc3b0; C1578: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\145\163")); goto f48c9; cc3b0: if (!(false === is_null($site))) { goto e4742; } goto f1550; a8a70: } public function deleteCertificate(Request $request) : Response { goto D3648; c40b0: try { goto F2f6a; f73bc: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\x5f\143\145\x72\x74\x69\146\x69\x63\x61\164\x65\x73", ["\x64\157\155\141\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto c1cc7; D301e: eb04c: goto D4215; c1cc7: return $response; goto D301e; fb207: $siteEntity->removeCertificate($certificateEntity); goto ee359; f5b25: $certificateSiteEntity = $certificateEntity->getSite(); goto c3bf5; F2f6a: $session = $request->getSession(); goto a5a1c; Ad3b6: $siteEntity = $this->getSiteEntity($domainName); goto ddd66; e8d8c: $evenData = ["\163\x69\164\x65" => $domainName]; goto Cffbd; Cffbd: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto C16f6; ee359: $this->siteEntityManager->updateEntity($siteEntity); goto e8d8c; f1146: $domainName = $site->getDomainName(); goto Ad3b6; Ea7cd: $user = $this->getUser(); goto fb207; C16f6: $session->getFlashBag()->set("\163\x75\143\143\145\x73\x73", $this->translator->trans("\103\x65\162\x74\151\146\151\x63\141\x74\x65\40\x68\141\163\x20\142\145\x65\x6e\40\x64\145\x6c\x65\164\x65\x64\56")); goto f73bc; c3bf5: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto eb04c; } goto Ea7cd; ddd66: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto ad1e2; ad1e2: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto d225a; } goto f5b25; a5a1c: $uid = $request->get("\165\x69\x64"); goto f1146; D4215: d225a: goto Bc420; Bc420: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\162", $this->translator->trans("\x41\x6e\x20\x65\x72\162\157\162\x20\x68\x61\x73\40\157\143\143\x75\162\x72\145\x64\54\x20\x65\x72\x72\157\162\x20\x6d\x65\163\x73\141\147\145\x3a\x20\x25\x65\162\x72\157\162\x4d\x65\x73\163\141\147\x65\45", ["\45\145\x72\x72\157\162\x4d\x65\163\163\141\147\x65\x25" => $e->getMessage()])); } goto F80e5; fdc60: return $response; goto e7758; b26df: if (!(false === is_null($site))) { goto D9f2e; } goto c40b0; B0a3d: $this->checkCsrfToken($request, "\x63\x65\162\164\151\146\x69\x63\x61\164\x65\x2d\144\145\154\145\x74\x65"); goto b26df; D3648: $site = $this->getSite($request); goto B0a3d; F80e5: D9f2e: goto E9970; E9970: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\x65\x73")); goto fdc60; e7758: } public function databases(Request $request) : Response { goto f7c81; E8c71: a2d92: goto C221e; C50c6: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); b5a3a: } goto f26a6; Ebaa9: goto a2d92; goto Dd285; f26a6: D8e57: goto Eeeb2; fa75b: $numberOfDatabaseUsers = 0; goto C50c6; B3871: $databases = $site->getDatabases(); goto Fc0f5; Ae385: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\164\145\x73")); goto Ebaa9; f7c81: $site = $this->getSite($request); goto E8e5d; E8e5d: if (false === is_null($site)) { goto Bd856; } goto Ae385; C221e: return $response; goto De3d9; Eeeb2: $response = $this->render("\x46\162\157\156\164\145\x6e\x64\57\123\x69\164\145\x2f\144\141\164\x61\142\141\x73\145\163\x2e\150\x74\155\154\x2e\x74\x77\151\x67", ["\163\x69\x74\x65" => $site, "\x64\141\x74\x61\x62\x61\x73\x65\163" => $databases, "\156\165\155\x62\145\162\117\146\x44\x61\x74\141\x62\x61\163\145\x55\x73\x65\162\163" => $numberOfDatabaseUsers, "\144\141\x74\141\142\x61\163\x65\x53\x65\162\166\145\x72" => $databaseServerEntity]); goto E8c71; Dd285: Bd856: goto B3871; Fc0f5: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto fa75b; De3d9: } public function newDatabase(Request $request) : Response { goto Bf8d9; B9d95: $response = $this->handleDatabaseForm($request, $form, $site); goto Cf7fc; Df677: B7cf4: goto ee160; b3116: return $response; goto dd04f; Cceac: $databaseEntity->setSite($siteEntity); goto Cc92e; B3789: return $response; goto f8d74; B2819: a0b9c: goto Df677; Bd67c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto ebdf6; becc2: goto F2af8; goto c3246; Cc92e: $form = $this->createDatabaseForm($site, $databaseEntity); goto c5503; ebdf6: $databaseEntity = $this->databaseEntityManager->createEntity(); goto Cceac; B877b: if (!(true === $form->isSubmitted())) { goto a0b9c; } goto B9d95; B45f2: if (false === is_null($site)) { goto f9a34; } goto e60f4; e60f4: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\x65\x73")); goto becc2; A00fa: F2af8: goto b3116; aaf8e: $form->handleRequest($request); goto B877b; f8d74: e8447: goto B2819; Cf7fc: if (!(false === is_null($response))) { goto e8447; } goto B3789; ee160: $response = $this->render("\x46\162\157\x6e\x74\145\x6e\x64\57\123\x69\164\145\57\x6e\x65\167\x2d\x64\x61\164\x61\142\141\x73\145\x2e\x68\x74\x6d\x6c\56\164\x77\151\x67", ["\x73\x69\x74\x65" => $site, "\146\x6f\162\x6d" => $form->createView(), "\146\157\162\155\x45\162\x72\x6f\162\x73" => $this->formErrors]); goto A00fa; Bf8d9: $site = $this->getSite($request); goto B45f2; c3246: f9a34: goto Bd67c; c5503: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto B7cf4; } goto aaf8e; dd04f: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto b2b9d; b3e1e: $form->add("\163\x75\x62\155\151\164", SubmitType::class, ["\x61\164\164\162" => ["\143\154\x61\163\163" => "\x62\164\x6e\40\x62\164\156\55\142\154\165\145\x20\x62\164\156\x2d\x6c\x67"], "\154\x61\x62\145\154" => "\101\144\x64\40\104\x61\x74\141\142\141\x73\145"]); goto A2500; A2500: return $form; goto f5574; b2b9d: $form = $this->createForm("\x41\160\x70\x5c\106\x6f\162\x6d\x5c\123\151\x74\x65\x44\x61\164\x61\x62\141\x73\x65\124\x79\160\145", $databaseEntity, ["\141\143\164\x69\157\156" => $this->generateUrl("\143\x6c\x70\x5f\x73\151\164\x65\137\144\141\x74\141\x62\x61\163\x65\x5f\x6e\145\x77", ["\x64\157\155\141\x69\x6e\116\141\x6d\x65" => $site->getDomainName()]), "\155\145\x74\x68\157\x64" => "\x50\x4f\123\x54", "\141\x74\x74\x72" => []]); goto b3e1e; f5574: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto af023; Ee9ea: e5fe3: goto B969e; b2adf: c32e2: goto D740d; af023: if (true === $form->isValid()) { goto e5fe3; } goto cfb36; a3a93: goto c32e2; goto Ee9ea; B969e: try { goto Dc88d; b0ea9: $databaseUserPassword = $form->get("\165\163\x65\x72\x50\x61\163\x73\x77\x6f\x72\x64")->getData(); goto A5452; Efd04: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto fe7ee; fe7ee: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto F773f; Da2a2: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\x5f\144\x61\164\141\142\x61\163\145\163", ["\x64\157\x6d\141\151\156\116\x61\x6d\145" => $site->getDomainName()])); goto B54ce; F773f: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto E31dc; e06c0: $domainName = $site->getDomainName(); goto e45ad; A5452: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto d5719; f6d84: return $response; goto f76e3; Dc88d: $user = $this->getUser(); goto C11b8; C5260: goto A006c; goto Ef1b9; c1df4: $this->siteEntityManager->updateEntity($siteEntity); goto D9844; C11b8: $session = $request->getSession(); goto e06c0; fbcff: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto A76b9; eeee6: $databaseEntity->addUser($databaseUserEntity); goto dc565; dc565: $siteEntity->addDatabase($databaseEntity); goto cf5d6; e45ad: $siteEntity = $this->getSiteEntity($domainName); goto Cd46a; B54ce: A006c: goto f6d84; E31dc: $databaseEntity->setSite($siteEntity); goto A6d08; bb292: $session->getFlashBag()->set("\163\165\143\x63\x65\163\163", $this->translator->trans("\104\x61\x74\141\x62\x61\163\x65\x20\150\141\163\x20\x62\145\x65\156\40\x61\x64\144\x65\144\x2e")); goto Da2a2; A76b9: $databaseUserEntity->setDatabase($databaseEntity); goto eeee6; Ff42d: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto bb292; ea905: $databaseEntity = $form->getData(); goto Efd04; d5719: $databaseUserEntity->setUserName($databaseUserName); goto F490b; cf5d6: $databaseManager->createDatabase($databaseEntity); goto B8343; F490b: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto fbcff; Ef1b9: fbc5d: goto ea905; A6d08: $databaseUserName = $form->get("\165\163\145\162\x4e\141\155\145")->getData(); goto b0ea9; Cd46a: if (false === is_null($siteEntity)) { goto fbc5d; } goto b2b06; b2b06: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\145\137\144\141\164\141\x62\x61\163\145\137\156\x65\x77", ["\144\x6f\x6d\x61\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto C5260; B8343: $databaseManager->createUser($databaseUserEntity); goto c1df4; D9844: $eventData = ["\163\x69\164\x65" => $domainName, "\x64\x61\164\x61\142\141\163\145" => $databaseEntity->getName(), "\x64\141\x74\x61\x62\141\163\x65\x55\163\x65\162\116\x61\x6d\x65" => $databaseUserEntity->getUserName()]; goto Ff42d; f76e3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\157\x72\40\150\x61\x73\40\157\143\143\x75\162\x72\x65\x64\54\x20\145\162\x72\x6f\x72\40\x6d\x65\x73\x73\141\147\145\x3a\x20\45\145\x72\x72\157\162\x4d\x65\163\x73\141\147\145\x25", ["\x25\x65\x72\x72\x6f\162\x4d\145\163\163\141\147\x65\45" => $e->getMessage()])); } goto b2adf; cfb36: $this->formErrors = $this->getErrorMessages($form); goto a3a93; D740d: } public function deleteDatabase(Request $request) : Response { goto a8755; b4990: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\x65\163")); goto a4a38; af7e1: try { goto F4163; B4cad: $domainName = $site->getDomainName(); goto bde3d; d319b: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto cec7d; cbb95: $eventData = ["\x73\151\x74\x65" => $domainName, "\x64\141\x74\x61\x62\x61\x73\145" => $databaseEntity->getName()]; goto d319b; bde3d: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto D2cd2; a247d: $session = $request->getSession(); goto B4cad; f7c07: $this->siteEntityManager->updateEntity($siteEntity); goto cbb95; bb8e4: $databaseManager->deleteDatabase($databaseEntity, true); goto D78e3; D78e3: $siteEntity->removeDatabase($databaseEntity); goto f7c07; D2cd2: $databaseManager = new DatabaseManager($databaseServerEntity); goto bb8e4; cec7d: $session->getFlashBag()->set("\x73\x75\x63\x63\145\163\163", $this->translator->trans("\x44\141\164\141\142\141\163\145\x20\x68\x61\163\40\x62\x65\x65\156\x20\x64\145\154\145\x74\x65\144\x2e")); goto a48ca; F4163: $user = $this->getUser(); goto a247d; a48ca: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\x72", $this->translator->trans("\101\156\40\145\162\x72\157\162\x20\x68\x61\x73\x20\x6f\143\143\x75\162\x72\145\x64\54\x20\145\x72\x72\x6f\162\40\155\145\x73\163\x61\x67\x65\72\40\x25\x65\162\x72\x6f\x72\115\145\x73\x73\141\147\x65\45", ["\45\x65\162\162\x6f\x72\115\x65\163\163\141\147\145\x25" => $e->getMessage()])); } goto c9b00; c9b00: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\x65\137\144\x61\x74\141\x62\141\163\x65\x73", ["\144\x6f\155\x61\151\156\116\141\x6d\145" => $site->getDomainName()])); goto ae0d5; b4d78: if (!(false === is_null($site))) { goto d4cb9; } goto e5b33; ae0d5: return $response; goto ccd25; f48e4: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto Ba7b7; a8755: $site = $this->getSite($request); goto f2ade; e5b33: $databaseName = $request->get("\x64\x61\x74\141\142\141\163\x65\116\x61\155\x65"); goto f48e4; E9049: d4cb9: goto b4990; ccd25: Ff025: goto E9049; Ba7b7: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Babbe; f2ade: $this->checkCsrfToken($request, "\144\141\x74\141\142\x61\x73\145\x2d\x64\x65\154\145\164\x65"); goto b4d78; a4a38: return $response; goto e23c6; Babbe: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto Ff025; } goto af7e1; e23c6: } public function phpMyAdmin(Request $request) : Response { goto D0594; B6199: $response = new RedirectResponse($phpMyAdminUrl); goto Af1c5; d0764: $response->headers->clearCookie("\160\155\x61\101\x75\164\150\x2d\x31\137\150\x74\164\160\163"); goto E19eb; A541f: Dd3b4: goto a1048; Ca625: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto Dd3b4; } goto de002; c986b: $response = new RedirectResponse($phpMyAdminUrl); goto c72b8; c72b8: $response->headers->clearCookie("\x63\x6c\x70\55\x70\x6d\141"); goto f6b05; de002: $databaseEntity = $databaseUserEntity->getDatabase(); goto Ec9de; B0c7a: $phpMyAdminUrl = sprintf("\x68\164\164\160\x73\x3a\57\57\45\x73\72\45\x73\x2f\x70\x68\x70\x6d\x79\x61\144\x6d\151\x6e\x2f\154\157\147\x69\x6e\x2e\x70\150\160", $request->getHost(), $request->getPort()); goto Dde79; Bd1e3: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto E1d20; dd2e2: b1801: goto b8be3; c4c2b: if (!(false === is_null($site))) { goto da0d9; } goto f2f53; babf3: aee2e: goto C34b9; c84d8: b1967: goto F64cf; c0f08: $phpMyAdminUrl = sprintf("\150\x74\x74\x70\163\72\57\x2f\x25\163\x3a\x25\163\57\x70\150\x70\155\x79\x61\144\155\151\x6e\57\x6c\x6f\x67\x69\156\x2e\160\x68\160", $request->getHost(), $request->getPort()); goto B4ee6; f6b05: $response->headers->clearCookie("\160\150\160\x4d\x79\101\144\x6d\151\x6e\x5f\150\x74\164\160\x73"); goto d0764; Ec9de: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto C49a2; } goto B0c7a; f2f53: $databaseUserName = $request->get("\x64\141\164\x61\x62\x61\x73\145\x55\163\x65\162\116\141\x6d\145"); goto de689; F64cf: $site = $this->getSite($request); goto c4c2b; Af1c5: return $response; goto da62c; B4ee6: $data = ["\x68\157\163\x74" => $activeDatabaseServerEntity->getHost(), "\160\x6f\x72\164" => $activeDatabaseServerEntity->getPort()]; goto Dede9; a1048: da0d9: goto dd2e2; D6bc3: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Ca625; de689: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto D6bc3; D0594: $domainName = $request->get("\x64\x6f\x6d\141\151\156\x4e\x61\x6d\145"); goto d96ed; b8be3: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\164\145\163")); goto f3dd9; f3dd9: return $response; goto E49e4; c9853: $session->set("\143\154\x70\x2d\x70\x6d\141", $data); goto B6199; d96ed: $session = $request->getSession(); goto Ef15e; B6c77: return $response; goto babf3; Dde79: $data = ["\150\x6f\x73\164" => $activeDatabaseServerEntity->getHost(), "\165\163\145\162\116\141\x6d\145" => $databaseUserEntity->getUserName(), "\x70\x61\x73\x73\x77\x6f\162\x64" => $databaseUserEntity->getDecryptedPassword(), "\160\x6f\x72\x74" => $activeDatabaseServerEntity->getPort()]; goto c9853; E19eb: $response->headers->clearCookie("\123\x69\147\156\x6f\x6e\x53\x65\163\163\151\157\x6e"); goto B6c77; E1d20: if (!(false === is_null($activeDatabaseServerEntity))) { goto aee2e; } goto c0f08; Ef15e: if (false === is_null($domainName)) { goto b1967; } goto Bd1e3; da62c: C49a2: goto A541f; C34b9: goto b1801; goto c84d8; Dede9: $session->set("\143\x6c\160\55\160\x6d\x61", $data); goto c986b; E49e4: } public function phpMyAdminLogout(Request $request) { goto f309a; fae04: return $response; goto E675c; e2d50: $response->headers->clearCookie("\x70\150\160\x4d\171\101\144\155\151\156\x5f\150\x74\164\x70\163"); goto B6fb3; f309a: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\x74\x65\163")); goto Fe9d5; cf778: $response->headers->clearCookie("\123\151\147\x6e\x6f\156\x53\x65\163\x73\151\157\156"); goto fae04; Fe9d5: $response->headers->clearCookie("\x63\154\x70\55\x70\x6d\141"); goto e2d50; B6fb3: $response->headers->clearCookie("\160\x6d\141\x41\165\164\x68\x2d\x31\137\150\164\x74\x70\x73"); goto cf778; E675c: } public function newDatabaseUser(Request $request) : Response { goto Da0b1; fe842: if (false === is_null($site)) { goto e65d0; } goto D2913; eaeb2: $session = $request->getSession(); goto b784c; B7e02: if (!(false === is_null($response))) { goto D62f5; } goto D722c; Fd726: Cece2: goto Fc705; A90ae: return $response; goto b475c; B56e0: d96b1: goto baa8f; cd416: $domainName = $site->getDomainName(); goto Ca3c5; baa8f: b683b: goto fae39; b88e5: C6d8c: goto A90ae; Bf308: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto C48a4; D9c8a: goto C6d8c; goto b2540; Da0b1: $site = $this->getSite($request); goto fe842; D722c: return $response; goto a2117; Ca3c5: $siteEntity = $this->getSiteEntity($domainName); goto D90a3; dd864: $databases = $site->getDatabases(); goto cd416; fae39: $response = $this->render("\106\162\157\156\164\145\x6e\144\x2f\x53\151\164\x65\57\x6e\145\x77\x2d\144\141\164\x61\x62\141\x73\x65\x2d\165\163\145\x72\56\x68\164\x6d\154\x2e\164\x77\151\x67", ["\163\x69\x74\x65" => $site, "\144\x61\164\x61\142\141\163\145\x55\163\145\162" => $databaseUserEntity, "\x64\x61\x74\x61\x62\x61\163\145\x73" => $databases, "\x66\157\x72\x6d" => $form->createView(), "\146\157\162\x6d\x45\162\162\x6f\162\163" => $this->formErrors]); goto A42de; D90a3: if (count($databases) && false === is_null($siteEntity)) { goto Cece2; } goto eaeb2; e9324: goto a39ae; goto Fd726; C48a4: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto b683b; } goto E8cef; C9912: $response = $this->handleDatabaseUserForm($request, $form, $site); goto B7e02; D2913: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\145\163")); goto D9c8a; Fc705: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto b25ee; b25ee: $databaseUserEntity->setSite($siteEntity); goto Bf308; A42de: a39ae: goto b88e5; b784c: $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\x4e\157\40\144\141\164\141\x62\141\163\x65\40\146\157\165\x6e\x64\x3b\40\143\162\x65\141\164\145\40\x61\x20\x64\x61\164\x61\x62\141\163\x65\40\x66\x69\162\163\164\x2e")); goto D54a6; a2117: D62f5: goto B56e0; E8cef: $form->handleRequest($request); goto db87c; db87c: if (!(true === $form->isSubmitted())) { goto d96b1; } goto C9912; b2540: e65d0: goto dd864; D54a6: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\x65\x5f\144\141\164\x61\x62\x61\x73\x65\163", ["\x64\157\x6d\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto e9324; b475c: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto D6959; D6959: $form = $this->createForm("\101\x70\160\x5c\106\157\162\155\x5c\x53\x69\164\145\104\x61\164\x61\142\141\163\145\125\163\145\162\124\171\x70\x65", $databaseUserEntity, ["\141\x63\164\x69\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\163\x69\164\145\x5f\144\141\164\x61\142\x61\163\x65\x5f\165\163\145\x72\x5f\x6e\145\x77", ["\x64\157\155\141\x69\156\116\141\155\145" => $site->getDomainName()]), "\155\145\x74\x68\157\144" => "\120\x4f\123\x54", "\141\164\164\162" => []]); goto F2f7f; e7fdd: return $form; goto D5581; F2f7f: $form->add("\x73\x75\142\x6d\151\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\x6c\x61\x73\163" => "\x62\164\156\x20\x62\164\156\55\142\154\165\145\40\x62\x74\x6e\55\x6c\x67"], "\154\x61\142\x65\154" => "\x41\144\144\x20\x44\x61\x74\141\x62\x61\x73\x65\x20\125\x73\x65\162"]); goto e7fdd; D5581: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto F1951; f018b: goto ac1ca; goto f06a8; ec338: ac1ca: goto Dbe11; F1951: if (true === $form->isValid()) { goto d3f14; } goto afa81; afa81: $this->formErrors = $this->getErrorMessages($form); goto f018b; Be52b: try { goto E0ec8; B1754: return $response; goto e8834; c96be: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\x65\137\144\141\x74\141\x62\141\163\x65\x73", ["\144\157\x6d\141\x69\156\x4e\141\155\x65" => $site->getDomainName()])); goto b7ce3; b5162: $siteEntity = $this->getSiteEntity($domainName); goto A0c26; fe22d: $databaseName = $databaseEntity->getName(); goto A66aa; ef80b: $session = $request->getSession(); goto Aaf3d; E0ec8: $user = $this->getUser(); goto ef80b; Fc8ad: $databaseUserEntity->setPassword($encryptedPassword); goto Ee08b; b7ce3: A0e15: goto B1754; B0a3c: cf149: goto E8478; A66aa: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x64\x61\x74\x61\142\x61\x73\145\x55\163\145\162\116\141\x6d\x65" => $databaseUserEntity->getUserName(), "\x70\x65\162\155\x69\x73\163\151\157\x6e\163" => $databaseUserEntity->getPermissions(), "\144\141\164\141\x62\141\x73\x65" => $databaseName]; goto f6b61; A0c26: if (false === is_null($siteEntity)) { goto cf149; } goto c1700; f879c: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto e5151; aae04: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto A26fe; E8478: $databaseUserEntity = $form->getData(); goto A1d8b; ff8b5: $session->getFlashBag()->set("\163\165\143\143\145\163\163", $this->translator->trans("\x44\141\x74\x61\142\141\x73\145\x20\125\x73\145\x72\x20\150\141\163\x20\142\145\x65\x6e\x20\141\x64\x64\145\x64\x2e")); goto c96be; A26fe: $databaseManager->createUser($databaseUserEntity); goto f879c; A1d8b: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto Fc8ad; Aaf3d: $domainName = $site->getDomainName(); goto b5162; c1700: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\x65\137\144\x61\164\141\x62\x61\163\x65\137\165\163\x65\162\x5f\156\145\167", ["\144\157\155\x61\151\x6e\x4e\141\155\145" => $site->getDomainName()])); goto a35e9; a35e9: goto A0e15; goto B0a3c; Ee08b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto aae04; e5151: $databaseEntity = $databaseUserEntity->getDatabase(); goto fe22d; f6b61: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto ff8b5; e8834: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\x41\x6e\40\x65\162\162\x6f\x72\x20\x68\141\163\40\x6f\143\143\165\x72\162\145\144\x2c\x20\x65\162\x72\x6f\x72\x20\x6d\145\x73\163\x61\x67\x65\72\40\45\x65\162\162\157\162\115\145\163\163\x61\x67\145\x25", ["\x25\145\x72\162\157\162\x4d\x65\x73\x73\x61\x67\145\x25" => $e->getMessage()])); } goto ec338; f06a8: d3f14: goto Be52b; Dbe11: } public function editDatabaseUser(Request $request) : Response { goto c352b; f5a39: if (!(false === is_null($response))) { goto F4c12; } goto bbace; d3169: D2a29: goto f53a7; A7e97: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto fe406; d8b9d: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\x65\163")); goto cab14; Bcc96: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\145\x5f\144\141\164\x61\142\141\163\x65\163", ["\x64\x6f\x6d\x61\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto Ad385; b44af: return $response; goto db12a; A69bc: $form->handleRequest($request); goto Cd2a3; d3c3d: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto cd93f; } goto A69bc; e68b5: cd93f: goto e18d9; Cd2a3: if (!(true === $form->isSubmitted())) { goto B52ef; } goto acae4; B5c6f: if (false === is_null($site)) { goto e7220; } goto d8b9d; Ba8ee: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto d3c3d; c352b: $site = $this->getSite($request); goto B5c6f; acae4: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto f5a39; e4237: $siteEntity = $this->getSiteEntity($domainName); goto df8b5; cab14: goto e7dff; goto bbdbb; B2557: e7dff: goto b44af; daaa0: $session = $request->getSession(); goto b9a7a; Facbc: $databases = $site->getDatabases(); goto Ad3e7; e0eaf: F4c12: goto d75dc; Ad3e7: $domainName = $site->getDomainName(); goto e4237; bbdbb: e7220: goto Facbc; C7451: A47aa: goto F7c70; Ad385: goto bd41a; goto C7451; bbace: return $response; goto e0eaf; f53a7: bd41a: goto B2557; Ade2b: $databaseUserEntity->setPassword(''); goto Ba8ee; df8b5: if (count($databases) && false === is_null($siteEntity)) { goto A47aa; } goto daaa0; fe406: if (!(false === is_null($databaseUserEntity))) { goto D2a29; } goto Ade2b; e18d9: $response = $this->render("\106\162\x6f\x6e\x74\x65\156\x64\x2f\x53\151\164\x65\57\145\x64\151\x74\55\144\141\164\x61\142\x61\x73\x65\55\165\x73\x65\162\56\x68\164\155\154\56\164\167\x69\147", ["\x73\x69\164\x65" => $site, "\x64\141\164\141\x62\x61\163\145\x55\163\145\x72" => $databaseUserEntity, "\146\157\162\x6d" => $form->createView(), "\146\157\162\x6d\105\x72\162\x6f\x72\x73" => $this->formErrors]); goto d3169; F7c70: $databaseUserName = $request->get("\x64\x61\x74\141\x62\141\163\x65\x55\x73\x65\162\x4e\141\155\145"); goto A7e97; b9a7a: $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\x4e\157\40\x64\x61\x74\x61\142\141\163\x65\x20\x66\x6f\165\x6e\x64\x3b\x20\143\162\x65\141\164\x65\40\x61\40\x64\141\x74\141\142\141\x73\x65\x20\x66\151\162\x73\x74\x2e")); goto Bcc96; d75dc: B52ef: goto e68b5; db12a: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto F249c; F1186: return $form; goto A2738; e96f4: $form->add("\x73\x75\142\155\151\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\141\x73\163" => "\142\164\156\40\142\164\x6e\x2d\142\154\x75\x65\x20\142\x74\156\x2d\x6c\147"], "\x6c\x61\x62\x65\154" => "\123\x61\166\x65"]); goto F1186; F249c: $form = $this->createForm("\x41\x70\160\134\x46\x6f\162\155\x5c\123\x69\x74\x65\x44\141\164\x61\x62\141\x73\x65\125\163\145\162\105\144\x69\164\x54\x79\160\145", $databaseUserEntity, ["\x61\143\x74\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\x5f\x64\x61\164\x61\142\x61\163\145\137\x75\x73\145\162\x5f\x65\144\151\164", ["\144\157\x6d\141\151\156\x4e\x61\155\145" => $site->getDomainName(), "\144\x61\x74\x61\142\141\x73\x65\125\163\145\162\116\x61\155\x65" => $databaseUserEntity->getUserName()]), "\155\145\164\x68\157\x64" => "\120\117\x53\124", "\x61\x74\x74\x72" => []]); goto e96f4; A2738: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto ea37b; ea37b: if (true === $form->isValid()) { goto a6cfa; } goto Cd760; b8476: try { goto F260c; Ac1e1: if (false === is_null($siteEntity)) { goto a3dee; } goto a49d1; cb464: $domainName = $site->getDomainName(); goto C952e; fe81f: $databaseUserEntity->setPassword($encryptedPassword); goto C80b7; eec3c: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto Dfd15; ab7cb: return $response; goto c30fe; Dfd15: $databaseEntity = $databaseUserEntity->getDatabase(); goto F17c5; F00d2: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\164\x65\137\x64\141\x74\x61\142\141\163\x65\163", ["\x64\x6f\x6d\x61\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto C76cb; F260c: $user = $this->getUser(); goto B2919; C952e: $siteEntity = $this->getSiteEntity($domainName); goto Ac1e1; b0d34: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto fe81f; C80b7: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c605e; a49d1: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\145\x5f\144\141\164\141\142\x61\163\x65\x5f\165\x73\145\x72\137\x6e\145\x77", ["\144\157\155\141\x69\156\x4e\x61\155\x65" => $site->getDomainName()])); goto F1b69; E6add: $eventData = ["\x73\x69\164\145" => $domainName, "\144\x61\164\x61\x62\141\163\x65\125\163\x65\x72\116\141\x6d\x65" => $databaseUserEntity->getUserName(), "\160\145\162\155\151\163\x73\x69\x6f\156\x73" => $databaseUserEntity->getPermissions(), "\x64\141\x74\x61\142\x61\163\x65" => $databaseName]; goto C7be7; F1b69: goto c41d5; goto Aa76b; e7b19: $databaseManager->createUser($databaseUserEntity); goto eec3c; B2919: $session = $request->getSession(); goto cb464; F17c5: $databaseName = $databaseEntity->getName(); goto E6add; C7be7: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto ecc2f; c605e: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto e7b19; ecc2f: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\x73", $this->translator->trans("\x44\141\x74\x61\142\141\163\145\x20\125\163\x65\x72\40\150\141\163\40\x62\x65\x65\x6e\40\x75\160\x64\x61\x74\145\x64\56")); goto F00d2; C75bf: $databaseUserEntity = $form->getData(); goto b0d34; C76cb: c41d5: goto ab7cb; Aa76b: a3dee: goto C75bf; c30fe: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\x41\156\x20\145\x72\x72\x6f\162\x20\x68\x61\x73\x20\157\x63\143\x75\162\x72\145\x64\54\40\x65\162\162\x6f\162\40\155\145\x73\x73\141\x67\145\72\x20\45\x65\162\x72\157\162\x4d\145\x73\x73\141\x67\x65\x25", ["\x25\145\162\x72\x6f\162\x4d\x65\x73\163\141\x67\145\45" => $e->getMessage()])); } goto E9817; E9817: ab8bc: goto a6829; aec31: goto ab8bc; goto Eac16; Eac16: a6cfa: goto b8476; Cd760: $this->formErrors = $this->getErrorMessages($form); goto aec31; a6829: } public function deleteDatabaseUser(Request $request) : Response { goto b780f; C5845: try { goto C94a1; dff3b: $eventData = ["\x73\151\x74\145" => $domainName, "\x64\x61\x74\x61\142\x61\163\145\125\x73\145\162\116\141\155\145" => $databaseUserName]; goto c0d29; C94a1: $databaseEntity = $databaseUserEntity->getDatabase(); goto F4357; Ec8e1: $user = $this->getUser(); goto f197d; f197d: $domainName = $site->getDomainName(); goto a6fad; Fcf08: $databaseManager->deleteUser($databaseUserEntity); goto F9137; a6fad: $session = $request->getSession(); goto C1759; Ad649: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Fcf08; c0d29: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto a4079; F4357: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto Bde94; } goto Ec8e1; C1759: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Ad649; Da819: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\x73", $this->translator->trans("\x44\141\x74\141\142\141\163\x65\x20\125\163\x65\162\40\x68\x61\163\x20\x62\x65\145\156\x20\x64\x65\x6c\x65\164\x65\x64\56")); goto dff3b; a4079: Bde94: goto b6d43; F9137: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto Da819; b6d43: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\162", $this->translator->trans("\101\156\x20\145\162\162\157\x72\40\x68\x61\x73\x20\157\143\143\165\x72\162\x65\144\x2c\40\x65\x72\x72\157\162\x20\x6d\145\163\163\x61\x67\145\72\40\45\x65\162\162\157\x72\x4d\x65\163\163\141\x67\x65\x25", ["\45\145\162\x72\x6f\x72\x4d\145\163\163\141\x67\x65\x25" => $e->getMessage()])); } goto Dd4b6; F059d: if (!(false === is_null($site))) { goto c24a8; } goto E2464; b780f: $site = $this->getSite($request); goto a0609; b45f9: e56f8: goto f0a2c; Dd4b6: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\x74\x65\137\144\x61\x74\x61\142\141\163\x65\163", ["\x64\157\155\x61\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto d776c; db011: return $response; goto d5033; ce24c: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\145\163")); goto db011; F1377: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto f5077; f5077: if (!(false === is_null($databaseUserEntity))) { goto e56f8; } goto C5845; E2464: $databaseUserName = $request->get("\144\x61\164\x61\142\141\x73\x65\x55\x73\145\x72\116\141\x6d\145"); goto F1377; f0a2c: c24a8: goto ce24c; d776c: return $response; goto b45f9; a0609: $this->checkCsrfToken($request, "\x64\x61\164\141\142\141\x73\145\x2d\x75\163\x65\x72\55\144\x65\154\x65\164\145"); goto F059d; d5033: } public function varnishCache(Request $request) : Response { goto D950a; Cfb50: return $response; goto C095e; F9255: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto a907b; ae3c7: return $response; goto ad1f5; D950a: $site = $this->getSite($request); goto dc61d; f81f3: Af3c4: goto e9beb; f2d58: $varnishCacheSettingsData = ["\151\x73\105\156\x61\x62\x6c\145\144" => true === isset($varnishCacheSettings["\145\x6e\141\142\x6c\x65\144"]) && true === $varnishCacheSettings["\145\156\x61\x62\154\x65\144"] ? true : false, "\163\145\162\x76\x65\x72" => true === isset($varnishCacheSettings["\163\145\162\166\x65\x72"]) ? $varnishCacheSettings["\163\145\162\166\145\x72"] : "\x31\62\x37\56\x30\56\x30\56\x31\x3a\x36\x30\70\x31", "\x63\141\143\150\145\x54\x61\147\120\162\145\146\151\x78" => true === isset($varnishCacheSettings["\x63\x61\x63\x68\145\x54\x61\147\120\x72\145\146\x69\x78"]) ? $varnishCacheSettings["\143\141\x63\150\x65\124\x61\x67\120\162\145\x66\151\170"] : substr(md5(time()), 0, 4), "\143\x61\143\150\x65\x4c\x69\146\x65\x74\x69\155\x65" => true === isset($varnishCacheSettings["\143\141\143\x68\145\x4c\151\x66\x65\x74\x69\x6d\x65"]) ? $varnishCacheSettings["\x63\x61\x63\x68\x65\x4c\x69\146\x65\164\x69\155\x65"] : "\66\x30\64\70\x30\x30", "\x65\170\x63\154\165\x64\x65\144\x50\141\162\141\x6d\163" => true === isset($varnishCacheSettings["\x65\170\143\x6c\165\144\x65\144\x50\141\162\141\x6d\163"]) ? implode("\x2c", $varnishCacheSettings["\x65\170\143\x6c\165\x64\145\144\120\x61\x72\x61\x6d\163"]) : "\x5f\137\x53\111\104\x2c\x6e\x6f\103\x61\143\x68\145\54", "\145\170\x63\154\165\x64\145\x73" => true === isset($varnishCacheSettings["\x65\170\x63\x6c\165\x64\x65\x73"]) ? implode(PHP_EOL, $varnishCacheSettings["\x65\170\143\154\165\x64\x65\x73"]) : '']; goto C1580; Ddb8a: $response = $this->render("\x46\162\157\156\164\145\156\x64\57\123\151\164\x65\57\x76\141\162\x6e\151\x73\x68\55\x63\x61\143\150\x65\x2e\x68\164\x6d\x6c\56\164\x77\x69\x67", ["\163\x69\x74\x65" => $site, "\x73\145\x74\x74\151\x6e\x67\x73\x46\x6f\x72\155" => $settingsForm->createView(), "\160\x75\x72\x67\145\x43\x61\143\x68\145\x46\x6f\162\155" => $purgeCacheForm->createView(), "\x66\157\x72\155\105\162\162\x6f\162\x73" => $this->formErrors]); goto f81f3; B8fe9: $purgeCacheForm->handleRequest($request); goto f29df; c6b85: bbd79: goto E7bc8; bd818: goto Af3c4; goto Bc59a; f29df: if (!(true === $settingsForm->isSubmitted())) { goto bbd79; } goto e19a5; C1580: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto F9255; F3c41: f6328: goto Ddb8a; dc61d: if (false === is_null($site) && true === $site->getVarnishCache()) { goto C650b; } goto Bbbf2; Bbbf2: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\x65\x73")); goto bd818; a907b: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto f6328; } goto Abd34; Bc59a: C650b: goto acfc7; E7bc8: if (!(true === $purgeCacheForm->isSubmitted())) { goto E29db; } goto bc124; bc124: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto c3fc1; acfc7: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto f2d58; c3fc1: if (!(false === is_null($response))) { goto Bd670; } goto Cfb50; e9beb: return $response; goto B83af; A51e3: E29db: goto F3c41; e19a5: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto D7126; Abd34: $settingsForm->handleRequest($request); goto B8fe9; ad1f5: fe52e: goto c6b85; D7126: if (!(false === is_null($response))) { goto fe52e; } goto ae3c7; C095e: Bd670: goto A51e3; B83af: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto F06f8; Ff960: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\x61\163\x73" => "\x62\164\156\x20\142\164\156\x2d\142\154\165\x65\x20\142\x74\x6e\55\x6c\147"], "\154\141\x62\x65\154" => "\123\x61\166\x65"]); goto C7e5b; C7e5b: return $form; goto Dda40; F06f8: $form = $this->createForm("\x41\x70\160\x5c\106\x6f\x72\155\134\123\151\x74\x65\x56\x61\162\x6e\x69\x73\x68\103\141\143\x68\145\123\x65\x74\164\x69\x6e\x67\163\124\171\x70\x65", $data, ["\141\143\164\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\137\163\151\x74\145\137\166\x61\162\x6e\x69\163\x68\137\143\x61\x63\x68\x65", ["\144\x6f\155\x61\x69\156\x4e\141\x6d\145" => $site->getDomainName()]), "\155\145\x74\x68\x6f\x64" => "\120\x4f\123\x54", "\141\164\x74\x72" => []]); goto Ff960; Dda40: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto Df3fa; Df3fa: $form = $this->createForm("\x41\160\160\134\x46\x6f\x72\x6d\134\123\x69\164\145\x56\x61\x72\x6e\151\163\150\x43\141\x63\x68\x65\x50\165\x72\x67\x65\x43\x61\x63\150\145\124\x79\x70\x65", ["\163\x69\x74\x65" => $site], ["\141\x63\x74\x69\x6f\156" => $this->generateUrl("\x63\x6c\160\137\163\x69\x74\145\x5f\x76\141\x72\156\151\163\x68\137\x63\x61\143\x68\145", ["\x64\x6f\x6d\x61\151\156\116\x61\x6d\x65" => $site->getDomainName()]), "\x6d\x65\164\150\157\x64" => "\x50\x4f\123\x54", "\x61\x74\164\x72" => []]); goto Df7b0; E0787: return $form; goto a88ea; Df7b0: $form->add("\x73\165\x62\x6d\151\x74", SubmitType::class, ["\x61\164\164\162" => ["\x63\x6c\141\163\x73" => "\x62\x74\x6e\40\142\164\156\55\142\x6c\165\x65\x20\142\164\156\x2d\x6c\x67"], "\154\141\142\x65\x6c" => "\x50\165\162\x67\x65\40\x43\141\x63\x68\x65"]); goto E0787; a88ea: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto Dafb8; b1f16: f85b8: goto Deac6; e2cd8: goto ec5d8; goto b1f16; Deac6: try { goto e8f79; ba64e: $site->setVarnishCacheSettings($varnishCacheSettings); goto D203a; eb522: E1e8d: goto C87a6; Eca64: $siteEntity = $this->getSiteEntity($domainName); goto Eb0ed; e934c: $isEnabled = $form->get("\x69\163\x45\156\x61\x62\154\145\x64")->getData(); goto ea1ab; B5d52: $cacheLifetime = $form->get("\143\x61\143\x68\x65\x4c\x69\x66\145\x74\x69\155\x65")->getData(); goto c30b7; ea1ab: $server = $form->get("\x73\145\x72\166\145\162")->getData(); goto B5d52; Cd03e: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto Dab9a; B7735: $eventData = ["\163\x69\x74\145" => $domainName, "\166\141\162\156\151\163\150\x43\x61\143\150\x65\105\156\141\x62\154\x65\144" => $isEnabled, "\x73\145\x72\166\x65\x72" => $server, "\143\x61\x63\x68\145\124\x61\147\x50\162\x65\x66\x69\170" => $cacheTagPrefix, "\x63\x61\143\x68\x65\x4c\x69\x66\x65\x74\x69\x6d\x65" => $cacheLifetime, "\145\x78\x63\x6c\x75\144\x65\163" => $excludes, "\x65\x78\x63\x6c\165\144\x65\x64\x50\x61\x72\141\x6d\x73" => $excludedParams]; goto Cd03e; Ba3f0: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\137\x76\x61\x72\156\x69\163\x68\x5f\143\141\143\150\x65", ["\144\x6f\155\x61\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto eb522; Acadf: $domainName = $site->getDomainName(); goto Eca64; ba484: $varnishCacheSettings = ["\x65\156\x61\142\x6c\x65\144" => $isEnabled, "\163\x65\162\x76\145\162" => $server, "\143\141\x63\150\x65\x54\141\x67\x50\162\145\x66\x69\170" => $cacheTagPrefix, "\143\x61\143\150\145\114\151\146\145\164\151\155\145" => $cacheLifetime, "\145\x78\143\154\x75\144\x65\x73" => $excludes, "\x65\170\143\x6c\x75\x64\145\144\120\x61\x72\141\155\163" => $excludedParams]; goto ba64e; Eb0ed: if (false === is_null($siteEntity)) { goto B651f; } goto f54db; d93a7: $excludes = array_map("\164\x72\151\x6d", array_filter(explode(PHP_EOL, trim($form->get("\145\170\143\154\x75\x64\x65\x73")->getData())))); goto ba484; f54db: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\x65\163")); goto e0351; C87a6: return $response; goto cc0d8; e0351: goto E1e8d; goto B4e94; d85ed: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto f889c; eb970: $user = $this->getUser(); goto e934c; e8f79: $session = $request->getSession(); goto Acadf; c30b7: $cacheTagPrefix = $form->get("\143\141\143\x68\145\124\141\x67\120\x72\x65\x66\x69\170")->getData(); goto fc700; Dab9a: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\163", $this->translator->trans("\126\x61\x72\x6e\151\x73\150\x20\103\141\x63\150\x65\x20\x53\x65\164\164\151\156\147\x73\x20\x68\141\x76\x65\x20\142\x65\145\156\40\x73\141\x76\145\144\56")); goto Ba3f0; fc700: $excludedParams = array_map("\164\162\x69\155", array_filter(explode("\x2c", trim($form->get("\x65\170\143\x6c\165\144\x65\144\120\141\x72\141\x6d\163")->getData())))); goto d93a7; B4e94: B651f: goto eb970; f889c: $siteUpdater->phpSettings(); goto B7735; D203a: $siteUpdater = $this->getSiteUpdater($site); goto d85ed; cc0d8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\x41\156\x20\145\x72\x72\x6f\x72\x20\150\x61\163\40\157\143\143\165\x72\x72\x65\x64\x2c\40\x65\x72\162\157\162\40\x6d\x65\x73\163\x61\147\x65\x3a\40\45\145\162\x72\x6f\x72\115\x65\x73\163\141\147\x65\45", ["\x25\145\162\162\x6f\162\x4d\145\x73\163\x61\147\145\45" => $e->getMessage()])); } goto d893a; d893a: ec5d8: goto b665f; d31ce: $this->formErrors = $this->getErrorMessages($form); goto e2cd8; Dafb8: if (true === $form->isValid()) { goto f85b8; } goto d31ce; b665f: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto D2534; D2534: if (true === $form->isValid()) { goto E0be9; } goto Dfff2; A3c66: try { goto D9cab; cb775: $session->getFlashBag()->set("\x73\165\143\x63\x65\x73\163", $this->translator->trans("\126\141\x72\x6e\x69\x73\x68\40\103\141\x63\150\145\40\150\141\x73\x20\x62\145\145\x6e\x20\160\165\x72\x67\145\144\56")); goto d5e1b; ce19d: goto Afc5b; goto Cf892; f9fad: goto B95c8; goto c94ff; Cf892: fc430: goto f1376; e6421: $user = $this->getUser(); goto b4749; Fa6d2: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto cb775; b4749: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto Fb11f; D9cab: $session = $request->getSession(); goto C4597; C4597: $domainName = $site->getDomainName(); goto Fc956; f1376: $varnishCacheClient = new VarnishCacheClient(); goto D4e9e; aa875: foreach ($purgeValues as $purgeValue) { goto cc061; E7901: if (!(false === empty($purgeValue))) { goto Da9e0; } goto Aa8d6; Ddca8: A32e5: goto A65ef; d7217: $varnishCacheClient->purgeUrl($purgeValue); goto Ddca8; A65ef: Da9e0: goto C43c1; C43c1: e30e0: goto cdffa; cc061: $purgeValue = trim($purgeValue); goto E7901; E19a1: d19e1: goto d7217; c24b1: goto A32e5; goto E19a1; Aa8d6: if (true === str_starts_with($purgeValue, "\x68\164\x74\160")) { goto d19e1; } goto f897a; f897a: $varnishCacheClient->purgeTag($purgeValue); goto c24b1; cdffa: } goto F0a4b; D4e9e: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\162\166\145\x72"]); goto aa875; c758e: $eventData = ["\163\x69\x74\145" => $domainName, "\166\x61\154\165\x65\x73" => implode("\54", $purgeValues)]; goto Fa6d2; B3105: if (false === is_null($siteEntity)) { goto abcb9; } goto Dbc1c; Dbc1c: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\x65\163")); goto f9fad; Fc956: $siteEntity = $this->getSiteEntity($domainName); goto B3105; e6c22: B95c8: goto f940b; d5e1b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\137\x76\x61\x72\156\x69\x73\x68\137\x63\x61\143\x68\x65", ["\144\157\x6d\x61\151\x6e\116\141\155\x65" => $site->getDomainName()])); goto e6c22; F0a4b: a7280: goto e9e75; e9e75: Afc5b: goto c758e; c98e6: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\x73\x65\x72\166\145\x72"]) && false === empty($varnishCacheSettings["\163\x65\162\166\145\162"])) { goto fc430; } goto d41e2; d41e2: throw new \Exception("\126\141\x72\x6e\151\163\x68\40\x43\141\x63\x68\145\40\x53\x65\x74\x74\151\x6e\x67\x73\40\143\x61\x6e\x6e\x6f\164\x20\142\145\x20\x65\x6d\x70\x74\171\x2e"); goto ce19d; f940b: return $response; goto D1b2c; Fb11f: $purgeValues = array_map("\x74\x72\151\155", array_filter(explode("\54", trim($form->get("\x76\141\x6c\165\x65")->getData())))); goto c98e6; c94ff: abcb9: goto e6421; D1b2c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\101\156\x20\x65\162\x72\x6f\162\x20\150\141\x73\x20\x6f\143\x63\165\162\162\x65\x64\x2c\40\145\x72\x72\157\162\x20\155\145\x73\x73\141\147\145\x3a\x20\45\145\x72\x72\x6f\162\115\145\163\163\x61\147\x65\45", ["\45\145\x72\162\x6f\x72\115\x65\x73\163\141\x67\x65\x25" => $e->getMessage()])); } goto D9d44; Dfff2: $this->formErrors = $this->getErrorMessages($form); goto adcfa; adcfa: goto b1e94; goto Ad88c; Ad88c: E0be9: goto A3c66; D9d44: b1e94: goto C5ccd; C5ccd: } public function purgeVarnishCache(Request $request) : Response { goto ad50f; a5234: return $response; goto ac978; F416b: try { goto f795e; E7f4e: $varnishCacheClient = new VarnishCacheClient(); goto a622f; C0cf4: if (!(true === isset($varnishCacheSettings["\163\x65\162\x76\145\162"]) && true === isset($varnishCacheSettings["\143\x61\143\150\145\124\x61\x67\x50\x72\145\x66\x69\x78"]) && false === empty($varnishCacheSettings["\x63\x61\x63\x68\x65\x54\141\147\120\x72\x65\x66\x69\x78"]))) { goto Cf721; } goto Bdbde; e8476: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto a455b; Bdbde: $cacheTagPrefix = $varnishCacheSettings["\143\141\x63\150\x65\x54\x61\x67\120\x72\145\146\x69\x78"]; goto E7f4e; a9270: $domainName = $site->getDomainName(); goto D8887; F6137: $session = $request->getSession(); goto a9270; f12ec: $eventData = ["\x73\151\x74\145" => $domainName, "\x70\x75\x72\147\x65" => "\x66\165\154\x6c"]; goto e8476; A00ce: $varnishCacheClient->purgeTag($cacheTagPrefix); goto f8133; a622f: $varnishCacheClient->setServer($varnishCacheSettings["\163\145\x72\x76\x65\x72"]); goto A00ce; f8133: $varnishCacheClient->purgeHost($domainName); goto C4636; C4636: Cf721: goto f12ec; a455b: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\163", $this->translator->trans("\x56\x61\x72\x6e\151\163\150\40\103\x61\x63\x68\x65\40\150\141\163\x20\142\x65\145\x6e\40\160\165\162\147\x65\x64\x2e")); goto d7bab; f795e: $user = $this->getUser(); goto F6137; D8887: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto C0cf4; d7bab: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\x41\x6e\x20\x65\162\x72\157\x72\40\x68\x61\x73\x20\x6f\x63\x63\x75\162\x72\x65\144\x2c\40\x65\x72\x72\157\162\40\155\x65\163\163\x61\x67\145\x3a\40\x25\x65\x72\x72\x6f\162\115\145\163\x73\x61\x67\x65\45", ["\45\145\x72\162\x6f\x72\115\x65\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto Db85b; f2733: goto df248; goto E05af; ac978: df248: goto B58b1; E05af: df53d: goto F416b; Fd35b: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\x74\x65\x73")); goto f2733; A86ed: if (false === is_null($site)) { goto df53d; } goto Fd35b; Db85b: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\145\x5f\x76\141\x72\x6e\151\x73\x68\x5f\143\141\x63\150\x65", ["\144\157\x6d\141\151\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto a5234; B58b1: return $response; goto d0392; ad50f: $site = $this->getSite($request); goto A86ed; d0392: } public function vhost(Request $request) : Response { goto e0359; Bb4cd: $isCsrfTokenValid = $this->isCsrfTokenValid("\x76\x68\157\x73\x74\55\165\160\x64\141\164\x65", (string) $request->get("\164\157\x6b\145\x6e")); goto b87f6; dfd1e: return $response; goto C77a1; E6432: if (false === is_null($site)) { goto af23f; } goto be8a3; F4431: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto cc17b; fa0c0: $response = $this->render("\x46\162\x6f\x6e\x74\145\x6e\144\57\123\151\164\x65\57\x76\x68\x6f\163\x74\x2e\150\164\x6d\x6c\56\164\167\x69\147", ["\x73\151\x74\x65" => $site]); goto df658; E8d9c: $domainName = $site->getDomainName(); goto d2589; C77a1: f002c: goto B7e9f; Caa12: goto b1091; goto B0615; b87f6: if (!(false === $isCsrfTokenValid)) { goto dc932; } goto e238b; d2589: $siteEntity = $this->getSiteEntity($domainName); goto F4431; df658: b1091: goto C6a24; e238b: throw new InvalidCsrfTokenException("\124\150\145\40\103\123\122\106\x20\x74\157\153\145\156\x20\x69\x73\40\151\156\166\x61\154\151\144\x2e"); goto ee6e1; A23ed: if (!(false === empty($vhostTemplate))) { goto eb704; } goto E8d9c; B0615: af23f: goto a4634; a4634: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto Acb6f; } goto Bb4cd; C6a24: return $response; goto A8ec7; B7e9f: eb704: goto b9097; Baca0: if (!(false === is_null($response))) { goto f002c; } goto dfd1e; cc17b: $site->setVhostTemplate($vhostTemplate); goto dc5c5; ee6e1: dc932: goto F4ad3; e0359: $site = $this->getSite($request); goto E6432; be8a3: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\164\x65\163")); goto Caa12; dc5c5: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto Baca0; F4ad3: $vhostTemplate = trim($request->get("\x76\x68\157\163\x74\x2d\x74\145\155\x70\x6c\141\x74\x65")); goto A23ed; b9097: Acb6f: goto fa0c0; A8ec7: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto bc651; Bee4e: $eventData = ["\x73\x69\x74\145" => $domainName, "\166\150\157\x73\x74" => $vhostTemplate, "\157\x6c\144\x56\x68\157\x73\x74" => $oldVhostTemplate]; goto D4f1b; Dda09: $this->siteEntityManager->updateEntity($siteEntity); goto e3b64; B2991: $siteUpdater->updateNginxVhostWithRollback(); goto Dcfdf; e3b64: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\163", $this->translator->trans("\x56\x68\157\x73\x74\x20\x68\141\163\40\142\145\x65\156\40\x73\141\166\x65\x64\56")); goto Bee4e; d9acd: $vhostTemplate = $site->getVhostTemplate(); goto Ed574; D4f1b: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto b379e; E3e75: $session = $request->getSession(); goto D5d27; E268b: f1bd0: goto c7fbe; bc651: $user = $this->getUser(); goto E3e75; Dcfdf: $siteEntity->setVhostTemplate($vhostTemplate); goto Dda09; c3b0c: return $response; goto ceeff; d8859: throw new InvalidVhostException("\144\151\163\x61\x62\154\145\137\163\x79\x6d\x6c\x69\x6e\x6b\x73\40\151\163\x20\156\x6f\x74\x20\141\x6c\x6c\x6f\x77\145\x64\x2e"); goto E268b; c7fbe: $domainName = $site->getDomainName(); goto d9acd; Ed574: $siteUpdater = $this->getSiteUpdater($site); goto B2991; b379e: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\145\x5f\166\x68\157\163\164", ["\144\x6f\155\x61\151\x6e\116\141\x6d\x65" => $domainName])); goto c3b0c; D5d27: if (!(true === str_contains($site->getVhostTemplate(), "\144\151\x73\x61\142\x6c\x65\x5f\x73\171\155\154\151\x6e\153\163"))) { goto f1bd0; } goto d8859; ceeff: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\x56\x68\157\163\164\x20\151\x73\40\156\157\164\x20\166\x61\x6c\x69\x64\54\40\145\162\162\x6f\x72\40\x6d\145\163\x73\x61\x67\145\x3a\x20\45\145\x72\x72\157\x72\115\x65\x73\x73\x61\x67\145\x25", ["\45\145\162\x72\x6f\x72\x4d\x65\163\163\141\147\x65\x25" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\x41\156\x20\145\x72\162\x6f\x72\x20\150\x61\163\x20\157\143\143\165\x72\162\x65\x64\x2c\40\145\x72\162\x6f\162\x20\x6d\x65\x73\x73\141\147\x65\x3a\x20\45\145\x72\x72\x6f\162\115\145\163\x73\x61\x67\x65\x25", ["\45\x65\162\x72\x6f\x72\115\145\163\x73\x61\147\145\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto A8bb9; D83f0: $currentPhpSettings = clone $phpSettings; goto C0eae; b4cdf: return $response; goto B0ede; f5195: $currentNodeSettings = clone $nodejsSettings; goto B12f1; Bfa27: Cc2a7: goto eb8b8; e1a72: f7cd5: goto A693e; d9bb5: Fe256: goto eca93; Ccb7b: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto B2fe8; } goto d4201; C8d15: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto Dfeac; be4f1: $domainSettingsForm->handleRequest($request); goto eb504; d5d26: goto B5b7d; goto a75a6; Ce7eb: F05af: goto Fe238; E0a8d: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto aa6aa; } goto be4f1; D42de: $response = $this->render("\x46\162\157\156\164\x65\x6e\x64\x2f\123\x69\x74\x65\57\163\145\164\164\x69\156\x67\163\x2e\x68\164\x6d\154\x2e\x74\167\x69\147", $parameters); goto Cf842; c77de: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto Adb4a; Fdf2e: $siteUserSettingsData = ["\163\x69\x74\x65\125\x73\x65\162" => $site->getUser(), "\x73\163\150\x4b\145\171\x73" => $site->getSshKeys()]; goto aa1ae; C3b86: $domainSettingsData = ["\144\x6f\155\x61\151\156\116\x61\x6d\x65" => $site->getDomainName(), "\162\x6f\x6f\x74\x44\151\162\145\x63\164\157\162\x79" => $site->getRootDirectory()]; goto Fdf2e; a2c1e: unset($parameters["\160\x61\x67\145\x53\160\x65\145\144\123\x65\164\x74\151\x6e\x67\x73\x46\x6f\x72\x6d"]); goto Fb137; Dd100: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto df491; } goto E0947; a645c: F92da: goto d3172; Fb137: c7419: goto aedb2; B9fea: fdeab: goto F3df1; a5e8b: return $response; goto Bfa27; Dc889: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto Cc290; d974b: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto D0cce; E0e1f: return $response; goto d9bb5; ffe11: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto ae911; } goto e3714; C03b7: $parameters["\x70\x79\x74\x68\157\x6e\123\x65\x74\164\x69\156\x67\163\106\157\162\x6d"] = $pythonSettingsForm->createView(); goto c987f; Fa1f0: b2cfd: goto C03b7; d3172: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto Fe293; } goto dd945; c1e93: $parameters["\162\x65\166\145\x72\x73\145\120\x72\x6f\x78\171\123\x65\164\x74\x69\156\147\163\106\x6f\162\x6d"] = $reverseProxySettingsForm->createView(); goto a2c1e; Aa49f: $pageSpeedSettingsData = ["\151\x73\105\156\x61\142\154\x65\144" => $site->getPageSpeedEnabled(), "\163\145\x74\164\151\x6e\x67\163" => $site->getPageSpeedSettings()]; goto F4745; d18c1: $phpSettings = $site->getPhpSettings(); goto C8d15; B1dbe: $parameters["\156\x6f\x64\x65\x6a\x73\x53\x65\164\164\151\x6e\147\163\106\x6f\x72\x6d"] = $nodejsSettingsForm->createView(); goto C3096; aedb2: $parameters["\x66\157\162\x6d\x45\162\162\x6f\x72\x73"] = $this->formErrors; goto D42de; a29fb: return $response; goto ee608; Ba786: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto f7cd5; } goto aa9a1; Db58b: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto Fc675; F15e7: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto Ce7eb; cb700: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto Ccb7b; b3464: f29d2: goto D2801; C5830: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto Dfb28; Db3c8: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto fdeab; } goto baf07; D8e0b: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\164\145\x73")); goto d5d26; E189f: $pageSpeedSettingsForm->handleRequest($request); goto C48ba; d4201: $reverseProxySettingsForm->handleRequest($request); goto b4500; D588e: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto d237c; Cf842: B5b7d: goto cf76d; aa1ae: $siteDeleteData = ["\144\x6f\x6d\x61\151\x6e\x4e\141\155\x65" => $site->getDomainName()]; goto Aa49f; C3096: unset($parameters["\x70\141\x67\145\x53\160\x65\145\x64\x53\145\164\164\151\156\147\163\106\157\x72\155"]); goto ab942; D1804: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto c77de; Fc675: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto Dc486; } goto f5195; C48ba: $response = null; goto Dd1e0; a75a6: efa6d: goto C3b86; C1569: ad852: goto c8546; eb8b8: aa6aa: goto c84ff; Aa63e: $siteDeleteForm->handleRequest($request); goto E189f; D2801: b90f0: goto Fa1f0; C0eae: $phpSettingsForm->handleRequest($request); goto a487c; e3714: $nodejsSettings = $site->getNodejsSettings(); goto Db58b; baf07: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto Ef582; Fe238: if (!(false === is_null($response))) { goto Cc2a7; } goto a5e8b; a487c: if (!(true === $phpSettingsForm->isSubmitted())) { goto b6cc7; } goto Dc889; F4745: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto D1804; f4a74: if (!(true === $pythonSettingsForm->isSubmitted())) { goto b90f0; } goto ec737; dd16b: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto F92da; } goto d18c1; c84ff: $parameters = ["\x73\x69\164\x65" => $site, "\144\157\x6d\141\x69\x6e\123\x65\164\x74\x69\156\147\163\x46\x6f\x72\155" => $domainSettingsForm->createView(), "\163\x69\164\x65\125\163\145\162\123\145\x74\x74\151\x6e\147\163\x46\x6f\x72\x6d" => $siteUserSettingsForm->createView(), "\x70\141\x67\x65\x53\160\145\145\x64\123\145\164\x74\x69\156\x67\x73\x46\x6f\162\155" => $pageSpeedSettingsForm->createView(), "\163\151\x74\x65\x44\x65\x6c\145\x74\x65\106\x6f\162\155" => $siteDeleteForm->createView()]; goto ffe11; eb504: $siteUserSettingsForm->handleRequest($request); goto Aa63e; A693e: if (!(true === $siteDeleteForm->isSubmitted())) { goto F05af; } goto F15e7; ab942: ae911: goto dd16b; B0ede: E2fe4: goto C1569; D0cce: if (!(false === is_null($response))) { goto E2fe4; } goto b4cdf; B12f1: $nodejsSettingsForm->handleRequest($request); goto Db3c8; Ec018: $parameters["\x70\x68\x70\x53\145\x74\164\x69\156\147\163\106\157\162\x6d"] = $phpSettingsForm->createView(); goto a645c; fa04a: $pythonSettingsForm->handleRequest($request); goto f4a74; Dd1e0: if (!(true === $domainSettingsForm->isSubmitted())) { goto F5e85; } goto D588e; c987f: Fe293: goto Cff95; ee608: f91c1: goto B9fea; d237c: F5e85: goto Dd100; Cc290: if (!(false === is_null($response))) { goto Fe256; } goto E0e1f; dd945: $pythonSettings = $site->getPythonSettings(); goto C5830; E0947: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto Beae1; Dfb28: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto b2cfd; } goto fa04a; Cf73c: if (!(false === is_null($response))) { goto f29d2; } goto D12e3; F3df1: Dc486: goto B1dbe; Adb4a: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto E0a8d; Beae1: df491: goto Ba786; Dfeac: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto dbb5d; } goto D83f0; B734e: dbb5d: goto Ec018; cf76d: return $response; goto d461f; eca93: b6cc7: goto B734e; A8bb9: $site = $this->getSite($request); goto ea435; aa9a1: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto e1a72; b4500: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto ad852; } goto d974b; ec737: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto Cf73c; c8546: B2fe8: goto c1e93; D12e3: return $response; goto b3464; Ef582: if (!(false === is_null($response))) { goto f91c1; } goto a29fb; ea435: if (false === is_null($site)) { goto efa6d; } goto D8e0b; Cff95: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto c7419; } goto cb700; d461f: } public function purgePageSpeedCache(Request $request) : Response { goto d08d6; A9c15: return $response; goto b344e; e825b: return $response; goto Ea93b; d56a5: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\145\x5f\x73\x65\x74\x74\151\x6e\147\x73", ["\144\157\x6d\x61\x69\x6e\116\x61\155\x65" => $site->getDomainName()])); goto A9c15; b1d51: try { goto Eb252; Cc1ce: $siteUpdater = $this->getSiteUpdater($site); goto Ae9fa; bf586: $eventData = ["\x73\151\164\x65" => $site->getDomainName()]; goto C2665; e301c: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\x73", $this->translator->trans("\x50\x61\147\x65\40\x53\160\x65\145\144\x20\x43\x61\x63\150\145\40\150\x61\x73\40\142\x65\145\x6e\40\160\x75\x72\147\145\x64\x2e")); goto cb51a; Ae9fa: $siteUpdater->purgePageSpeedCache(); goto bf586; C2665: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto e301c; Ce5c6: $session = $request->getSession(); goto Cc1ce; Eb252: $user = $this->getUser(); goto Ce5c6; cb51a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\x41\156\40\x65\162\162\157\162\x20\x68\x61\x73\40\x6f\143\x63\x75\x72\162\145\x64\54\40\x65\162\162\x6f\162\x20\155\x65\x73\x73\141\147\x65\72\40\45\x65\162\162\x6f\162\115\145\163\163\x61\147\x65\45", ["\45\145\162\x72\x6f\x72\x4d\145\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto d56a5; F9573: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\145\163")); goto a3363; a3363: goto Ae9f2; goto bca1f; d08d6: $site = $this->getSite($request); goto ef42e; bca1f: df0ef: goto b1d51; b344e: Ae9f2: goto e825b; ef42e: if (false === is_null($site)) { goto df0ef; } goto F9573; Ea93b: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto e40a0; E6f4d: return $form; goto e375c; e40a0: $form = $this->createForm("\101\x70\x70\134\106\157\x72\x6d\x5c\x53\151\164\145\104\x6f\x6d\x61\151\156\x53\x65\x74\x74\x69\x6e\x67\x73\124\171\x70\145", $data, ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\x63\x6c\160\137\163\151\164\145\x5f\x73\x65\164\x74\x69\x6e\147\x73", ["\x64\157\155\141\151\156\x4e\141\155\x65" => $site->getDomainName()]), "\x6d\145\164\x68\x6f\144" => "\120\x4f\x53\x54", "\141\x74\x74\162" => []]); goto A9c64; A9c64: $form->add("\x73\x75\142\155\151\x74", SubmitType::class, ["\141\164\x74\162" => ["\143\x6c\141\x73\x73" => "\x62\164\x6e\40\x62\x74\156\x2d\x62\x6c\x75\x65\40\142\x74\x6e\x2d\154\x67"], "\x6c\141\x62\145\x6c" => "\123\141\x76\x65"]); goto E6f4d; e375c: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto a1943; f7dfc: return $form; goto b89bd; Cb3a9: $form->add("\163\x75\x62\x6d\x69\x74", SubmitType::class, ["\141\164\x74\162" => ["\143\x6c\x61\163\163" => "\142\164\x6e\40\x62\164\x6e\55\142\154\165\x65\40\142\164\x6e\55\x6c\x67"], "\x6c\141\142\x65\x6c" => "\123\141\166\x65"]); goto f7dfc; a1943: $form = $this->createForm("\x41\x70\x70\134\106\x6f\162\155\x5c\123\151\x74\145\x55\163\x65\162\123\145\x74\164\151\156\147\163\x54\171\x70\x65", $data, ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\137\x73\x65\x74\164\x69\156\x67\x73", ["\x64\x6f\x6d\x61\151\x6e\x4e\x61\155\145" => $site->getDomainName()]), "\x6d\x65\x74\x68\x6f\144" => "\x50\117\x53\124", "\141\x74\x74\162" => []]); goto Cb3a9; b89bd: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto Aeef2; a54e0: $form->add("\163\x75\142\155\151\164", SubmitType::class, ["\141\x74\164\x72" => ["\143\154\x61\163\x73" => "\142\x74\156\40\x62\x74\156\55\x62\x6c\165\x65\40\142\x74\x6e\55\x6c\x67"], "\x6c\141\x62\x65\x6c" => "\x53\141\x76\x65"]); goto af8fd; Aeef2: $form = $this->createForm("\x41\160\160\134\x46\x6f\162\x6d\x5c\x53\151\164\145\x50\x61\x67\x65\123\160\x65\x65\144\x53\x65\164\x74\151\x6e\147\163\x54\x79\160\145", $data, ["\x61\x63\x74\151\157\156" => $this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\145\137\163\145\164\164\151\156\x67\x73", ["\x64\x6f\155\141\x69\156\x4e\141\155\145" => $site->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\120\x4f\x53\124", "\141\164\x74\x72" => []]); goto a54e0; af8fd: return $form; goto Fe3f1; Fe3f1: } private function createReverseProxySettingsForm(Site $site) : Form { goto a514f; A953d: $form->add("\163\x75\x62\155\151\x74", SubmitType::class, ["\141\x74\x74\162" => ["\143\154\141\x73\163" => "\142\x74\156\x20\142\164\x6e\55\x62\154\x75\145\x20\x62\164\x6e\x2d\154\147"], "\x6c\x61\x62\x65\154" => "\123\x61\x76\x65"]); goto De795; Fa02d: $form = $this->createForm("\x41\160\160\134\106\x6f\x72\155\x5c\x53\151\x74\x65\x52\x65\166\x65\x72\163\145\120\x72\157\170\171\x53\145\x74\x74\151\156\147\x73\x54\171\x70\x65", $data, ["\141\143\x74\151\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\163\151\164\145\137\163\x65\164\x74\151\x6e\x67\163", ["\x64\x6f\155\141\x69\156\x4e\141\155\x65" => $site->getDomainName()]), "\x6d\x65\x74\x68\x6f\x64" => "\x50\x4f\123\x54", "\x61\164\164\x72" => ["\151\x64" => "\x72\x65\166\x65\162\x73\x65\55\160\x72\x6f\170\171\55\x73\145\x74\164\151\156\147\x73\55\146\x6f\162\155"]]); goto A953d; a514f: $data = ["\162\x65\x76\x65\162\163\145\120\162\157\x78\171\125\162\154" => $site->getReverseProxyUrl()]; goto Fa02d; De795: return $form; goto c8c18; c8c18: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto F9068; ff2ea: $form->add("\163\165\x62\155\151\164", SubmitType::class, ["\141\164\164\162" => ["\x63\x6c\x61\x73\x73" => "\x62\164\156\40\x62\x74\156\55\x62\x6c\165\x65\x20\x62\164\156\x2d\154\147"], "\x6c\141\x62\145\154" => "\123\141\x76\145"]); goto e7989; F9068: $form = $this->createForm("\x41\160\160\134\x46\x6f\x72\x6d\x5c\123\x69\164\145\x4e\x6f\144\x65\152\163\123\x65\x74\164\x69\x6e\x67\163\x54\x79\160\x65", $nodejsSettings, ["\x61\143\164\x69\157\156" => $this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\145\137\163\145\x74\x74\151\x6e\147\x73", ["\144\157\155\141\151\x6e\116\141\155\x65" => $site->getDomainName()]), "\x6d\145\164\150\x6f\144" => "\x50\117\x53\x54", "\141\164\x74\162" => ["\x69\144" => "\x6e\x6f\x64\145\152\163\55\x73\x65\x74\x74\x69\156\147\x73\55\x66\157\x72\155"]]); goto ff2ea; e7989: return $form; goto dc95d; dc95d: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto Cfce9; Cfce9: $form = $this->createForm("\101\160\x70\134\x46\x6f\162\x6d\x5c\x53\x69\x74\145\120\150\160\x53\x65\x74\164\151\x6e\x67\163\124\171\160\x65", $phpSettings, ["\141\x63\x74\x69\157\156" => $this->generateUrl("\x63\x6c\x70\137\x73\x69\164\x65\137\163\x65\x74\x74\x69\156\147\x73", ["\x64\157\x6d\x61\x69\156\116\x61\155\145" => $site->getDomainName()]), "\x6d\x65\164\150\157\144" => "\x50\x4f\123\x54", "\x61\164\164\162" => []]); goto E04fc; ae6a6: return $form; goto C4b89; E04fc: $form->add("\x73\x75\x62\155\151\164", SubmitType::class, ["\141\164\164\x72" => ["\143\x6c\141\x73\x73" => "\142\164\156\x20\142\164\156\55\142\x6c\x75\x65\40\142\x74\156\x2d\x6c\x67"], "\154\x61\x62\x65\x6c" => "\123\141\166\x65"]); goto ae6a6; C4b89: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto A5f40; A5f40: $form = $this->createForm("\101\x70\160\x5c\x46\x6f\x72\155\134\x53\151\x74\145\x50\x79\x74\150\157\156\x53\145\164\164\151\156\x67\x73\x54\171\160\x65", $pythonSettings, ["\141\143\x74\x69\x6f\x6e" => $this->generateUrl("\143\x6c\x70\137\163\151\164\145\137\163\x65\x74\164\151\x6e\x67\x73", ["\x64\157\x6d\x61\151\x6e\x4e\141\x6d\x65" => $site->getDomainName()]), "\x6d\x65\164\150\157\144" => "\x50\117\123\x54", "\141\x74\x74\x72" => []]); goto bca22; bca22: $form->add("\x73\165\x62\155\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\x63\154\x61\163\x73" => "\142\164\156\40\142\x74\156\55\x62\x6c\165\x65\40\142\164\x6e\55\x6c\147"], "\154\x61\142\145\x6c" => "\123\141\166\x65"]); goto Ed914; Ed914: return $form; goto Ec43a; Ec43a: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto C71f1; C71f1: $form = $this->createForm("\101\160\160\134\106\x6f\162\x6d\134\123\151\164\145\104\145\x6c\x65\x74\x65\124\171\x70\x65", $data, ["\141\143\164\151\157\x6e" => $this->generateUrl("\143\154\x70\137\x73\x69\x74\145\137\x73\x65\x74\164\151\156\x67\163", ["\144\157\x6d\x61\151\156\116\x61\155\145" => $site->getDomainName()]), "\x6d\x65\x74\x68\157\x64" => "\120\x4f\x53\124", "\141\x74\164\162" => []]); goto d1abd; F8865: return $form; goto De78f; d1abd: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\143\x6c\141\163\163" => "\x62\x74\156\40\142\164\156\55\142\154\165\x65\x20\x62\x74\x6e\55\x6c\x67", "\x64\151\x73\141\142\x6c\145\144" => "\144\151\163\141\x62\154\x65\x64"], "\154\x61\x62\x65\154" => "\104\145\x6c\x65\164\x65\40\123\x69\x74\145"]); goto F8865; De78f: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto cdf97; c3902: $this->formErrors = $this->getErrorMessages($form); goto bcf04; B4ed7: dd924: goto d370d; bcf04: goto dd924; goto adada; cdf97: if (true === $form->isValid()) { goto C21eb; } goto c3902; D13bb: try { goto C87d0; d3978: $session = $request->getSession(); goto ada97; a47d2: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\163", $this->translator->trans("\122\157\157\164\40\104\151\x72\145\x63\164\157\162\x79\40\x68\141\x73\40\x62\x65\145\156\40\163\141\x76\x65\144\x2e")); goto Cff14; f9405: $siteEntity->setRootDirectory($rootDirectory); goto eae69; C420f: if (!(false === is_null($siteEntity))) { goto Ddf7c; } goto d1d38; ada97: $domainName = $site->getDomainName(); goto A1e44; A1e44: $siteEntity = $this->getSiteEntity($domainName); goto C420f; d1d38: $rootDirectory = rtrim($form->get("\162\157\157\164\x44\x69\x72\145\143\x74\x6f\x72\171")->getData(), "\x2f"); goto E1706; d0a92: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto a47d2; E1706: $site->setRootDirectory($rootDirectory); goto f9405; Febc1: $siteUpdater = $this->getSiteUpdater($site); goto f94bc; f94bc: $siteUpdater->domainSettings(); goto Fc125; Cff14: Ddf7c: goto Fac3a; eae69: $this->siteEntityManager->updateEntity($siteEntity); goto Febc1; D63ea: return $response; goto ad9a9; Fc125: $eventData = ["\x73\151\x74\x65" => $domainName, "\x72\x6f\x6f\164\x44\151\x72\x65\x63\x74\x6f\x72\171" => $rootDirectory]; goto d0a92; C87d0: $user = $this->getUser(); goto d3978; Fac3a: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\x65\137\x73\x65\164\x74\x69\156\147\163", ["\x64\x6f\155\x61\151\156\x4e\141\155\145" => $site->getDomainName()])); goto D63ea; ad9a9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\101\x6e\x20\145\x72\x72\157\162\x20\x68\x61\x73\x20\157\143\x63\x75\162\162\145\x64\x2c\x20\x65\162\162\x6f\162\x20\155\x65\163\163\x61\147\145\x3a\40\45\x65\162\x72\157\162\115\145\x73\x73\141\147\x65\x25", ["\x25\145\162\162\x6f\162\115\145\163\x73\x61\147\x65\x25" => $e->getMessage()])); } goto B4ed7; adada: C21eb: goto D13bb; d370d: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto D47af; E9721: goto B7081; goto a5731; a5731: d575f: goto B698a; B698a: try { goto e3a8c; ce98b: Cc2cd: goto D5251; Bd49d: $domainName = $site->getDomainName(); goto E9a3e; Beae8: if (!(false === is_null($siteEntity))) { goto Cc2cd; } goto E9c3b; c9c54: $session = $request->getSession(); goto Bd49d; Ecb1c: $password = trim($form->get("\x70\x61\163\x73\167\157\x72\144")->getData()); goto Adefd; E9c3b: $siteUser = $site->getUser(); goto F5c76; efbd5: $session->getFlashBag()->set("\163\x75\x63\x63\x65\x73\x73", $this->translator->trans("\x53\x69\x74\145\40\125\x73\x65\x72\x20\123\x65\164\164\151\156\147\x73\x20\150\141\166\x65\40\x62\145\145\156\40\163\141\x76\145\144\56")); goto ce98b; B3a79: $this->siteEntityManager->updateEntity($siteEntity); goto F472b; E9a3e: $siteEntity = $this->getSiteEntity($domainName); goto Beae8; B3d47: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto B197e; c0c8a: Ff280: goto b3c2d; E9c19: return $response; goto d13c0; e3a8c: $user = $this->getUser(); goto c9c54; A9c55: $siteUpdater->changeUserPassword($siteUser, $password); goto c0c8a; B197e: if (!(false === empty($password))) { goto Ff280; } goto A9c55; Adefd: $siteEntity->setSshKeys($sshKeys); goto B3a79; Ca082: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto efbd5; F472b: $siteUpdater = $this->getSiteUpdater($site); goto B3d47; F5c76: $sshKeys = trim($form->get("\x73\x73\150\x4b\145\x79\163")->getData()); goto Ecb1c; D5251: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\145\x5f\x73\145\x74\x74\x69\156\x67\x73", ["\144\x6f\x6d\141\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto E9c19; b3c2d: $eventData = ["\163\x69\164\x65" => $domainName, "\163\x73\150\113\145\171\x73" => $sshKeys]; goto Ca082; d13c0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\162", $this->translator->trans("\x41\156\x20\x65\162\162\x6f\x72\40\x68\141\x73\40\157\143\x63\165\x72\x72\145\x64\54\x20\145\x72\162\x6f\x72\40\x6d\145\163\163\141\x67\145\72\x20\45\x65\162\162\x6f\x72\115\145\163\163\141\147\145\45", ["\45\145\162\x72\x6f\162\x4d\145\x73\x73\141\x67\145\45" => $e->getMessage()])); } goto f0691; D47af: if (true === $form->isValid()) { goto d575f; } goto Cbad4; f0691: B7081: goto A1037; Cbad4: $this->formErrors = $this->getErrorMessages($form); goto E9721; A1037: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto a10a3; c9a14: goto a63cf; goto f1226; d587e: try { goto c5994; Aed4e: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\x65\137\163\x65\x74\x74\151\x6e\147\163", ["\x64\x6f\155\141\151\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto ac8e4; b1c87: $isEnabled = $form->get("\x69\x73\105\156\141\x62\154\x65\144")->getData(); goto B7cc0; D741c: $session->getFlashBag()->set("\163\x75\x63\143\145\163\x73", $this->translator->trans("\120\x61\147\x65\x20\x53\x70\145\x65\x64\x20\x53\145\164\164\151\x6e\147\163\x20\150\141\166\145\x20\x62\x65\145\156\x20\x73\x61\x76\x65\x64\x2e")); goto Db6ed; B3d25: $siteUpdater->updateNginxVhostWithRollback(); goto B8378; C97f7: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto D741c; E37c9: $site->setPageSpeedSettings($settings); goto cd5e6; D6701: $this->siteEntityManager->updateEntity($siteEntity); goto E8d7a; c5994: $user = $this->getUser(); goto F8536; ac8e4: return $response; goto E187e; a88c9: $siteEntity->setPageSpeedEnabled($isEnabled); goto b93ad; B7cc0: $settings = trim($form->get("\163\145\164\x74\151\156\147\x73")->getData()); goto B53fc; cd5e6: $siteUpdater = $this->getSiteUpdater($site); goto B3d25; df4ca: $domainName = $site->getDomainName(); goto Ff83f; b6844: if (!(false === is_null($siteEntity))) { goto Fbb81; } goto b1c87; Ff83f: $siteEntity = $this->getSiteEntity($domainName); goto b6844; Db6ed: Fbb81: goto Aed4e; F8536: $session = $request->getSession(); goto df4ca; b93ad: $siteEntity->setPageSpeedSettings($settings); goto D6701; B8378: $siteUpdater->purgePageSpeedCache(); goto a88c9; B53fc: $site->setPageSpeedEnabled($isEnabled); goto E37c9; E8d7a: $eventData = ["\x73\x69\164\145" => $domainName, "\160\x61\x67\x65\x53\x70\x65\145\x64\105\x6e\x61\142\154\145\144" => $isEnabled, "\160\141\x67\x65\x53\x70\x65\x65\x64\x53\x65\164\164\x69\x6e\147\163" => $settings]; goto C97f7; E187e: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\x50\141\147\x65\123\160\x65\145\x64\40\123\145\164\164\x69\x6e\147\40\141\x72\145\40\156\x6f\164\x20\x76\141\x6c\151\144\x2c\40\145\162\x72\x6f\x72\x20\x6d\x65\163\163\x61\147\145\x3a\x20\x25\x65\162\162\x6f\x72\115\x65\163\163\x61\147\145\x25", ["\x25\145\x72\162\157\162\115\145\x73\163\141\x67\x65\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\101\156\x20\145\x72\x72\x6f\162\40\x68\141\163\x20\157\x63\x63\165\162\162\x65\144\54\x20\145\162\162\x6f\x72\x20\155\x65\163\163\141\x67\x65\72\40\x25\x65\162\162\157\x72\115\145\x73\163\x61\147\145\45", ["\45\145\162\x72\157\x72\115\145\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto Da88b; a10a3: if (true === $form->isValid()) { goto ca0fe; } goto A5bb1; A5bb1: $this->formErrors = $this->getErrorMessages($form); goto c9a14; Da88b: a63cf: goto Ae5bd; f1226: ca0fe: goto d587e; Ae5bd: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto c73b0; f98c1: goto Dbb94; goto b865b; Be202: Dbb94: goto E8aa8; Cd37b: try { goto de143; de143: $user = $this->getUser(); goto fcfdf; B38f2: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\x74\x65\x73")); goto ec340; f54a1: $siteDeleter->delete(); goto ffd13; f2380: $eventData = ["\163\151\164\x65" => $domainName, "\x74\171\x70\145" => $site->getType()]; goto C63a0; fcfdf: $session = $request->getSession(); goto a4e4c; F0356: $siteDeleter = $this->getSiteDeleter($site); goto f54a1; C63a0: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto Cbebb; a0a74: Cd2e6: goto B38f2; ec340: return $response; goto D8dc6; a4e4c: $domainName = $site->getDomainName(); goto B2cee; Cbebb: $session->getFlashBag()->set("\163\x75\143\x63\145\163\x73", $this->translator->trans("\x53\151\x74\145\x20\150\x61\x73\40\142\145\x65\x6e\40\x64\145\154\x65\x74\145\144\x2e")); goto a0a74; dcae6: if (!(false === is_null($siteEntity))) { goto Cd2e6; } goto F0356; B2cee: $siteEntity = $this->getSiteEntity($domainName); goto dcae6; ffd13: $this->siteEntityManager->deleteEntity($siteEntity); goto f2380; D8dc6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\x41\156\x20\x65\x72\x72\157\162\x20\x68\x61\x73\40\x6f\143\x63\x75\x72\x72\145\x64\x2c\40\x65\x72\162\157\162\40\155\x65\163\163\141\147\x65\72\x20\x25\145\162\162\157\162\115\x65\163\x73\x61\147\x65\45", ["\45\145\162\x72\157\x72\115\145\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto Be202; ccead: $this->formErrors = $this->getErrorMessages($form); goto f98c1; b865b: B29ad: goto Cd37b; c73b0: if (true === $form->isValid()) { goto B29ad; } goto ccead; E8aa8: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto b44f6; ab2c6: try { goto d512b; A330c: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\145\x5f\x73\x65\x74\164\151\156\147\163", ["\144\157\155\141\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto Fb57c; E3e9d: $domainName = $site->getDomainName(); goto a63c5; b7894: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto cc7da; Efa69: $siteUpdater->installNodejsVersion(); goto E61f4; bce51: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto B5f00; Fb57c: return $response; goto D2925; cfa97: $siteUpdater = $this->getSiteUpdater($site); goto c9a8c; a63c5: $siteEntity = $this->getSiteEntity($domainName); goto Da631; d512b: $user = $this->getUser(); goto C1902; A0cc1: $eventData = ["\163\x69\164\x65" => $domainName, "\x6e\x6f\x64\145\152\163\126\145\x72\163\x69\x6f\156" => $nodejsVersion, "\x70\157\x72\x74" => $nodejsSettings->getPort()]; goto bce51; E61f4: Abdfd: goto f987f; B5f00: $session->getFlashBag()->set("\x73\165\143\x63\x65\163\163", $this->translator->trans("\x4e\x6f\x64\x65\x2e\x6a\x73\x20\x53\145\x74\164\x69\x6e\x67\163\x20\x68\x61\x76\145\40\x62\x65\145\x6e\x20\163\x61\166\145\x64\x2e")); goto C9a56; f987f: $siteUpdater->nodejsSettings(); goto B2634; C1902: $session = $request->getSession(); goto E3e9d; c9a8c: if (!(true === $hasNodejsVersionChanged)) { goto Abdfd; } goto Efa69; d66e1: $nodejsSettings = $form->getData(); goto b7894; cc7da: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto cfa97; C9a56: Fcf0f: goto A330c; B2634: $this->siteEntityManager->updateEntity($siteEntity); goto A0cc1; Da631: if (!(false === is_null($siteEntity))) { goto Fcf0f; } goto d66e1; D2925: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\101\156\40\145\162\162\157\x72\x20\x68\x61\163\x20\x6f\x63\x63\165\162\162\145\144\x2c\x20\145\x72\x72\x6f\162\40\x6d\145\x73\163\x61\147\145\x3a\40\45\x65\162\x72\157\x72\x4d\145\163\x73\141\x67\x65\45", ["\x25\145\x72\x72\x6f\162\115\x65\163\163\x61\x67\145\x25" => $e->getMessage()])); } goto b1a56; b44f6: if (true === $form->isValid()) { goto b9b01; } goto a913e; a913e: $this->formErrors = $this->getErrorMessages($form); goto d7e8e; d7e8e: goto e5bfa; goto c38a6; c38a6: b9b01: goto ab2c6; b1a56: e5bfa: goto E3d07; E3d07: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto f5c6c; F9a91: d4dc6: goto bb5a6; E3f71: goto d4dc6; goto Dc20b; e9a9f: try { goto Fa372; C2abb: $siteUpdater->writePythonVersionFile(); goto Eab0e; ea61a: $session->getFlashBag()->set("\163\x75\143\143\145\163\163", $this->translator->trans("\120\x79\x74\150\x6f\156\x20\x53\145\x74\164\151\x6e\x67\x73\x20\150\x61\x76\145\40\142\145\x65\156\40\163\x61\166\145\144\56")); goto B96c5; b4e32: $pythonSettings = $form->getData(); goto E7a88; F16c7: $this->siteEntityManager->updateEntity($siteEntity); goto e8af4; Bcc6e: $siteUpdater = $this->getSiteUpdater($site); goto C2abb; f5d58: return $response; goto eda7e; c0124: $domainName = $site->getDomainName(); goto eeb31; Eab0e: $siteUpdater->pythonSettings(); goto F16c7; a2d38: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto ea61a; B96c5: E1037: goto A4a77; E7a88: $pythonVersion = $pythonSettings->getPythonVersion(); goto Bcc6e; e8af4: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x70\171\x74\150\x6f\156\x56\145\162\x73\x69\x6f\156" => $pythonVersion, "\x70\157\162\x74" => $pythonSettings->getPort()]; goto a2d38; a0fd3: $session = $request->getSession(); goto c0124; eeb31: $siteEntity = $this->getSiteEntity($domainName); goto a07f6; a07f6: if (!(false === is_null($siteEntity))) { goto E1037; } goto b4e32; Fa372: $user = $this->getUser(); goto a0fd3; A4a77: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\164\145\137\163\x65\164\164\x69\x6e\147\163", ["\144\x6f\x6d\x61\151\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto f5d58; eda7e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\x72", $this->translator->trans("\101\x6e\40\x65\162\x72\x6f\x72\40\150\141\x73\40\157\x63\x63\165\x72\162\x65\x64\x2c\x20\x65\x72\x72\157\162\x20\155\145\x73\x73\x61\x67\x65\x3a\x20\45\x65\162\x72\x6f\x72\x4d\x65\x73\x73\x61\147\x65\x25", ["\45\x65\x72\162\157\162\x4d\x65\x73\163\141\x67\145\45" => $e->getMessage()])); } goto F9a91; Bf79c: $this->formErrors = $this->getErrorMessages($form); goto E3f71; Dc20b: Ee022: goto e9a9f; f5c6c: if (true === $form->isValid()) { goto Ee022; } goto Bf79c; bb5a6: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto Be5ca; a200a: B7e7e: goto f43fd; Bfb89: goto B7e7e; goto b0cce; Be5ca: if (true === $form->isValid()) { goto e029d; } goto E824f; Dc0b5: try { goto d8198; Ca4ea: $session = $request->getSession(); goto dd9ed; Ab009: $siteUpdater->updateNginxVhostWithRollback(); goto Eff33; A1611: a43b3: goto E4e33; E4e33: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\x65\137\163\x65\x74\x74\151\156\x67\x73", ["\144\x6f\155\141\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto dd745; dd9ed: $domainName = $site->getDomainName(); goto F3c2b; Eee3e: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto Cb45d; d8198: $user = $this->getUser(); goto Ca4ea; e0ca6: $reverseProxyUrl = $form->get("\x72\x65\x76\x65\162\x73\145\120\162\157\x78\171\125\162\154")->getData(); goto D669b; Cb45d: $session->getFlashBag()->set("\163\x75\143\143\x65\163\x73", $this->translator->trans("\x52\x65\x76\x65\162\x73\x65\x20\x50\162\157\x78\171\40\x53\145\164\164\151\x6e\x67\163\x20\150\141\166\145\x20\x62\145\x65\156\40\x73\141\166\x65\x64\56")); goto A1611; eb5f7: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto A5359; dd745: return $response; goto b5cfa; D669b: $site->setReverseProxyUrl($reverseProxyUrl); goto eb5f7; F3c2b: $siteEntity = $this->getSiteEntity($domainName); goto a23d7; bd8a7: $eventData = ["\163\151\x74\145" => $domainName, "\162\x65\166\145\162\x73\x65\120\x72\157\x78\171\x55\x72\154" => $reverseProxyUrl]; goto Eee3e; a23d7: if (!(false === is_null($siteEntity))) { goto a43b3; } goto e0ca6; A5359: $siteUpdater = $this->getSiteUpdater($site); goto Ab009; Eff33: $this->siteEntityManager->updateEntity($siteEntity); goto bd8a7; b5cfa: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\x41\156\x20\145\x72\162\x6f\x72\40\x68\141\x73\40\x6f\x63\x63\165\x72\x72\x65\x64\x2c\x20\x65\x72\x72\x6f\162\40\x6d\145\163\163\141\x67\145\x3a\40\45\x65\162\x72\157\x72\x4d\145\x73\163\x61\147\x65\x25", ["\x25\145\162\x72\x6f\162\x4d\145\163\x73\x61\x67\145\45" => $e->getMessage()])); } goto a200a; b0cce: e029d: goto Dc0b5; E824f: $this->formErrors = $this->getErrorMessages($form); goto Bfb89; f43fd: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto D4e54; Bea9b: D9fb8: goto A5537; Db0b6: goto d1e28; goto Bea9b; A5537: try { goto a54d3; d9040: $siteUpdater = $this->getSiteUpdater($site); goto f4419; a54d3: $user = $this->getUser(); goto e79cf; d4395: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto d9040; d7a30: $siteUpdater->phpSettings(); goto c08a6; d4ebb: if (!(false === is_null($siteEntity))) { goto F0c58; } goto C1671; C1671: $phpSettings = $form->getData(); goto d4395; c08a6: $this->siteEntityManager->updateEntity($siteEntity); goto F77c3; f4419: if (!(true === $hasPhpVersionChanged)) { goto e7e93; } goto A5f76; C64d3: $domainName = $site->getDomainName(); goto F70a1; Da6a4: $session->getFlashBag()->set("\163\x75\x63\x63\145\163\x73", $this->translator->trans("\120\110\x50\x20\x53\145\164\x74\x69\156\147\x73\40\150\x61\166\145\x20\x62\x65\145\156\x20\x73\141\x76\x65\144\56")); goto c22c2; F77c3: $eventData = ["\x73\x69\164\x65" => $domainName, "\160\150\x70\126\145\162\163\x69\x6f\156" => $phpSettings->getPhpVersion(), "\x6d\x65\x6d\157\x72\x79\x5f\x6c\151\155\151\164" => $phpSettings->getMemoryLimit(), "\155\x61\x78\x5f\x65\170\x65\x63\x75\x74\x69\x6f\156\137\x74\151\155\x65" => $phpSettings->getMaxExecutionTime(), "\x6d\x61\170\137\151\156\x70\165\x74\137\164\151\155\x65" => $phpSettings->getMaxInputTime(), "\x6d\141\x78\x5f\x69\x6e\x70\x75\164\137\x76\141\162\163" => $phpSettings->getMaxInputVars(), "\160\157\163\x74\137\155\x61\x78\137\163\151\x7a\x65" => $phpSettings->getPostMaxSize(), "\x75\x70\x6c\x6f\141\x64\x5f\155\x61\x78\x5f\146\x69\154\145\x73\x69\172\145" => $phpSettings->getUploadMaxFileSize()]; goto A4f19; F411b: return $response; goto aca80; A5f76: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto D01d9; e79cf: $session = $request->getSession(); goto C64d3; A4f19: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto Da6a4; c22c2: F0c58: goto fb2aa; F70a1: $siteEntity = $this->getSiteEntity($domainName); goto d4ebb; D01d9: e7e93: goto d7a30; fb2aa: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\x65\x5f\163\145\164\164\151\156\x67\x73", ["\x64\157\155\x61\x69\156\x4e\141\155\145" => $site->getDomainName()])); goto F411b; aca80: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\x72", $this->translator->trans("\101\156\x20\x65\x72\x72\x6f\162\40\x68\x61\x73\40\x6f\143\143\x75\162\162\145\144\54\x20\145\162\162\157\x72\x20\x6d\x65\163\163\141\x67\x65\x3a\x20\45\x65\x72\x72\x6f\162\x4d\x65\163\163\141\147\145\45", ["\x25\145\162\162\x6f\x72\x4d\145\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto Ea5f7; Ea5f7: d1e28: goto ce3e3; d3fff: $this->formErrors = $this->getErrorMessages($form); goto Db0b6; D4e54: if (true === $form->isValid()) { goto D9fb8; } goto d3fff; ce3e3: } private function getSite(Request $request) : ?Site { goto c7aa0; A0043: $site->setBlockedBots($siteEntity->getBlockedBots()); goto f3c6a; Eef7d: $site->setCertificate($siteEntity->getCertificate()); goto f0da6; cebbf: fcbe2: goto b0507; Ee467: $site->setBasicAuth($siteEntity->getBasicAuth()); goto A0043; ddf5d: $siteType = $siteEntity->getType(); goto ad736; c7567: if (!(false === is_null($site))) { goto fcbe2; } goto Cd36e; A82fd: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto ea12f; C9f6d: $site->setRootDirectory($siteEntity->getRootDirectory()); goto Ee467; Cd816: $site->setSshUsers($siteEntity->getSshUsers()); goto D870b; a519c: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto cebbf; f0da6: $site->setCertificates($siteEntity->getCertificates()); goto E925f; D688e: $site = null; goto F9c0b; B3635: return $site; goto C88e3; ea12f: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto a519c; a0900: $site->setDatabases($siteDatabases); goto Eef7d; cd2c3: $subdomain = false === empty($subdomain) ? $subdomain : null; goto cd491; Aa0cc: Bb44c: goto ddf5d; f8735: $site->setDomainName($siteEntity->getDomainName()); goto e795a; b0507: Ebbb3: goto B3635; ad736: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto e4c0b; e4c0b: $site = new NodejsSite(); goto E73c6; E73c6: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Ab739; Ab739: goto C65e4; goto b7bfb; b7bfb: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto C65e4; case SiteEntity::TYPE_PHP: goto fd483; fd483: $site = new PhpSite(); goto C9f2a; C9f2a: $site->setPhpSettings($siteEntity->getPhpSettings()); goto c2d11; Ca9a3: goto C65e4; goto c6d86; c2d11: $site->setVarnishCache($siteEntity->getVarnishCache()); goto Ca9a3; c6d86: case SiteEntity::TYPE_PYTHON: goto a8c52; a8c52: $site = new PythonSite(); goto a0469; a0469: $site->setPythonSettings($siteEntity->getPythonSettings()); goto b0b4a; b0b4a: goto C65e4; goto ac93c; ac93c: case SiteEntity::TYPE_REVERSE_PROXY: goto Df867; F891c: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto Ea728; Ea728: goto C65e4; goto B7315; Df867: $site = new ReverseProxySite(); goto F891c; B7315: } goto b0e80; F9c0b: if (!(false === is_null($siteEntity))) { goto Ebbb3; } goto e12f8; abe94: return null; goto Aa0cc; E2530: C65e4: goto c7567; Ef36c: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto a8b59; E925f: $site->setCronJobs($siteEntity->getCronJobs()); goto Dd4da; b0e80: E6fb9: goto E2530; cd491: $siteDatabases = $this->getSiteDatabases($siteEntity); goto C5576; A504b: $domainName = $request->get("\144\x6f\155\141\151\x6e\116\x61\x6d\x65"); goto cb722; B5258: $site->setSubdomain($subdomain); goto C9f6d; c7c32: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto A82fd; Dd4da: $site->setFtpUsers($siteEntity->getFtpUsers()); goto Cd816; e795a: $site->setRegistrableDomain($registrableDomain); goto B5258; C5576: $site->setUser($siteEntity->getUser()); goto f8735; Cd36e: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto Ef36c; D870b: $site->setSshKeys($siteEntity->getSshKeys()); goto c7c32; e12f8: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto Bb44c; } goto abe94; f3c6a: $site->setBlockedIps($siteEntity->getBlockedIps()); goto a0900; cb722: $siteEntity = $this->getSiteEntity($domainName); goto D688e; c7aa0: $user = $this->getUser(); goto A504b; a8b59: $subdomain = $resolvedDomainName->subDomain()->toString(); goto cd2c3; C88e3: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto D16ea; bdbf2: foreach ($databaseEntities as $databaseEntity) { goto Ba041; Ba041: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto E7abe; ed99a: $siteDatabases->add($databaseEntity); goto ba810; E7abe: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto Deb36; } goto ed99a; ba810: Deb36: goto cc3c3; cc3c3: f2949: goto ee144; ee144: } goto C408d; C408d: d468a: goto A7115; aadd0: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto F7c41; F7c41: $databaseEntities = $siteEntity->getDatabases(); goto bdbf2; A7115: return $siteDatabases; goto ac931; D16ea: $siteDatabases = new ArrayCollection(); goto aadd0; ac931: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto e3390; Be5be: $siteType = $site->getType(); goto d6dd2; Ff84f: return $siteUpdater; goto Defce; d6dd2: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Fdccb; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Fdccb; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Fdccb; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Fdccb; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Fdccb; } goto Bd20e; c3a74: Fdccb: goto Ff84f; Bd20e: D8e73: goto c3a74; e3390: $siteUpdater = null; goto Be5be; Defce: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto f809f; D8f93: $siteType = $site->getType(); goto Bec58; Fd899: return $siteDeleter; goto a2bfd; f809f: $siteDeleter = null; goto D8f93; A14ce: da128: goto B24dc; Bec58: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto C81e8; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto C81e8; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto C81e8; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto C81e8; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto C81e8; } goto A14ce; B24dc: C81e8: goto Fd899; a2bfd: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
