<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\150\164\x74\x70\163\x3a\57\57\x64\x33\x71\x6e\144\65\x34\x71\70\147\142\63\152\x65\56\143\x6c\157\x75\144\x66\x72\x6f\x6e\164\x2e\x6e\145\164\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto F1b65; F1b65: $this->configManager = $configManager; goto A7508; e0d11: $this->cachePool = $cachePool; goto d61de; d61de: $this->twig = $twig; goto d509f; f6ce8: $this->userManager = $userManager; goto e0d11; A7508: $this->databaseServerManager = $databaseServerManager; goto f6ce8; d509f: } public function onKernelRequest(RequestEvent $event) : void { goto db35c; D5b3e: $this->initialize($event); goto caca4; Cc70c: return; goto A6516; A6516: bf561: goto D5b3e; db35c: if (!(false === $event->isMainRequest())) { goto bf561; } goto Cc70c; caca4: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto Eca33; Addb3: f0cf3: goto E48b4; Eca33: $command = $event->getCommand(); goto E9d72; E9d72: if (!$command instanceof Command) { goto f0cf3; } goto A5959; A5959: $this->initialize($event); goto Addb3; E48b4: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto A36e9; df612: $this->setInstanceUid(); goto Ef89c; De607: $this->setEnvironment($event); goto F9e0f; dad63: $this->setLetsEncryptPrivateKey(); goto F5e3b; Ef89c: $this->setCloudPanelVersion(); goto dfc03; A36e9: $this->setTimezone(); goto df612; F5e3b: $this->setDatabaseServer($event); goto De607; dfc03: $this->setCloudPanelReleaseChannel(); goto dad63; F9e0f: } private function setTimezone() : void { goto C8297; C8297: $timezone = $this->configManager->get("\x74\x69\155\x65\172\x6f\156\145"); goto e296c; e296c: if (!(true === is_null($timezone))) { goto a6263; } goto Ae8f5; f14fa: a6263: goto a4da6; Ae8f5: $this->configManager->set("\164\151\155\145\x7a\x6f\156\x65", "\x55\124\x43"); goto f14fa; a4da6: } private function setInstanceUid() : void { goto Df2c7; C0879: if (!(true === is_null($instanceUid))) { goto bfa59; } goto Aacd3; E17a3: bfa59: goto Aa67f; Aacd3: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto B49d6; B49d6: $this->configManager->set("\x69\x6e\x73\164\x61\156\143\145\137\165\151\x64", $instanceUid); goto E17a3; Df2c7: $instanceUid = $this->configManager->get("\x69\x6e\x73\x74\141\156\143\x65\137\x75\151\144"); goto C0879; Aa67f: } private function setCloudPanelVersion() : void { goto cd33a; f2d67: $this->configManager->set("\141\160\160\137\166\145\162\x73\x69\157\156", trim($appVersion)); goto aee1f; aee1f: F496f: goto ce775; cd33a: $appVersion = $_ENV["\x41\120\120\x5f\126\105\x52\123\x49\x4f\x4e"] ?? null; goto d4325; d4325: if (!(false === is_null($appVersion))) { goto F496f; } goto f2d67; ce775: } private function setCloudPanelReleaseChannel() : void { goto F90d3; Dbd96: if (!(true === is_null($releaseChannel))) { goto C1926; } goto B6b6c; ca751: C1926: goto b00d2; F90d3: $releaseChannel = $this->configManager->get("\x72\145\154\145\x61\163\x65\x5f\x63\x68\x61\x6e\156\145\154"); goto Dbd96; B6b6c: $this->configManager->set("\162\x65\x6c\x65\141\163\x65\137\143\150\x61\156\156\x65\154", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto ca751; b00d2: } private function setLetsEncryptPrivateKey() { goto aa7c5; D995f: if (!(true === is_null($letsEncryptPrivateKey))) { goto dda08; } goto Dbe57; d5774: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\x5f\x70\x72\x69\166\x61\x74\145\137\x6b\x65\171"); goto D995f; Eadf1: Eed5e: goto D8587; aa7c5: $numberOfUsers = $this->userManager->countAll(); goto D5153; D5153: if (!(0 < $numberOfUsers)) { goto Eed5e; } goto d5774; E8f4b: $this->configManager->set("\x6c\145\137\x70\162\151\166\141\x74\145\x5f\153\x65\171", $privateKey->getPEM()); goto bcbd3; bcbd3: dda08: goto Eadf1; c7a42: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto E8f4b; Dbe57: $rsaKeyGenerator = new RsaKeyGenerator(); goto c7a42; D8587: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto dca84; C554f: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto Ba9bb; bcb24: $databaseServer->setUserName("\162\x6f\157\x74"); goto C1896; ef997: $databaseServer->setVersion($databaseConnection->getVersion()); goto f63eb; C0110: $this->databaseServerManager->updateEntity($databaseServer); goto E3883; Da234: $encryptedPassword = Crypto::encrypt($password); goto d57e9; B22fc: $databaseConnection = new DatabaseConnection($databaseServer); goto Bdfe1; Aa264: db488: goto c3e52; efcae: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto Dcc2a; } goto Fa033; dca84: $numberOfUsers = $this->userManager->countAll(); goto c088c; ef266: $databaseServer->setIsDefault(true); goto B22fc; B1f7b: $commandExecutor = new CommandExecutor(); goto E959d; De932: if (!("\144\x65\166" != $_ENV["\x41\120\120\x5f\105\116\x56"])) { goto Dfeca; } goto b8c9d; c3e52: $password = "\x72\157\x6f\x74"; goto C4f61; d068e: $databaseServer->setHost("\61\x32\67\56\60\56\x30\x2e\x31"); goto bcb24; C4f61: af861: goto Da234; Bdfe1: $databaseServer->setEngine($databaseConnection->getEngine()); goto ef997; C1896: $databaseServer->setPassword(Crypto::encrypt("\162\157\x6f\164")); goto d6ac4; a9ce2: $passwordGenerator = new PasswordGenerator(); goto f3b3f; d6ac4: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto Ebd61; a381d: $changeDatabaseUserPasswordCommand->setUserName("\162\157\157\x74"); goto D6e40; D6e40: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto C554f; bd6a1: goto af861; goto Aa264; f63eb: $databaseServer->setPassword($encryptedPassword); goto De932; Ebd61: $databaseServer->setIsActive(true); goto ef266; Fa033: if ("\144\145\166" == $_ENV["\x41\x50\x50\137\x45\116\x56"]) { goto db488; } goto a9ce2; F55e4: Dfeca: goto C0110; b8c9d: $tmpDatabaseServer = clone $databaseServer; goto b46b8; b46b8: $tmpDatabaseServer->setPassword("\162\157\x6f\164"); goto B1f7b; Ba9bb: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto F55e4; c088c: $databaseServers = $this->databaseServerManager->findAll(); goto efcae; E3883: Dcc2a: goto D3fac; E959d: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto a381d; f3b3f: $password = $passwordGenerator->generate(); goto bd6a1; d57e9: $databaseServer = $this->databaseServerManager->createEntity(); goto d068e; D3fac: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto E905e; Ec5db: $request = $event->getRequest(); goto Ffec3; Db9b7: $instance->setIpv4PublicIp($ipv4PublicIp); goto a62a4; Ffb20: $instance->setHostname($hostname); goto a02c5; A8682: $request->attributes->set("\x69\156\x73\x74\x61\156\x63\x65", $instance); goto C1521; D65cb: $hostname = gethostname(); goto Ffb20; C450d: $instanceUid = $this->configManager->get("\151\156\x73\164\x61\x6e\143\x65\137\165\151\x64"); goto E80b7; bc41f: goto bce88; goto Cc91a; f107f: $instance->setEnvironment($environment); goto D65cb; Cc91a: Bc712: goto Ec5db; E80b7: if (!(false === is_null($instanceUid))) { goto Febd0; } goto Ec7fa; Ba518: try { $ipv4PublicIp = $this->cachePool->get("\x69\x70\x76\64\137\160\x75\142\x6c\x69\x63\x5f\151\160", function (ItemInterface $item) { goto A5ece; cb797: $ipv4PublicIp = trim((string) $response->getBody()); goto bfe3d; bfe3d: e74b8: goto Db3a9; Db3a9: return $ipv4PublicIp; goto A11d1; A5ece: $item->expiresAfter(3600); goto Cc723; fb79f: $httpClient = new HttpClient($config); goto Ce037; Ca1fa: if (!(200 == $responseStatusCode)) { goto e74b8; } goto cb797; Cc723: $ipv4PublicIp = null; goto Ef28d; f542c: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto D3e62; Ef28d: $config = ["\x74\151\155\145\x6f\x75\164" => 5, "\x76\x65\x72\x69\x66\171" => false, "\x68\145\x61\x64\x65\x72\x73" => ["\125\163\145\162\55\x41\147\x65\x6e\x74" => "\103\x6c\x6f\x75\x64\120\x61\x6e\145\x6c\x20\x76\x32"]]; goto fb79f; D3e62: $responseStatusCode = $response->getStatusCode(); goto Ca1fa; Ce037: $request = new Request("\107\x45\x54", self::IP_REQUEST_URL); goto f542c; A11d1: }); } catch (\Exception $e) { } goto Db9b7; Be97c: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto c4ece; c1509: $instance->setInstanceId($instanceId); goto c80bf; E8015: if (!("\144\145\x76" == $_ENV["\101\120\120\x5f\105\x4e\126"])) { goto B7816; } goto B2671; c4ece: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto Dd60e; Eedb3: B7816: goto Feb19; B2671: $instanceId = $_ENV["\104\x45\x56\x5f\x41\x57\x53\137\x49\x4e\x53\x54\x41\116\103\x45\x5f\x49\x44"] ?? ''; goto Dac2b; Dac2b: $region = $_ENV["\104\x45\x56\137\x41\127\x53\137\x52\105\107\x49\x4f\x4e"] ?? ''; goto c1509; Dd60e: $instance = new AwsInstance(); goto E8015; f8a90: $instance->setRegion($region); goto Eedb3; Feb19: goto afeac; goto f434c; c80bf: $instance->setInstanceType("\164\x33\56\x78\154\x61\x72\x67\145"); goto f8a90; f434c: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto fc120; D300a: if (!("\144\145\166" == $_ENV["\101\x50\x50\137\105\116\x56"])) { goto c4fc1; } goto b5440; fc120: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto f0e18; d71d5: $token = $this->configManager->get("\x64\157\x5f\x61\x63\143\x65\163\x73\x5f\x74\x6f\x6b\145\x6e"); goto ede0c; a5563: $instance->setIpv4PublicIp("\61\62\67\56\x30\x2e\60\56\x31"); goto B336a; Ba9de: $region = $_ENV["\x44\105\126\137\104\117\137\x52\105\107\111\117\116"] ?? ''; goto E9c6e; E9c6e: $instance->setDropletId($dropletId); goto Fdbd5; a5e29: $instance->setFloatingIp("\61\62\67\56\60\56\60\x2e\x31"); goto a5563; B336a: c4fc1: goto E6d37; ee795: D6347: goto cd5b4; b59e7: $doClient->setInstance($instance); goto D300a; Fdbd5: $instance->setRegion($region); goto a5e29; f0e18: $doClient = new DoClient(); goto d71d5; Aca8f: $doClient->setToken($token); goto ee795; cd5b4: $instance = new DoInstance($doClient); goto b59e7; b5440: $dropletId = $_ENV["\x44\105\x56\137\104\117\x5f\x44\x52\x4f\120\114\105\124\x5f\x49\104"] ?? ''; goto Ba9de; ede0c: if (!(false === is_null($token))) { goto D6347; } goto Aca8f; E6d37: goto afeac; goto f58d6; f58d6: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto Ca771; b920d: $instance->setInstanceName($instanceName); goto dba0c; Ca771: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto C2acf; d2955: Cc1dc: goto A6a3f; d4ad7: $machineType = $_ENV["\104\105\126\137\x47\103\105\137\115\101\103\110\x49\116\x45\137\x54\x59\120\x45"] ?? ''; goto c8adb; D736c: $gceClient->setGceInstance($instance); goto b3061; B8277: $instance->setZone($zone); goto d2955; F4863: $instanceName = $_ENV["\x44\x45\126\x5f\107\103\105\137\x49\x4e\x53\124\x41\116\x43\x45\x5f\x4e\101\x4d\105"] ?? ''; goto d4ad7; F56e9: if (!(false === is_null($serviceAccountKeys))) { goto b9fe0; } goto Da81a; D4545: $gceClient->setAuthConfig($serviceAccountKeys); goto Fa88b; Ca6b6: $instance->setIpv4PublicIp("\x31\x32\67\56\x30\56\x30\x2e\61"); goto efdfe; bc118: $serviceAccountKeys = $this->configManager->get("\x67\143\145\137\x73\145\x72\166\151\x63\x65\x5f\x61\143\143\157\x75\156\164\137\x6b\145\x79\163"); goto F56e9; dba0c: $instance->setMachineType($machineType); goto B8277; Fa88b: b9fe0: goto Daa9c; Da81a: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto D4545; F9c83: $instanceId = $_ENV["\104\105\x56\137\107\x43\x45\137\x49\116\123\x54\101\x4e\103\x45\137\111\x44"] ?? ''; goto F4863; c8adb: $zone = $_ENV["\x44\105\126\x5f\x47\x43\x45\x5f\x5a\x4f\116\105"] ?? ''; goto Ca6b6; F585b: $projectId = $_ENV["\104\x45\126\x5f\x47\x43\105\137\x50\x52\117\112\x45\103\124\137\111\104"] ?? ''; goto F9c83; Eb1dd: $instance->setInstanceId($instanceId); goto b920d; b3061: if (!("\x64\x65\x76" == $_ENV["\x41\x50\120\x5f\105\x4e\126"])) { goto Cc1dc; } goto F585b; C2acf: $gceClient = new GceClient(); goto bc118; efdfe: $instance->setProjectId($projectId); goto Eb1dd; Daa9c: $instance = new GceInstance($gceClient); goto D736c; A6a3f: goto afeac; goto C5ae7; C5ae7: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto f38e5; D50f9: $apiToken = $this->configManager->get("\150\145\x74\x7a\x6e\x65\162\x5f\141\x70\x69\x5f\164\x6f\153\x65\x6e"); goto D21e7; dd7d4: d2e1e: goto A4e41; a1464: $hetznerClient->setToken($apiToken); goto dd7d4; f38e5: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto Ff7d6; Dd5df: if (!("\144\x65\166" == $_ENV["\101\x50\120\x5f\105\116\126"])) { goto Abf8f; } goto Fa01b; B0a9b: $instance->setIpv4PublicIp("\61\62\67\x2e\60\x2e\60\56\x31"); goto b208e; b208e: $instance->setInstanceId($instanceId); goto A5345; Ff7d6: $hetznerClient = new HetznerClient(); goto D50f9; D21e7: if (!(false === is_null($apiToken))) { goto d2e1e; } goto a1464; Ba649: $hetznerClient->setInstance($instance); goto Dd5df; A5345: Abf8f: goto A3d1b; Fa01b: $instanceId = $_ENV["\104\105\x56\137\110\x45\x54\132\116\105\122\137\x49\116\x53\x54\x41\x4e\103\x45\137\x49\x44"] ?? ''; goto B0a9b; A4e41: $instance = new HetznerInstance($hetznerClient); goto Ba649; A3d1b: goto afeac; goto c256a; c256a: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto fbf23; a0d64: goto afeac; goto de8f5; Cdec8: $ipv4PublicIp = $_ENV["\x44\105\x56\137\126\x55\114\x54\122\137\111\120\137\x56\x34\x5f\x50\125\x42\x4c\x49\103"] ?? "\61\x32\67\56\60\56\x30\56\61"; goto e07a4; ffbd1: $instance = new VultrInstance($vultrClient); goto ccd04; fba47: $instanceId = $_ENV["\104\105\126\x5f\126\x55\x4c\x54\122\137\111\116\123\x54\101\x4e\103\105\x5f\111\x44"] ?? ''; goto Cdec8; b1a35: if (!("\144\145\166" == $_ENV["\101\120\120\137\x45\x4e\x56"])) { goto F51d0; } goto fba47; Fedb3: $vultrClient->setApiKey($apiKey); goto A73e3; ccd04: $vultrClient->setVultrInstance($instance); goto b1a35; fbf23: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto Cddfe; e07a4: $instance->setIpv4PublicIp($ipv4PublicIp); goto cb9f2; cb9f2: $instance->setInstanceId($instanceId); goto b4d6c; b492a: $apiKey = $this->configManager->get("\166\x75\x6c\164\x72\x5f\141\160\151\137\153\145\x79"); goto A193a; A73e3: f6c08: goto ffbd1; b4d6c: F51d0: goto a0d64; Cddfe: $vultrClient = new VultrClient(); goto b492a; A193a: if (!(false === is_null($apiKey))) { goto f6c08; } goto Fedb3; de8f5: default: $instance = new Instance(); goto afeac; } goto b953e; f3098: afeac: goto C450d; C1521: $request->attributes->set("\151\163\104\141\x72\153\115\x6f\144\145", $isDarkMode); goto Ee3a4; D80ad: $environment = new CloudPanelEnvironment(); goto Be97c; Ee3a4: $this->twig->addGlobal("\151\156\163\164\141\x6e\x63\x65", $instance); goto D2786; E905e: $cloud = $this->configManager->get("\143\x6c\x6f\165\144"); goto D80ad; a02c5: if ($event instanceof RequestEvent) { goto Bc712; } goto Be815; bfe39: $command->setInstance($instance); goto bc41f; Be815: $command = $event->getCommand(); goto bfe39; Ffec3: $host = $request->getHost(); goto a96f5; dc11b: Febd0: goto f107f; eb368: $ipv4PublicIp = ''; goto Ba518; b953e: e50b2: goto f3098; cde48: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto F2e3e; a96f5: $isDarkMode = false === is_null($request->cookies->get("\164\x68\145\155\145")) && "\144\x61\162\153" == $request->cookies->get("\164\150\145\155\x65") ? true : false; goto cde48; aa603: bce88: goto f941d; F2e3e: if (!(true === empty($ipv4PublicIp))) { goto be2b9; } goto eb368; D2786: $this->twig->addGlobal("\151\x73\x44\141\162\x6b\115\x6f\144\145", $isDarkMode); goto aa603; Ec7fa: $instance->setUid($instanceUid); goto dc11b; a62a4: be2b9: goto A8682; f941d: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\157\x6e\113\x65\x72\x6e\145\154\122\145\161\x75\x65\x73\164", 25]], ConsoleEvents::COMMAND => [["\x6f\156\x43\157\x6e\x73\x6f\154\145\x43\x6f\155\x6d\x61\x6e\144", 25]]]; } }
