<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto Af62f; b5c4b: $this->addProcessor($settingsProcessor); goto c7a22; Cf123: $this->addProcessor($certificateProcessor); goto b5c4b; fa012: $this->addProcessor($serverNameProcessor); goto d375c; F698a: $this->addProcessor($nginxErrorLogProcessor); goto b31b4; A9a58: $this->addProcessor($rootDirectoryProcessor); goto fa012; c4c08: $this->addProcessor($redirectDomainProcessor); goto be500; be500: $this->addProcessor($nginxAccessLogProcessor); goto F698a; ff64c: $redirectDomainProcessor = new RedirectDomainProcessor(); goto Ff4d9; Ff4d9: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto fa2fd; Ab20e: $certificateProcessor = new NginxCertificateProcessor(); goto edf59; ff8a0: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto Ab20e; edf59: $settingsProcessor = new SettingsProcessor(); goto A9a58; b31b4: $this->addProcessor($certificateKeyProcessor); goto Cf123; d375c: $this->addProcessor($redirectServerNameProcessor); goto c4c08; Af62f: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto Bea40; C472e: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto ff64c; Bea40: $serverNameProcessor = new ServerNameProcessor(); goto C472e; fa2fd: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto ff8a0; c7a22: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto edc08; F88d3: aff69: goto Aa078; edc08: $processors = $this->getProcessors(); goto c7e06; C6401: foreach ($placeholders as $placeholder) { goto C63d0; a5bd8: if (!(true === $hasProcessor)) { goto C5e07; } goto dde4d; Ad91c: C5e07: goto e0fd4; dde4d: $processor = $processors[$placeholder]; goto d32ac; C63d0: $hasProcessor = $this->hasProcessor($placeholder); goto a5bd8; a21a0: $this->removePlaceholder($placeholder); goto Ad91c; d32ac: $processor->setSite($this->site); goto f93c9; f93c9: $this->content = $processor->process($this->content); goto a21a0; e0fd4: F76b3: goto E9bff; E9bff: } goto F88d3; c7e06: $placeholders = $this->getPlaceholders(); goto C6401; Aa078: } public function removeEmptyPlaceholders() : void { goto faf1d; D2169: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); Bb994: } goto D0f91; faf1d: $placeholders = $this->getPlaceholders(); goto D2169; D0f91: b809c: goto Ae728; Ae728: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto D726c; afdb2: preg_match_all("\x2f\133\x7b\173\x5d\173\x32\175\50\x5b\x5c\x73\x61\x2d\172\101\55\x5a\60\55\71\137\x5d\x2b\51\133\x7d\x7d\135\173\62\x7d\x2f", $this->content, $placeholders); goto C9bbb; C9bbb: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto F5a24; } goto Fa9df; d5456: b790c: goto Bc804; D726c: if (!(true === empty($this->placeholders))) { goto C4cad; } goto afdb2; d4751: return $this->placeholders; goto Fb058; Fa9df: $placeholders = $placeholders[0]; goto f370d; Dcd97: C4cad: goto d4751; Bc804: F5a24: goto Dcd97; f370d: foreach ($placeholders as $placeholder) { goto F194f; F5676: D2bdf: goto B57fc; C3783: if (!(false === empty($placeholder))) { goto d42bc; } goto D7b4d; Bf000: d42bc: goto F5676; F194f: $placeholder = trim($placeholder); goto C3783; D7b4d: $this->addPlaceholder($placeholder); goto Bf000; B57fc: } goto d5456; Fb058: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto Eaf27; bbc9b: Ebdec: goto C3b0c; Eaf27: if (!(true === isset($this->placeholders[$placeholder]))) { goto Ebdec; } goto Ab320; Ab320: unset($this->placeholders[$placeholder]); goto bbc9b; C3b0c: } }
