<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\x2f\145\164\143\x2f\x6e\147\x69\156\170\x2f\x62\x61\163\x69\x63\55\141\x75\164\150\57"; public const NGINX_VHOST_DIRECTORY = "\x2f\x65\x74\x63\x2f\x6e\147\151\156\170\57\163\151\164\x65\163\55\x65\156\141\142\x6c\145\144\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\x2f\145\x74\x63\57\x6e\x67\x69\x6e\x78\x2f\x73\163\x6c\x2d\143\145\x72\x74\151\146\x69\143\141\164\x65\163\57"; public const CRON_DIRECTORY = "\57\x65\164\143\x2f\x63\x72\157\156\56\x64\x2f"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto a7d88; Ca63d: $writeVhostFileCommand->setContent($vhostContent); goto fe4ea; Ff540: a8082: goto Af09f; Af09f: c8912: goto b8218; cd0c2: $vhostTemplate->removeEmptyPlaceholders(); goto e04b3; e04b3: $vhostContent = $vhostTemplate->getContent(); goto Ea4d3; A1a86: $vhostTemplate->build(); goto cd0c2; D8505: $vhostFile = sprintf("\45\163\x2f\45\163\x2e\x63\157\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto A1a86; F9fe6: $vhostFileContent = $this->site->getVhostTemplate(); goto e0001; e0001: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto c8912; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto c8912; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto c8912; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto c8912; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto c8912; } goto Ff540; fe4ea: $this->commandExecutor->execute($writeVhostFileCommand); goto adcf1; a7d88: $domainName = $this->site->getDomainName(); goto F9fe6; b8218: $vhostTemplate->setContent($vhostFileContent); goto D8505; C3ce6: $writeVhostFileCommand->setFile($vhostFile); goto Ca63d; Ea4d3: $writeVhostFileCommand = new WriteFileCommand(); goto C3ce6; adcf1: } public function updateNginxVhostWithRollback() : void { try { goto B5ee4; D4028: f1ac8: goto cb941; Afe5b: $vhostBackupFile = sprintf("\45\x73\57\x25\x73\x2e\143\157\x6e\x66\x2e\x62\x61\x6b", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto B46a8; c5bd9: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto A70e5; b9229: $vhostTemplate->removeEmptyPlaceholders(); goto A7c59; a11b0: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto f1ac8; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto f1ac8; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto f1ac8; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto f1ac8; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto f1ac8; } goto e2532; B46a8: $copyVhostBackupFileCommand = new CopyFileCommand(); goto D0521; ad971: $this->commandExecutor->execute($nginxConfigTestCommand); goto b9fba; B5ee4: $domainName = $this->site->getDomainName(); goto fb1cd; d16e5: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto e62a1; cb941: $vhostTemplate->setContent($vhostFileContent); goto be202; b08f1: $writeVhostFileCommand->setFile($vhostFile); goto ef9a4; fb1cd: $vhostFileContent = $this->site->getVhostTemplate(); goto a11b0; ef9a4: $writeVhostFileCommand->setContent($vhostContent); goto d16e5; B059f: $reloadNginxServiceCommand->setServiceName("\x6e\147\151\156\170"); goto b2ed7; E935a: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto Be777; f48a0: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto D7945; b9fba: if (!("\x64\x65\x76" != $_ENV["\x41\x50\x50\137\x45\x4e\x56"])) { goto fb0b2; } goto a5f7b; be202: $vhostFile = sprintf("\x25\163\57\x25\x73\x2e\143\157\156\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto c36ce; D7945: $writeVhostFileCommand = new WriteFileCommand(); goto b08f1; A7c59: $vhostContent = $vhostTemplate->getContent(); goto Afe5b; E5958: fb0b2: goto E935a; b2ed7: $this->commandExecutor->execute($reloadNginxServiceCommand); goto E5958; A70e5: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto F1038; D0521: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto f48a0; c36ce: $vhostTemplate->build(); goto b9229; F1038: $this->commandExecutor->execute($writeVhostFileCommand); goto ad971; a5f7b: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto B059f; e2532: bd7ee: goto D4028; e62a1: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto c5bd9; Be777: } catch (\Exception $e) { goto C080b; fb977: throw new InvalidVhostException($errorMessage); goto A6426; fb6be: D78de: goto Ed258; B746d: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto d28c6; d3d9f: $this->commandExecutor->execute($restoreBackupFileCommand); goto f2ddc; d568e: if (!(true === isset($nginxConfigTestCommand))) { goto f6171; } goto B7163; d28c6: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto d3d9f; fb984: $this->commandExecutor->execute($reloadNginxServiceCommand); goto fb6be; Ed258: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto fb977; C080b: $errorMessage = $e->getMessage(); goto d568e; d9943: $restoreBackupFileCommand = new CopyFileCommand(); goto B746d; f2ddc: if (!(true === isset($reloadNginxServiceCommand))) { goto D78de; } goto fb984; B7163: $errorMessage = $nginxConfigTestCommand->getOutput(); goto F03f6; F03f6: f6171: goto d9943; A6426: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto c46e7; afacd: foreach ($symlinkDirectories as $symlinkDirectory) { goto Be247; fe200: $symlinkCommand->setDestination($destination); goto ba29a; Ab129: $destination = sprintf("\x2f\x68\157\x6d\145\x2f\x25\163\x2f\x25\x73", $sshUserName, $symlinkDirectory); goto B4075; Cf016: $symlinkCommand->setSource($source); goto fe200; ba29a: if (!("\144\x65\166" != $_ENV["\x41\x50\120\137\105\x4e\126"])) { goto c9bda; } goto B89c9; Be247: $source = sprintf("\x2f\x68\x6f\155\145\x2f\45\163\57\45\163", $siteUser, $symlinkDirectory); goto Ab129; Edb31: $symlinkCommand->setRunAsUser($sshUserName); goto Cf016; d3d38: F7f3f: goto E24a3; B4075: $symlinkCommand = new CreateSymlinkCommand(); goto Edb31; B89c9: $this->commandExecutor->execute($symlinkCommand); goto bf5ca; bf5ca: c9bda: goto d3d38; E24a3: } goto F6c73; B16fb: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto be9f8; Df471: $sshDirectoryChmodCommand = new FindChmodCommand(); goto af5df; b2ccb: $sshUserName = $sshUserEntity->getUserName(); goto b1a62; cb5a2: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto ca115; ca115: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto E29f8; a3481: $createUserCommand->setPassword($sshUserPassword); goto e397f; Ad4fa: $createUserCommand->setUserName($sshUserName); goto a3481; A4f71: $createUserCommand->setHomeDirectory($homeDirectory); goto Be523; F6c73: a84bb: goto a3297; B6e72: $createUserCommand->setShell("\x2f\x62\151\x6e\x2f\x62\141\x73\150"); goto d47f3; A5a56: $symlinkDirectories = ["\x62\141\143\x6b\165\160\163", "\150\164\x64\157\x63\163", "\x6c\x6f\x67\x73"]; goto afacd; E29f8: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto a1517; ff871: $createUserCommand = new CreateUserCommand(); goto Ad4fa; be9f8: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto Aaac1; Aaac1: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto cb5a2; C961a: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto Bac14; b7804: $siteUser = $site->getUser(); goto b2ccb; D2ea4: $this->commandExecutor->execute($createUserCommand); goto A5a56; a3297: $sshDirectory = sprintf("\57\x68\x6f\155\145\57\x25\x73\57\x2e\x73\163\150", $sshUserName); goto Df471; e397f: $createUserCommand->setGroup($siteUser); goto B6e72; aee8c: $skeletonDirectory = realpath(dirname(__FILE__) . "\57\x2e\x2e\57\56\56\x2f\162\145\163\x6f\165\x72\143\x65\x73\57\145\x74\143\57\x73\153\x65\154\57\163\163\150\x2d\165\163\145\162\57"); goto ff871; Bac14: $sshDirectoryChmodCommand->setFileChmod(600); goto ec440; b1a62: $sshUserPassword = $sshUserEntity->getPassword(); goto E6ece; Be523: $createUserCommand->createHomeDirectory(true); goto D2ea4; d47f3: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto A4f71; ec440: $siteUserHomeDirectory = sprintf("\x2f\150\157\155\145\57\45\x73", $siteUser); goto B16fb; af5df: $sshDirectoryChmodCommand->setFile($sshDirectory); goto C961a; E6ece: $homeDirectory = sprintf("\57\150\157\x6d\x65\x2f\45\163", $sshUserName); goto aee8c; c46e7: $site = $sshUserEntity->getSite(); goto b7804; a1517: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto d67d6; fb4ad: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto d4b61; Dae0d: $createUserCommand->setGroups(["\x66\x74\160\x2d\165\x73\145\162"]); goto F3468; d67d6: $site = $ftpUserEntity->getSite(); goto abbec; dbcd9: $createUserCommand->createHomeDirectory(false); goto d27f0; E6728: $createUserCommand = new CreateUserCommand(); goto a500b; beda2: $this->commandExecutor->execute($createUserCommand); goto Ad7ef; b3cb6: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto E6728; b7fc6: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto cfa8c; d4b61: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto b7fc6; Eb930: $createUserCommand->setPassword($ftpUserPassword); goto f1738; d27f0: $siteUserHomeDirectory = sprintf("\57\x68\157\x6d\145\x2f\x25\x73", $siteUser); goto fb4ad; D3a0f: $createUserCommand->setHomeDirectory($homeDirectory); goto dbcd9; abbec: $siteUser = $site->getUser(); goto Cbcb6; cfa8c: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto beda2; e3149: $ftpUserPassword = $ftpUserEntity->getPassword(); goto b3cb6; f1738: $createUserCommand->setGroup($siteUser); goto Dae0d; Ad7ef: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto ebd89; F3468: $createUserCommand->setShell("\x2f\142\x69\156\57\x66\x61\x6c\163\x65"); goto D3a0f; a500b: $createUserCommand->setUserName($ftpUserName); goto Eb930; Cbcb6: $ftpUserName = $ftpUserEntity->getUserName(); goto e3149; ebd89: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto f4606; C21f8: $deleteUserCommand->setUserName($userName); goto ca6ea; f4606: $deleteUserCommand = new DeleteUserCommand(); goto C21f8; E8777: $this->commandExecutor->execute($deleteUserCommand); goto Dd2bd; ca6ea: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto E8777; Dd2bd: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto ade8b; a81ff: $writeCertificateFileCommand = new WriteFileCommand(); goto B8d7b; B8d7b: $writeCertificateFileCommand->setFile($certificateFile); goto b97b3; ade8b: $domainName = $this->site->getDomainName(); goto c346a; B7948: $writePrivateKeyFileCommand = new WriteFileCommand(); goto D87a9; C162a: $certificate = $certificateEntity->getCertificate(); goto F68b1; b97b3: $writeCertificateFileCommand->setContent($certificate); goto Fbc3e; Ee885: $this->commandExecutor->execute($writeCertificateFileCommand); goto C7f60; C7f60: $this->reloadService("\156\147\x69\156\x78"); goto d0845; F9599: $certificateFile = sprintf("\x25\x73\57\x25\163\x2e\x63\162\x74", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto C162a; cf2a3: $certificate .= sprintf("\45\x73\45\163", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto e6141; F68b1: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto Fefea; } goto cf2a3; A2759: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto a81ff; D87a9: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto A2759; c346a: $privateKeyFile = sprintf("\x25\x73\57\x25\163\x2e\x6b\145\x79", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto F9599; Fbc3e: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto Ee885; e6141: Fefea: goto B7948; d0845: } public function deleteLetsEncryptChallengeDirectory() : void { goto f9606; caf6a: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto E8c42; E3b73: $acemeChallengeDirectory = sprintf("\45\163\57\x2e\167\145\x6c\154\55\153\x6e\x6f\x77\156\x2f\x61\x63\155\145\55\x63\150\x61\154\154\x65\156\x67\x65\57", rtrim($rootDirectory, "\57")); goto caf6a; E8c42: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto a0075; f9606: $rootDirectory = $this->getRootDirectory(); goto E3b73; a0075: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto b1abc; b1abc: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto De2b4; d169d: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto be96e; De2b4: $basicAuthFile = sprintf("\x25\x73\57\x25\163", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\57"), $this->site->getDomainName()); goto e8c76; e8c76: $basicAuthFileContent = sprintf("\x25\x73\72\45\x73", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto f835a; be96e: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto De297; Bb5fa: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto d169d; f835a: $writeBasicAuthFileCommand = new WriteFileCommand(); goto Bb5fa; De297: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto d3a5f; C7bc6: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto ed1c4; bd106: abd95: goto C5d29; C1e0f: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto Aa912; A7d5a: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto eb158; C8fbf: bdd20: goto bd106; f1672: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto E7e2f; E8a55: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto f59dd; f59dd: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto B30ff; C5d29: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto A6707; Ff508: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto B63dd; B0620: $wellKnownDirectory = sprintf("\45\x73\x2f\56\x77\x65\154\154\x2d\153\x6e\157\x77\x6e\x2f", rtrim($rootDirectory, "\x2f")); goto f6938; Aa912: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto Ff508; E7e2f: if (!count($challenges)) { goto abd95; } goto C9a0f; eb158: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto C1e0f; C953a: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto A7d5a; B30ff: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto f1672; f6938: $acemeChallengeDirectory = sprintf("\x25\x73\x2f\x2e\167\145\x6c\154\x2d\x6b\156\x6f\x77\156\x2f\141\143\x6d\145\55\143\150\141\154\154\145\x6e\x67\145\57", rtrim($rootDirectory, "\57")); goto E8a55; B63dd: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto ecaf8; a0a25: $rootDirectory = $this->getRootDirectory(); goto B0620; ed1c4: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto C953a; d3a5f: $siteUser = $this->site->getUser(); goto a0a25; A6707: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto C7bc6; C9a0f: foreach ($challenges as $challenge) { goto C27e8; ed60d: C5c72: goto B7122; d595c: B74d5: goto ed60d; E702c: $this->commandExecutor->execute($challengeWriteFileCommand); goto d595c; b72b7: $challengeWriteFileCommand = new WriteFileCommand(); goto Ce25a; f0f48: $challengeFile = sprintf("\45\163\57\x25\163", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto b72b7; Ce25a: $challengeWriteFileCommand->setFile($challengeFile); goto bc9da; E91fb: $verificationContent = $challenge["\166\145\x72\151\x66\x69\143\x61\x74\151\157\x6e\x43\157\x6e\164\x65\x6e\164"] ?? null; goto B94d1; C27e8: $token = $challenge["\x74\157\x6b\145\x6e"] ?? null; goto E91fb; bc9da: $challengeWriteFileCommand->setContent($verificationContent); goto E702c; B94d1: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto B74d5; } goto f0f48; B7122: } goto C8fbf; ecaf8: } public function updateUserCrontab() : void { goto C80c6; ba8e8: $crontabEntries = ["\x4d\101\111\x4c\x54\x4f\x3d\42\42"]; goto ad453; A9ff4: $writeCrontabFileCommand->setFile($crontabFile); goto acea6; B20d1: $crontabContent = implode(PHP_EOL, $crontabEntries); goto F5ce8; ad453: $cronJobs = $this->site->getCronJobs(); goto Fa81b; acea6: $writeCrontabFileCommand->setContent($crontabContent); goto d34f6; C80c6: $siteUser = $this->site->getUser(); goto af3fb; af3fb: $crontabFile = sprintf("\x25\163\57\x25\x73", rtrim(self::CRON_DIRECTORY, "\x2f"), $siteUser); goto ba8e8; C0c85: Dc3b8: goto B20d1; Ace6e: A9496: goto C0c85; Fa81b: if (!count($cronJobs)) { goto Dc3b8; } goto B235a; B235a: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); dec00: } goto Ace6e; d34f6: $this->commandExecutor->execute($writeCrontabFileCommand); goto b58e8; F5ce8: $writeCrontabFileCommand = new WriteFileCommand(); goto A9ff4; b58e8: } public function purgePageSpeedCache() : void { goto F83aa; b961b: $cacheDirectory = sprintf("\57\150\157\155\x65\x2f\x25\163\57\x74\x6d\x70\57\x70\x61\147\145\163\160\x65\145\x64\137\x63\x61\143\x68\145", $siteUser); goto D19a7; D19a7: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto Dceef; F83aa: $siteUser = $this->site->getUser(); goto b961b; E5e81: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto A2ee4; Dceef: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto E5e81; A2ee4: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto b0311; b0311: $authorizedKeysFile = sprintf("\57\x68\x6f\155\x65\x2f\x25\x73\x2f\56\163\163\x68\x2f\x61\x75\x74\150\157\162\151\172\x65\x64\x5f\153\145\171\x73", $userName); goto Adf7f; Adf7f: $readLinkCommand = new ReadLinkCommand(); goto a4674; a4674: $readLinkCommand->setFile($authorizedKeysFile); goto cd6ca; cd6ca: $this->commandExecutor->execute($readLinkCommand); goto A3df4; a02f3: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto f566c; F8077: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto b334a; f566c: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto B6983; A3df4: $readLinkPath = $readLinkCommand->getOutput(); goto Ea84e; Ea84e: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto c0017; } goto F8077; b334a: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto a02f3; B6983: c0017: goto e5241; e5241: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto Cd92c; Cd92c: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto E883b; f304e: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto Eb10f; E883b: $changeUserHomeDirectoryCommand->setUserName($userName); goto f304e; Eb10f: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto Cacdc; Cacdc: } public function changeUserPassword(string $userName, string $password) : void { goto df6f6; df6f6: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto F2ee0; F2ee0: $changeUserPasswordCommand->setUserName($userName); goto E9ad6; E9ad6: $changeUserPasswordCommand->setPassword($password); goto C071e; C071e: $this->commandExecutor->execute($changeUserPasswordCommand); goto Bd42a; Bd42a: } protected function getRootDirectory() : string { goto E386d; f232b: $rootDirectory = sprintf("\57\x68\x6f\155\145\x2f\x25\x73\57\150\x74\144\157\x63\x73\x2f\x25\163", $siteUser, $rootDirectory); goto d364a; E386d: $siteUser = $this->site->getUser(); goto a0531; d364a: return $rootDirectory; goto D5797; a0531: $rootDirectory = $this->site->getRootDirectory(); goto f232b; D5797: } public function reloadNginxService() : void { $this->reloadService("\x6e\147\151\156\x78"); } public function reloadService($serviceName) { goto f9174; e414b: Facfa: goto D0f28; d594c: $reloadServiceCommand->setServiceName($serviceName); goto E4d67; E4d67: $this->commandExecutor->execute($reloadServiceCommand); goto e414b; f9174: if (!("\144\x65\x76" != $_ENV["\x41\x50\x50\137\x45\116\126"])) { goto Facfa; } goto Af2dc; Af2dc: $reloadServiceCommand = new ServiceReloadCommand(); goto d594c; D0f28: } }
